
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractCancelEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "被取消。";
    }

    @Override
    String getNoticeTitle() {
        return "合同-取消";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CANCEL;
    }
}
