
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractChangeContractTextRejectEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "合同文本变更申请被拒绝。";
    }

    @Override
    String getNoticeTitle() {
        return "合同变更-拒绝";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CONTRACT_TEXT_REJECT;
    }
}
