
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractChangeGuarantorCancelEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "担保人变更申请已取消。";
    }

    @Override
    String getNoticeTitle() {
        return "合同变更-取消";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CANCEL;
    }
}
