
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractChangeGuarantorCreateEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "发起担保人变更申请。";
    }

    @Override
    String getNoticeTitle() {
        return "合同变更-创建";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CREATE;
    }
}
