
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractCreateEventHandler extends AbstractConContractEventHandler {
    @Override
    String getSuffixMsg() {
        return "";
    }

    @Override
    String getNoticeTitle() {
        return null;
    }

    @Override
    public String getMessage(String userDesc, String conName, String conNum) {
        return userDesc + "创建了租赁合同：" + conName + "(" + conNum + ") ";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CREATE;
    }
}
