
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractEarlyTerminationCancelEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "提前结清申请已取消。";
    }

    @Override
    String getNoticeTitle() {
        return "提前结清-取消";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CANCEL;
    }
}
