
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractEarlyTerminationCreateEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "发起提前结清申请。";
    }

    @Override
    String getNoticeTitle() {
        return "提前结清-创建";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CREATE;
    }
}
