
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractInceptEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "起租完成。";
    }

    @Override
    String getNoticeTitle() {
        return "合同-起租";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_INCEPT;
    }
}
