package hls.core.cont.controllers;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.dto.HlsCusConContractContent;
import hls.core.cont.service.ConContractContentService;

@Controller
public class ConContractContentController extends BaseController
{
	@Autowired
	private ConContractContentService service;
	
	
	@RequestMapping(value = "/con/contract/content/query")
	@ResponseBody
	public ResponseData query(final HlsCusConContractContent conContractContent, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
                              @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
		IRequest requestContext = createRequestContext(request);
		return new ResponseData(service.queryDetail(requestContext, conContractContent, page, pagesize));
	}
	
}
