package hls.core.cont.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.service.ConContractEventService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * Created by syj on 2017/2/14.
 */
public class ConContractEventController extends BaseController{
    @Autowired
    private ConContractEventService conContractEventService;

    @RequestMapping(value="/con/contract/event/submit")
    @ResponseBody
    public ResponseData submit(IRequest iRequest, String eventCode,
                               Long contractId, Long userId){
        conContractEventService.contractEvent(iRequest,eventCode,contractId,userId);

        return new ResponseData();
    }
}
