package hls.core.cont.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.dto.HlsCusConContractGuarantorH;
import hls.core.cont.service.ConContractGuarantorHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * 担保人H
 * @author syj
 *
 */
@Controller
public class ConContractGuarantorHController extends BaseController
{
	@Autowired
	private ConContractGuarantorHService service;
	
	
	@RequestMapping(value = "/con/contract/guarantorh/query")
	@ResponseBody
	public ResponseData selectDetail(final HlsCusConContractGuarantorH contractGuarantorh, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
									 @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
		IRequest requestContext = createRequestContext(request);
		return new ResponseData(service.selectDetail(contractGuarantorh));
	}
	

}
