package hls.core.cont.dto;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

@ExtensionAttribute(disable = true)
@Table(name = "con_contract")
public class ConContractStatus extends BaseDTO{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@Transient
    private String contractStatus;
	@Transient
    private String contractStatusValue;
    @Transient
    private Long contractCount;
    @Transient
    private Long contractCountPercent;
    @Transient
    private Long overdueCount;

    @Transient
    private Long contractSumCount;
    @Transient
    private Long currentMonthAppend;
    
//    @Transient
//    private Double throwSumAmount; //应收本金
//    @Transient
//    private Double recyclePrincipal; //已收本金
//    @Transient
//    private Double totalAmountInvested;//  投放总额

	@Transient
	private Double throwTotalAmount; // 投放总额
	@Transient
	private Double receivedPrincipal; //已收本金


	@Transient
	private String documentType;

	@Transient
	private Long queryTimeSolt;

	@Transient
	private Date dueDate;

	public Date getDueDate() {
		return dueDate;
	}

	public void setDueDate(Date dueDate) {
		this.dueDate = dueDate;
	}

	public String getDocumentType() {
		return documentType;
	}

	public void setDocumentType(String documentType) {
		this.documentType = documentType;
	}

	public Long getQueryTimeSolt() {
		return queryTimeSolt;
	}

	public void setQueryTimeSolt(Long queryTimeSolt) {
		this.queryTimeSolt = queryTimeSolt;
	}

	@Transient
	private Double receivedThrowTotalAmount; //已收本金


	public Double getReceivedThrowTotalAmount() {
		return receivedThrowTotalAmount;
	}

	public void setReceivedThrowTotalAmount(Double receivedThrowTotalAmount) {
		this.receivedThrowTotalAmount = receivedThrowTotalAmount;
	}

	@Transient
    private Long companyId;
    
	public Long getCompanyId() {
		return companyId;
	}
	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}
	public String getContractStatusValue() {
		return contractStatusValue;
	}
	public void setContractStatusValue(String contractStatusValue) {
		this.contractStatusValue = contractStatusValue;
	}
	public Long getContractCount() {
		return contractCount;
	}
	public void setContractCount(Long contractCount) {
		this.contractCount = contractCount;
	}
	public Long getContractCountPercent() {
		return contractCountPercent;
	}
	public void setContractCountPercent(Long contractCountPercent) {
		this.contractCountPercent = contractCountPercent;
	}
	public Long getOverdueCount() {
		return overdueCount;
	}
	public void setOverdueCount(Long overdueCount) {
		this.overdueCount = overdueCount;
	}
	public Long getContractSumCount() {
		return contractSumCount;
	}
	public void setContractSumCount(Long contractSumCount) {
		this.contractSumCount = contractSumCount;
	}
	public Long getCurrentMonthAppend() {
		return currentMonthAppend;
	}
	public void setCurrentMonthAppend(Long currentMonthAppend) {
		this.currentMonthAppend = currentMonthAppend;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public String getContractStatus() {
		return contractStatus;
	}
	public void setContractStatus(String contractStatus) {
		this.contractStatus = contractStatus;
	}
//	public Double getThrowSumAmount() {
//		return throwSumAmount;
//	}
//	public void setThrowSumAmount(Double throwSumAmount) {
//		this.throwSumAmount = throwSumAmount;
//	}
//	public Double getRecyclePrincipal() {
//		return recyclePrincipal;
//	}
//	public void setRecyclePrincipal(Double recyclePrincipal) {
//		this.recyclePrincipal = recyclePrincipal;
//	}
//	public Double getTotalAmountInvested() {
//		return totalAmountInvested;
//	}
//	public void setTotalAmountInvested(Double totalAmountInvested) {
//		this.totalAmountInvested = totalAmountInvested;
//	}

	public Double getThrowTotalAmount() {
		return throwTotalAmount;
	}

	public void setThrowTotalAmount(Double throwTotalAmount) {
		this.throwTotalAmount = throwTotalAmount;
	}

	public Double getReceivedPrincipal() {
		return receivedPrincipal;
	}

	public void setReceivedPrincipal(Double receivedPrincipal) {
		this.receivedPrincipal = receivedPrincipal;
	}
}