package hls.core.cont.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.cont.dto.HlsCusConContractAttachment;

public interface ConContractAttachmentService extends IBaseService<HlsCusConContractAttachment>, ProxySelf<ConContractAttachmentService>{

	List<HlsCusConContractAttachment> queryDetail(IRequest requestContext, HlsCusConContractAttachment contractAttachment, int page, int pagesize);

	HlsCusConContractAttachment signSubmit(IRequest requestContext, HlsCusConContractAttachment contractAttachment);

    void deleteContentById(Long contractId);
}
