package hls.core.cont.service;

import java.text.ParseException;
import java.util.List;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.cont.dto.HlsCusConContractChangeReq;
import hls.core.csh.dto.HlsCusConContractCashflow;
import hls.core.csh.dto.HlsCusCshConContract;
import hls.core.csh.dto.HlsCusCshWriteOff;

public interface ConContractIndexService extends IBaseService<HlsCusCshWriteOff>, ProxySelf<ConContractIndexService>{
	public List<HlsCusCshWriteOff> currentOutAmountInfo(HlsCusCshWriteOff cshWriteOff);
	public List<HlsCusCshConContract> getContractDetailByBpId(HlsCusCshConContract conContract);
	public List<HlsCusCshWriteOff> currentGetAmountInfo(HlsCusCshWriteOff cshWriteOff) throws ParseException;
	
	public List<HlsCusCshConContract> getContractInfo(HlsCusCshConContract conContract);
	
	public List<HlsCusConContractChangeReq> conContractChangeReqInfo();
	
	public List<HlsCusConContractCashflow> contractCashFlowOverDateDetail();
	
	public List<HlsCusCshConContract> getConContractIndexNumInfo();

	public List<HlsCusConContractChangeReq> selectChangeInfoDetail(HlsCusConContractChangeReq conContractChangeReq);

	public List<HlsCusConContractChangeReq> getNewChangeIdByChangeId(HlsCusConContractChangeReq conContractChangeReq);

	public List<HlsCusConContractChangeReq> selectDetail(HlsCusConContractChangeReq conContractChangeReq);

} 
