package hls.core.cont.service;

import com.hand.hap.core.IRequest;
import hls.core.cont.dto.HlsCusConContractCashflowH;
import hls.core.cont.dto.HlsCusConFloatingRateReqLn;

import java.time.Instant;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;
import java.util.List;

/**
 * Created by fjm on 2017/10/25.
 */
public interface IConFloatingCalcService {
    /**
     * 把Date类型转换成为LocalDate
     * @param date
     * @return
     */
    default LocalDate date2LocalDate(Date date) {
        Instant instant = date.toInstant();
        ZoneId zoneId = ZoneId.systemDefault();
        return instant.atZone(zoneId).toLocalDate();
    }

    String getFloatingCalcMethod();

    void conFloatingCalcMethod(IRequest request, List<HlsCusConContractCashflowH> cashflowHs, HlsCusConFloatingRateReqLn changeReq);
}
