package hls.core.cont.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.core.annotation.StdWho;
import com.hand.hap.system.service.IBaseService;
import hls.core.cont.dto.ConFloatingRateReqLn;
import hls.core.cont.dto.HlsCusConFloatingRateReq;
import hls.core.cont.dto.HlsCusConFloatingRateReqLn;

import java.util.List;

public interface IConFloatingRateReqLnService extends IBaseService<HlsCusConFloatingRateReqLn>, ProxySelf<IConFloatingRateReqLnService> {
    /*调息明细页面-调息列表查询*/
    List<HlsCusConFloatingRateReqLn> rateChangeListQuery(IRequest requestContext, HlsCusConFloatingRateReqLn dto, int page, int pageSize);

    /*调息明细页面-调息总体信息查询*/
    HlsCusConFloatingRateReqLn rateChangeTotalQuery(IRequest requestContext, HlsCusConFloatingRateReqLn dto);

    HlsCusConFloatingRateReq createFloatingRateChange(IRequest request, HlsCusConFloatingRateReq floatingRateReq);

    void floatingRate(IRequest request, HlsCusConFloatingRateReq cusConFloatingRateReq);

    void floatingRateWorkFlowStart(IRequest request, HlsCusConFloatingRateReq cusConFloatingRateReq);

    void cancelFloatingRateReq(IRequest iRequest,@StdWho HlsCusConFloatingRateReq floatingRateReq);

}