package hls.core.cont.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.cont.dto.HlsCusConContractGuarantor;
import hls.core.cont.dto.HlsCusConContractGuarantorH;
import hls.core.cont.mapper.HlsCusConContractGuarantorHMapper;
import hls.core.cont.service.ConContractGuarantorHService;
import hls.core.csh.dto.HlsCusCshConContract;

@Service
@Transactional
public class ConContractGuarantorHServiceImpl extends BaseServiceImpl<HlsCusConContractGuarantorH> implements ConContractGuarantorHService{

	@Autowired
	private HlsCusConContractGuarantorHMapper mapper;

	@Override
	public List<HlsCusConContractGuarantorH> selectConContractGuarantorH(HlsCusCshConContract conContract) {
		return mapper.selectConContractGuarantorH(conContract);
	}
	@Override
	public List<HlsCusConContractGuarantorH> selectDetail(HlsCusConContractGuarantorH conContractGuarantorH){
		return mapper.selectDetail(conContractGuarantorH);
	}

	@Override
	public void deleteConContractGuarantorH(HlsCusConContractGuarantor conContractGuarantor) {
		  mapper.deleteConContractGuarantorH(conContractGuarantor);
	}


}
