package hls.core.cont.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import hls.core.cont.dto.HlsCusConContractAttachment;
import hls.core.cont.mapper.HlsCusConContractHistoryMapper;
import hls.core.cont.service.IConContractHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/31
 * Time: 13:59
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class ConContractHistoryServiceImpl implements IConContractHistoryService{
    @Autowired
    private HlsCusConContractHistoryMapper conContractHistoryMapper;
    @Override
    public List<Map> queryInceptList(Long contractId) {
        return conContractHistoryMapper.queryInceptList(contractId);
    }

    @Override
    public List<Map> queryChangeList(Long contractId) {
        return conContractHistoryMapper.queryChangeList(contractId);
    }

    @Override
    public List<Map> queryDebtExemption(Long contractId) {
        return conContractHistoryMapper.queryDebtExemption(contractId);
    }

    @Override
    public List<Map> queryConCancelList(Long contractId) {
        return conContractHistoryMapper.queryConCancelList(contractId);
    }

    @Override
    public List<Map> queryConCompleteList(Long contractId) {
        return conContractHistoryMapper.queryConCompleteList(contractId);
    }

    @Override
    public List<Map> queryConCancelDoc(IRequest requestContext, HlsCusConContractAttachment contractAttachment, int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return conContractHistoryMapper.queryConCancelDoc(contractAttachment);
    }

    @Override
    public List<Map> queryChangeInfo(Long contractId) {
        return conContractHistoryMapper.queryChangeInfo(contractId);
    }

    @Override
    public List<Map> queryConById(Long contractId) {
        return conContractHistoryMapper.queryConById(contractId);
    }

    @Override
    public List<Map> querySignList(Long contractId) {
        return conContractHistoryMapper.querySignList(contractId);
    }
}
