package hls.core.csh.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-08-18
 * Time: 13:51
 */
@Component
public class CshWriteoffReceiptDepositPoolEventHandler extends AbstractCshEventWithTransactionHandler {
    @Override
    String getNoticeTitle() {
        return "收款-保证金";
    }

    @Override
    String getMessage(String bpName, String currency, String amount) {
        return "已收到" + bpName + " 保证金 " + currency + amount;
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CSH_WRITE_OFF_RECEIPT_DEPOSIT_POOL;
    }
}
