package hls.core.csh.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-08-18
 * Time: 13:51
 */
@Component
public class CshWriteoffRefundEventHandler extends AbstractCshEventWithTransactionHandler {
    @Override
    String getNoticeTitle() {
        return "退款";
    }

    @Override
    String getMessage(String bpName, String currency, String amount) {
        return "已退款" + bpName + " " + currency + amount;
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CSH_WRITE_OFF_PREPAYMENT_DEBT;
    }
}
