package hls.core.csh.dto;

import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Id;
import javax.persistence.Transient;
import java.util.Date;

/**
 * Created by lpc on 2017/9/30.
 */
public class CshBankAccountBalance extends BaseDTO {
    public Long getBankAccountId() {
        return bankAccountId;
    }

    public void setBankAccountId(Long bankAccountId) {
        this.bankAccountId = bankAccountId;
    }

    public Long getPeriodYear() {
        return periodYear;
    }

    public void setPeriodYear(Long periodYear) {
        this.periodYear = periodYear;
    }

    public Long getPeriodMonth() {
        return periodMonth;
    }

    public void setPeriodMonth(Long periodMonth) {
        this.periodMonth = periodMonth;
    }

    @Id
    private Long bankAccountId;
    @Id
    private Long periodYear;
    @Id
    private Long periodMonth;

    private Double openingBalance;

    private Double periodIncome;

    private Double periodExpense;

    private Double balance;

    @Transient
    private String category;
    @Transient
    private Double value;
    @Transient
    private Long minMonth;
    @Transient
    private Date transactionDate;
    @Transient
    private String bpName;
    @Transient
    private String cfItemDesc;
    @Transient
    private Double cshIn;

    public String getBankColor() {
        return bankColor;
    }

    public void setBankColor(String bankColor) {
        this.bankColor = bankColor;
    }

    @Transient
    private String label;
    @Transient
    private String bankColor;
    @Transient
    private Long transactionId;

    @Transient
    private Long companyId;

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(Long transactionId) {
        this.transactionId = transactionId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getCompanyFullName() {
        return companyFullName;
    }

    public void setCompanyFullName(String companyFullName) {
        this.companyFullName = companyFullName;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }


    public String getBankSlipNum() {
        return bankSlipNum;
    }

    public void setBankSlipNum(String bankSlipNum) {
        this.bankSlipNum = bankSlipNum;
    }

    @Transient
    private Double cshOut;
    @Transient
    private String companyFullName;
    @Transient
    private String contractNumber;
    @Transient
    private String bankSlipNum;


    public Date getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(Date transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getBpName() {
        return bpName;
    }

    public void setBpName(String bpName) {
        this.bpName = bpName;
    }

    public String getCfItemDesc() {
        return cfItemDesc;
    }

    public void setCfItemDesc(String cfItemDesc) {
        this.cfItemDesc = cfItemDesc;
    }

    public Double getCshIn() {
        return cshIn;
    }

    public void setCshIn(Double cshIn) {
        this.cshIn = cshIn;
    }

    public Double getCshOut() {
        return cshOut;
    }

    public void setCshOut(Double cshOut) {
        this.cshOut = cshOut;
    }

    public Long getMinMonth() {
        return minMonth;
    }

    public void setMinMonth(Long minMonth) {
        this.minMonth = minMonth;
    }

    public Long getMinYear() {
        return minYear;
    }

    public void setMinYear(Long minYear) {
        this.minYear = minYear;
    }

    @Transient
    private Long minYear;

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Double getOpeningBalance() {
        return openingBalance;
    }

    public void setOpeningBalance(Double openingBalance) {
        this.openingBalance = openingBalance;
    }

    public Double getPeriodIncome() {
        return periodIncome;
    }

    public void setPeriodIncome(Double periodIncome) {
        this.periodIncome = periodIncome;
    }

    public Double getPeriodExpense() {
        return periodExpense;
    }

    public void setPeriodExpense(Double periodExpense) {
        this.periodExpense = periodExpense;
    }

    public Double getBalance() {
        return balance;
    }

    public void setBalance(Double balance) {
        this.balance = balance;
    }

}
