package hls.core.csh.exception;

import com.hand.hap.core.exception.BaseException;

public class BeyondAmountLimitException extends BaseException{

	private static final long serialVersionUID = 4787344566134267881L;

	public static final String BEYOND_THE_AMOUNT_LIMIT = "超出金额限制";  //"msg.error.system.csh.beyond_amount_error";
	
	public BeyondAmountLimitException() {
		super(BEYOND_THE_AMOUNT_LIMIT, BEYOND_THE_AMOUNT_LIMIT,new Object[0]);
	}

	public BeyondAmountLimitException(String message) {
		super(BEYOND_THE_AMOUNT_LIMIT, message,new Object[0]);
	}

}
