package hls.core.csh.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusConExecute;

import java.util.List;

public interface ConExecuteMapper<T extends HlsCusConExecute> extends Mapper<HlsCusConExecute>{
    //获取报表的数据源，并在新表中做插入
    List<HlsCusConExecute> queryTempDate(HlsCusConExecute conExecute);
    //日期跨度，返回报表发布日期
    List<HlsCusConExecute> dayPeriod(HlsCusConExecute conExecute);
    //<!--网格数据：总数，新增，签约，取消等-->
    List<HlsCusConExecute> queryGenerator(HlsCusConExecute conExecute);
    List<HlsCusConExecute> payAndReceive(HlsCusConExecute conExecute);
    //统计信息，表格1
    List<HlsCusConExecute> conAnalysisInfo(HlsCusConExecute conExecute);
    //合同信息，表格2
    List<HlsCusConExecute> conInfo(HlsCusConExecute conExecute);
    //逾期信息
    List<HlsCusConExecute> overdueInfo(HlsCusConExecute conExecute);
    //逾期详细信息
    List<HlsCusConExecute> overdueDetail(HlsCusConExecute conExecute);

}