package hls.core.csh.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusCshBankAccountBalance;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface CshBankAccountBalanceMapper<T extends HlsCusCshBankAccountBalance> extends Mapper<HlsCusCshBankAccountBalance>{

	public List<HlsCusCshBankAccountBalance> selectBankAccountBalanceAll(HlsCusCshBankAccountBalance cshBankAccountBalance);
	
	public List<HlsCusCshBankAccountBalance> selectBankAccountBalanceInfoAll(HlsCusCshBankAccountBalance cshBankAccountBalance);
	
	public List<HlsCusCshBankAccountBalance> getCloseBankAccountBalance(HlsCusCshBankAccountBalance cshBankAccountBalance);

	public List<HlsCusCshBankAccountBalance> getCurrentMonthAccountInfo(HlsCusCshBankAccountBalance cshBankAccountBalance);

	public HlsCusCshBankAccountBalance selectAccountBalance(@Param("bankAccountId") Long bankAccountId, @Param("periodYear") Long periodYear, @Param("periodMonth") Long periodMonth);

	public void updateBankAccountBalance(HlsCusCshBankAccountBalance accountBalance);

	public void updateBankAccountBalanceByKey(HlsCusCshBankAccountBalance accountBalance);
	
	public List<HlsCusCshBankAccountBalance> selectCshBankAccountBalanceById(HlsCusCshBankAccountBalance accountBalance);
}
