package hls.core.csh.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusCshBank;
import hls.core.csh.dto.HlsCusCshBankAccount;

import java.util.List;
import java.util.Map;


public interface CshBankAccountMapper<T extends HlsCusCshBankAccount> extends Mapper<HlsCusCshBankAccount>{

	public List<HlsCusCshBankAccount> selectAllCshBankAccount(Long bankAccountId);
	
	public List<HlsCusCshBankAccount> selectCshBankAccount(Map<String, Object> params);

	public List<HlsCusCshBankAccount> bankAccountInfoQuery(HlsCusCshBankAccount cshBankAccount);
	
	public List<HlsCusCshBankAccount> selectCshBankAccountLov(Map<String, Object> params);

	public List<HlsCusCshBankAccount> bankAccountQuery(HlsCusCshBankAccount cshBankAccount);

	public List<HlsCusCshBank> selectCshBankLov(Map<String, Object> params);

	public List<HlsCusCshBank> bankInfoQuery(HlsCusCshBank cshBank);

	public List<HlsCusCshBank> bankInfoQuery2(Long bpId);
	/*融资合同-获取债权人相关的账户*/
	List<HlsCusCshBankAccount> queryFinanceBankAccount(HlsCusCshBankAccount cshBankAccount);

}
