package hls.core.csh.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusCshApprovalQuantity;
import hls.core.csh.dto.HlsCusCshPaymentReqLn;

import java.util.List;


public interface CshPaymentReqLnMapper<T extends HlsCusCshPaymentReqLn> extends Mapper<HlsCusCshPaymentReqLn>{
	public HlsCusCshPaymentReqLn queryCshPaymentLnByPreqId(Long payment_req_ln_id);
	public List<HlsCusCshPaymentReqLn> selectCshPaymentReqLnByHd(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> selectCshPaymentReqLnDetailByLnID(List<String> ln_id);
	public void updateAmountPaid(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public void updatePaymentFlag(HlsCusCshPaymentReqLn cshPaymentReqLn);
	
	public List<HlsCusCshPaymentReqLn> selectLov(HlsCusCshPaymentReqLn cshPaymentReqLn);
	
	public List<HlsCusCshPaymentReqLn> selectLovContract(HlsCusCshPaymentReqLn cshPaymentReqLn);
	
	public List<HlsCusCshPaymentReqLn> selectLaunchApplication(HlsCusCshPaymentReqLn cshPaymentReqLn);
	
	public HlsCusCshApprovalQuantity selectApprovalQuantity(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> queryAll(HlsCusCshPaymentReqLn cshPaymentReqLn);
	/**
	 * 付款申请多行
	 * @param cshPaymentReqLn
	 * @return
	 */
	public List<HlsCusCshPaymentReqLn> queryDetail(HlsCusCshPaymentReqLn cshPaymentReqLn);
	/**
	 * 付款申请单行
	 * @param cshPaymentReqLn
	 * @return
	 */
	public List<HlsCusCshPaymentReqLn> queryOneDetail(HlsCusCshPaymentReqLn cshPaymentReqLn);
	List<HlsCusCshPaymentReqLn> queryByHnId(HlsCusCshPaymentReqLn cshPaymentReqLn);
	List<HlsCusCshPaymentReqLn> selectCshPaymentReqLn(HlsCusCshPaymentReqLn cshPaymentReqLn);

	List<HlsCusCshPaymentReqLn> queryFctByWithdarwCfId(Long cashflowId);

	public HlsCusCshPaymentReqLn queryCshPaymentLnByContractId(Long contractId);

}
