package hls.core.csh.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusCshTransaction;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CshTransactionMapper<T extends HlsCusCshTransaction> extends Mapper<HlsCusCshTransaction>{

	List<HlsCusCshTransaction> queryAll(HlsCusCshTransaction cshTransaction);

	List<HlsCusCshTransaction> queryDetailById(Long transactionId);

	void updateCshTrByPrimaryKey(HlsCusCshTransaction cshTr);

	List<HlsCusCshTransaction> cshReturnQuery(HlsCusCshTransaction cshTransaction);

	List<HlsCusCshTransaction> cshWriteOffQuery(HlsCusCshTransaction cshTransaction);

	List<HlsCusCshTransaction>  queryReceDepositPool(@Param("transactionType") String transactionType, @Param("businessType") String businessType,
                                                     @Param("companyId") Long companyId, @Param("bpId") Long bpId);

	List<HlsCusCshTransaction> cshReturnReversedQuery(HlsCusCshTransaction cshTransaction);
	
	
	List<HlsCusCshTransaction> paymentreversedRquery(HlsCusCshTransaction cshTransaction);
	void updateReversedTrxId(HlsCusCshTransaction cshTransaction);
	
	public List<HlsCusCshTransaction> paymentreversedRqueryLov();

	HlsCusCshTransaction fundHomePage(Map map);

	List<Map> collectionDetails(Map<String, Object> params);

	List<Map> collectionDetailsView(Map<String, Object> params);

   	List<Map> csh330aCshTransactionQuery(HlsCusCshTransaction cshTransaction);

	List<Map> csh420aCshDepositPoolQuery(HlsCusCshTransaction cshTransaction);

	List<Map> csh410aConContractDepoistQuery(HlsCusCshTransaction cshTransaction);
	/**
	 * 现金事物-单行-交易明细
	 * @param cshTransaction
	 * @return
	 */
	public List<HlsCusCshTransaction> selectAllCashThingTransactionDetails(HlsCusCshTransaction cshTransaction);
	
	public List<HlsCusCshTransaction> selectCshTransactionById(HlsCusCshTransaction cshTransaction);
	
	public List<HlsCusCshTransaction> selectAllCshTransaction(HlsCusCshTransaction cshTransaction);

	List<Map> queryByTransactionId(Map map);

	public List<HlsCusCshTransaction> selectAllNotInvoiced(HlsCusCshTransaction cshTransaction);

	List<HlsCusCshTransaction> queryByCshWriteId(HlsCusCshTransaction cshTransaction);
}
