package hls.core.csh.service;

import java.util.List;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.csh.dto.HlsCusCshBankAccountBalance;
import org.apache.ibatis.annotations.Param;


public interface CshBankAccountBalanceService extends IBaseService<HlsCusCshBankAccountBalance>, ProxySelf<CshBankAccountBalanceService>{

	public List<HlsCusCshBankAccountBalance> getAllBankAccountBalance(HlsCusCshBankAccountBalance cshBankAccountBalance);
	
	public List<HlsCusCshBankAccountBalance> getAllBankAccountBalanceInfo(HlsCusCshBankAccountBalance cshBankAccountBalance);
	
	public List<HlsCusCshBankAccountBalance> getCurrentMonthAccountInfo(HlsCusCshBankAccountBalance cshBankAccountBalance);

	public HlsCusCshBankAccountBalance selectAccountBalance(@Param("bankAccountId")Long bankAccountId, @Param("periodYear")Long periodYear, @Param("periodMonth")Long periodMonth);

	public HlsCusCshBankAccountBalance getCloseBankAccountBalance(HlsCusCshBankAccountBalance cshBankAccountBalance);

	public void updateBankAccountBalanceByKey(HlsCusCshBankAccountBalance accountBalance);

	public void updateBankAccountBalance(HlsCusCshBankAccountBalance accountBalance);
}
