package hls.core.csh.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.csh.mapper.HlsCusTransactionRelationMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.csh.dto.HlsCusTransactionRelation;
import hls.core.csh.service.ITransactionRelationService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class TransactionRelationServiceImpl extends BaseServiceImpl<HlsCusTransactionRelation> implements ITransactionRelationService {
       @Autowired(required = false)
       private ITransactionRelationService service;
       @Autowired
       private HlsCusTransactionRelationMapper  mapper;
       /*合同提前结清-查询收款信息*/
       @Override
        public List<HlsCusTransactionRelation> queryTerminationCollectionInfo(HlsCusTransactionRelation dto,int page,int pageSize){
            PageHelper.startPage(page,pageSize);
            return mapper.queryTerminationCollectionInfo(dto);
        }
}