package hls.core.ease.mapper;

import hls.core.hls.dto.HlsSystemNotice;
import hls.core.hls.dto.HlsUserRelationship;

import java.util.List;
import java.util.Map;

/**
 * Created by fjm on 2018/1/4.
 */
public interface EaseMapper {
   /*查询我的待办*/
   List<HlsSystemNotice> selectNoticeMessageForEase(HlsSystemNotice hlsSystemNotice);
   /*查询我的收藏*/
   List<HlsUserRelationship> getCollectionsForEase(HlsUserRelationship relationship);
   /*查询收藏单据动态消息*/
   List<HlsSystemNotice> getCollectNoticeMessage(HlsSystemNotice hlsSystemNotice);
   /*查询我的申请*/
   List<Map>  queryMyApplication(Map map);
   /*查询我的审批*/
   List<Map>  queryMyApprove(Map map);
   /*查询我的待办申请审批条数*/
   List<Map> queryMyListCount(Map map);
   /*查询事件屏蔽情况*/
   List<Map> queryEventCondition(Map map);
}
