package hls.core.ease.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import hls.core.hls.dto.HlsSystemNotice;
import hls.core.hls.dto.HlsUserRelationship;

import java.util.List;
import java.util.Map;

/**
 * Created by fjm on 2018/1/4.
 */
public interface IEaseService extends ProxySelf<IEaseService>{
    List<HlsSystemNotice> selectNoticeMessageForEase(IRequest request,HlsSystemNotice hlsSystemNotice,int page,int pageSize);
    /*查询我的收藏*/
    List<HlsUserRelationship> getCollections(IRequest request,HlsUserRelationship relationship);
    /*查询收藏单据的动态信息*/
    List<HlsSystemNotice> getCollectNoticeMessage(IRequest request,HlsSystemNotice hlsSystemNotice,int page,int pageSize);
    /*查询我的申请*/
    List<Map>  queryMyApplication(Map map,int page,int pageSize);
    /*查询我的审批*/
    List<Map>  queryMyApprove(Map map,int page,int pageSize);
    /*查询我的待办申请审批条数*/
    List<Map> queryMyListCount(Map map);
    /*查询事件屏蔽情况*/
    List<Map> queryEventCondition(Map map,int page,int pageSize);
}
