package hls.core.fct.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.fct.dto.HlsCusFctProjectAttachment;

import java.util.List;
import java.util.Map;


public interface FctProjectAttachmentMapper<T extends HlsCusFctProjectAttachment> extends Mapper<HlsCusFctProjectAttachment> {


    public List<HlsCusFctProjectAttachment> fctProjectAttachmentForSignProcessQuery(HlsCusFctProjectAttachment fctProjectAttachment);

    public List<HlsCusFctProjectAttachment> fctProjectAttachmentQuery(HlsCusFctProjectAttachment fctProjectAttachment);
    public List<HlsCusFctProjectAttachment> fctContractContentQuery(HlsCusFctProjectAttachment fctProjectAttachment);
    public List<HlsCusFctProjectAttachment> fctContractContentHistoryQuery(HlsCusFctProjectAttachment fctProjectAttachment);
    public List<HlsCusFctProjectAttachment> fctContractQuery(Long contractId);

    public List<HlsCusFctProjectAttachment> fctProjectAttachmentForAttQuery(Map<String,Object> map);

    //查询审批特有附件

    public List<HlsCusFctProjectAttachment> fctCreAttQuery(HlsCusFctProjectAttachment fctProjectAttachment);

    public List<HlsCusFctProjectAttachment> fctContractManagementContentQuery(HlsCusFctProjectAttachment fctProjectAttachment);

    //计算其他协议下属附件
    public List<HlsCusFctProjectAttachment> fctProjectAttQuery(Long sourceId);

    List<HlsCusFctProjectAttachment> riskAssessmentReportFctQuery(HlsCusFctProjectAttachment fctProjectAttachment);

}