package hls.core.fct.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.fct.dto.FctProject;
import hls.core.fct.dto.HlsCusFctProject;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface FctProjectMapper<T extends HlsCusFctProject> extends Mapper<HlsCusFctProject>{

    public List<FctProject> selectPrjStatusInfo(Map<String,Object> map);
    public List<FctProject> selectAllSetupProject(Map<String,Object> map);
    public List<FctProject> selectSetupProjectDetail(FctProject fctProject);

    public List<HlsCusFctProject> fctProjectDetailQuery(HlsCusFctProject fctProject);
    public List<HlsCusFctProject> queryFctCreditInfoProjectId(HlsCusFctProject fctProject);
    public List<HlsCusFctProject> queryFctCreditInfoTrxId(HlsCusFctProject fctProject);
    void updateCreditStatus(@Param("projectId")Long projectId, @Param("creditStatus") String creditStatus, @Param("userId")Long userId, @Param("date")Date date);
    void updateContractStatus(@Param("projectId")Long projectId, @Param("contractStatus") String contractStatus, @Param("userId")Long userId, @Param("date")Date date);

    public HlsCusFctProject queryFctProjectByProjectId(Long project);

}