package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.csh.dto.HlsCusCshPaymentReqHd;
import hls.core.csh.dto.HlsCusCshPaymentReqLn;
import hls.core.fct.dto.HlsCusFctContractWithdraw;

import java.text.ParseException;
import java.util.List;

/**
 * @Author: syj
 * @Description: 保理付款申请
 * @Date: Created in 2017/12/6 11:11
 * @Modified By:
 */
public interface FctContractPaymentService extends IBaseService<HlsCusFctContractWithdraw>, ProxySelf<FctContractPaymentService> {
    public HlsCusCshPaymentReqHd payRequestSave(HlsCusFctContractWithdraw hlsCusFctContractWithdraw, IRequest request) throws ParseException;
    public void cshPaymentReqSubmit(IRequest iRequest, HlsCusFctContractWithdraw hlsCusFctContractWithdraw) throws ParseException;
     /*保理-付款申请历史查询*/
    List<HlsCusCshPaymentReqHd> fctPaymentReqHistorySelect(HlsCusCshPaymentReqHd cshPaymentReqHd);
}
