package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCusFctContractWithdraw;

import java.util.List;
import java.util.Map;

public interface FctContractWithdrawService extends IBaseService<HlsCusFctContractWithdraw>, ProxySelf<FctContractWithdrawService>{
    List<HlsCusFctContractWithdraw> fctContractWithdrawDetailForSpcl(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);
    List<HlsCusFctContractWithdraw> fctContractWithdrawInfoLov(IRequest request, HlsCusFctContractWithdraw hlsCusFctContractWithdraw, int page, int pageSize);
    List<HlsCusFctContractWithdraw> fctContractWithdrawInfoWriteOffLov(IRequest request, HlsCusFctContractWithdraw hlsCusFctContractWithdraw, int page, int pageSize);
    List<HlsCusFctContractWithdraw> fctContractWithdrawInfoETLov(IRequest request, HlsCusFctContractWithdraw hlsCusFctContractWithdraw, int page, int pageSize);
    List<HlsCusFctContractWithdraw> fctContractWithdrawInfoAdvancesLov(IRequest request, HlsCusFctContractWithdraw hlsCusFctContractWithdraw, int page, int pageSize);

    List<HlsCusFctContractWithdraw> fctContractWithdrawAprlDetail(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);
    List<HlsCusFctContractWithdraw> fctContractWithdrawDetailQuery(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);


    List<Map> fctContractHistoryQuery(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);

    // 保理合同明细页面,- 付款申请历史清单查询
    List<HlsCusFctContractWithdraw> withdrawPaymentHistoryQuery(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);

    // 保理合同明细页面,- 付款申请历史明细查询
    List<Map> paymentDetailQuery(HlsCusFctContractWithdraw hlsCusFctContractWithdraw);




    void repaymentSubmit(IRequest request,List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraw);
    List<HlsCusFctContractWithdraw> cashDemandSubmit(IRequest request,List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraw);
    void collectionCashflowSubmit(IRequest request, List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraws);
    void earlyTerminateSubmit(IRequest request, List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraws);
    List<HlsCusFctContractWithdraw> fctContractWithdrawSave(IRequest request,List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraw);

    void updateWithdrawAtt(IRequest request,List<HlsCusFctContractWithdraw> hlsCusFctContractWithdraws);

    void createWithdrawContent(IRequest request,HlsCusFctContractWithdraw hlsCusFctContractWithdraws);

    Long getWithdrawCount(Long contractId);
}