package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCusFctProject;
import hls.core.prj.dto.HlsCusHlsCreditLine;
import hls.core.prj.dto.HlsCusPrjProject;

import java.util.List;

/**
 * Created by syj on 17/11/10.
 */
public interface HlsCreditLineCustomService extends IBaseService<HlsCusHlsCreditLine>, ProxySelf<HlsCreditLineCustomService> {
    boolean beforeSave(IRequest iRequest, HlsCusHlsCreditLine hlsCreditLine);
    HlsCusPrjProject afterSave(IRequest iRequest, HlsCusHlsCreditLine hlsCreditLine);
    boolean beforeSubmit(IRequest iRequest, List<HlsCusHlsCreditLine> hlsCreditLineList);
    HlsCusPrjProject afterSubmit(IRequest iRequest, List<HlsCusHlsCreditLine> hlsCreditLineList);
}
