package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCreditLineH;
import hls.core.fct.dto.HlsCusHlsCreditLineH;

import java.util.List;

public interface HlsCreditLineHService extends IBaseService<HlsCusHlsCreditLineH>, ProxySelf<HlsCreditLineHService>{
    public Long queryCount(Long creditLineId);

    public List<HlsCreditLineH> queryVersion(Long creditLineId);

    public List<HlsCusHlsCreditLineH> submitApproval(IRequest iRequest, List<HlsCusHlsCreditLineH> list);

    public List<HlsCusHlsCreditLineH> queryVersionByPk(HlsCusHlsCreditLineH hlsCreditLineH);

    public List<HlsCusHlsCreditLineH> queryHistoryByStatus(HlsCusHlsCreditLineH hlsCreditLineH);

    //授信变更完成以后更新综合授信H表信息
    public List<HlsCusHlsCreditLineH> updateCreditLineHInfo(HlsCusHlsCreditLineH hlsCreditLineH);

    //申请状态下查询授信信息
    List<HlsCusHlsCreditLineH> queryCreditLineH(HlsCusHlsCreditLineH hlsCreditLineH);

    //授信变更历史
    List<HlsCusHlsCreditLineH> queryCreditLineHistory(HlsCusHlsCreditLineH hlsCreditLineH);
    //获取变更序列
    Long getChangeSeq(Long creditLineId);

    //获取变更信息
    List<HlsCusHlsCreditLineH> queryChangeData(IRequest iRequest,HlsCusHlsCreditLineH hlsCreditLineH);

}