package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractQuotation;
import hls.core.fct.mapper.HlsCusFctContractMapper;
import hls.core.fct.mapper.HlsCusFctContractQuotationMapper;
import hls.core.fct.service.FctContractQuotationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractQuotationServiceImpl extends BaseServiceImpl<HlsCusFctContractQuotation> implements FctContractQuotationService{

    @Autowired
    private HlsCusFctContractQuotationMapper hlsCusFctContractQuotationMapper;
    @Override
    public List<HlsCusFctContractQuotation> fctContractQuotationDetailQuery(HlsCusFctContractQuotation hlsCusFctContractQuotation){
        return hlsCusFctContractQuotationMapper.fctContractQuotationDetailQuery(hlsCusFctContractQuotation);
    }
}