package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractTermination;
import hls.core.fct.mapper.HlsCusFctContractTerminationMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fct.service.FctContractTerminationService;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractTerminationServiceImpl extends BaseServiceImpl<HlsCusFctContractTermination> implements FctContractTerminationService {

    @Autowired
    private HlsCusFctContractTerminationMapper mapper;


    public void insertFctContractTer(HlsCusFctContractTermination fctContractTermination){
        mapper.insertFctContractTer(fctContractTermination);
    }
}