package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractWithdrawAprl;
import hls.core.fct.mapper.HlsCusFctContractWithdrawAprlMapper;
import hls.core.fct.service.FctContractWithdrawAprlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractWithdrawAprlServiceImpl extends BaseServiceImpl<HlsCusFctContractWithdrawAprl> implements FctContractWithdrawAprlService{
    @Autowired
    HlsCusFctContractWithdrawAprlMapper fctContractWithdrawAprlMapper;
    @Override
    public List<HlsCusFctContractWithdrawAprl> fctContractWithdrawAprlQuery(HlsCusFctContractWithdrawAprl hlsCusFctContractWithdrawAprl) {
       return fctContractWithdrawAprlMapper.select(hlsCusFctContractWithdrawAprl);
    }
}