package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractWithdrawTrx;
import hls.core.fct.mapper.HlsCusFctContractWithdrawTrxMapper;
import hls.core.fct.service.FctContractWithdrawTrxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractWithdrawTrxServiceImpl extends BaseServiceImpl<HlsCusFctContractWithdrawTrx> implements FctContractWithdrawTrxService{

    @Autowired
    HlsCusFctContractWithdrawTrxMapper mapper;
    @Override
    public void fctContractWithdrawTrxDelete(HlsCusFctContractWithdrawTrx fctContractWithdrawTrx){
         mapper.fctContractWithdrawTrxDelete(fctContractWithdrawTrx);
    }
    @Override
    public List<HlsCusFctContractWithdrawTrx> fctWithdrawTrxQuery(HlsCusFctContractWithdrawTrx fctContractWithdrawTrx){
        return mapper.fctWithdrawTrxQuery(fctContractWithdrawTrx);
    }

}