package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctProjectBasicTrxDtl;
import hls.core.fct.mapper.HlsCusFctProjectBasicTrxDtlMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fct.dto.FctProjectBasicTrxDtl;
import hls.core.fct.service.FctProjectBasicTrxDtlService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctProjectBasicTrxDtlServiceImpl extends BaseServiceImpl<HlsCusFctProjectBasicTrxDtl> implements FctProjectBasicTrxDtlService{

    @Autowired
    private HlsCusFctProjectBasicTrxDtlMapper mapper;

    @Override
    public List<HlsCusFctProjectBasicTrxDtl> projectBasicTrxDtlQuery(HlsCusFctProjectBasicTrxDtl hlsCusFctProjectBasicTrxDtl){
        return mapper.projectBasicTrxDtlQuery(hlsCusFctProjectBasicTrxDtl);
    }

    @Override
    public List<HlsCusFctProjectBasicTrxDtl> projectBasicTrxDtlMegQuery(HlsCusFctProjectBasicTrxDtl hlsCusFctProjectBasicTrxDtl){
        return mapper.projectBasicTrxDtlMegQuery(hlsCusFctProjectBasicTrxDtl);
    }

    @Override
    public List<HlsCusFctProjectBasicTrxDtl> fctContractWithdrawTrxDtl(HlsCusFctProjectBasicTrxDtl hlsCusFctProjectBasicTrxDtl){
        return mapper.fctContractWithdrawTrxDtl(hlsCusFctProjectBasicTrxDtl);
    }

}