package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctProjectConSignAtt;
import hls.core.fct.mapper.HlsCusFctProjectConSignAttMapper;
import hls.core.fct.service.FctProjectConSignAttService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctProjectConSignAttServiceImpl extends BaseServiceImpl<HlsCusFctProjectConSignAtt> implements FctProjectConSignAttService{
    @Autowired
    private HlsCusFctProjectConSignAttMapper hlsCusFctProjectConSignAttMapper;
    @Override
    public List<HlsCusFctProjectConSignAtt> fctProjectConSignAttlDetailQuery(HlsCusFctProjectConSignAtt hlsCusFctProjectConSignAtt) {
        return hlsCusFctProjectConSignAttMapper.fctProjectConSignAttlDetailQuery(hlsCusFctProjectConSignAtt);
    }
}