package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctProjectFinStatement;
import hls.core.fct.mapper.HlsCusFctProjectFinStatementMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fct.service.FctProjectFinStatementService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctProjectFinStatementServiceImpl extends BaseServiceImpl<HlsCusFctProjectFinStatement> implements FctProjectFinStatementService {
    @Autowired
    private HlsCusFctProjectFinStatementMapper hlsCusFctProjectFinStatementMapper;

    @Override
    public List<HlsCusFctProjectFinStatement> queryFctProjectFinStatement(HlsCusFctProjectFinStatement dto){
        return hlsCusFctProjectFinStatementMapper.queryFctProjectFinStatement(dto);
    }
    @Override
    public List<HlsCusFctProjectFinStatement> queryFinStatementByBpId(Long bpId){
        return hlsCusFctProjectFinStatementMapper.queryFinStatementByBpId(bpId);
    }
}