package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusHlsCreditLineApproval;
import hls.core.fct.mapper.HlsCusHlsCreditLineApprovalMapper;
import hls.core.fct.service.HlsCreditLineApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Author: syj
 * @Description:
 * @Date: Created in 2017/11/9 21:34
 * @Modified By:
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HlsCreditLineApprovalServiceImpl extends BaseServiceImpl<HlsCusHlsCreditLineApproval> implements HlsCreditLineApprovalService {
    @Autowired
    HlsCusHlsCreditLineApprovalMapper hlsCusHlsCreditLineApprovalMapper;

    @Override
    public List<HlsCusHlsCreditLineApproval> creditLineApprovalQuery(HlsCusHlsCreditLineApproval HlsCusHlsCreditLineApproval) {
        return hlsCusHlsCreditLineApprovalMapper.creditLineApprovalQuery(HlsCusHlsCreditLineApproval);
    }
}
