package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusHlsCreditLineChangeReq;
import hls.core.fct.mapper.HlsCusHlsCreditLineChangeReqMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fct.service.HlsCreditLineChangeReqService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class HlsCreditLineChangeReqServiceImpl extends BaseServiceImpl<HlsCusHlsCreditLineChangeReq> implements HlsCreditLineChangeReqService {
    @Autowired
     private HlsCusHlsCreditLineChangeReqMapper mapper;

    //查询授信信息
    @Override
    public List<HlsCusHlsCreditLineChangeReq> queryCreditLineInfo(HlsCusHlsCreditLineChangeReq hlsCreditLineChangeReq){
        return mapper.queryCreditLineInfo(hlsCreditLineChangeReq);
    }

    //查询变更历史信息
    @Override
    public List<HlsCusHlsCreditLineChangeReq> changeHistoryReqQuery(HlsCusHlsCreditLineChangeReq hlsCreditLineChangeReq){
        return mapper.changeHistoryReqQuery(hlsCreditLineChangeReq);
    }
}