package hls.core.fct.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCreditLineGuarantor;
import hls.core.fct.dto.HlsCusHlsCreditLineGuarantor;
import hls.core.fct.mapper.HlsCusHlsCreditLineGuarantorMapper;
import hls.core.fct.service.HlsCreditLineGuarantorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class HlsCreditLineGuarantorServiceImpl extends BaseServiceImpl<HlsCusHlsCreditLineGuarantor> implements HlsCreditLineGuarantorService{
    @Autowired
    private HlsCusHlsCreditLineGuarantorMapper mapper;

    @Override
    public List<HlsCreditLineGuarantor> creditLineGuarantorQuery(HlsCreditLineGuarantor hlsCreditLineGuarantor, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return mapper.creditLineGuarantorQuery(hlsCreditLineGuarantor);
    }

}