package hls.core.fnd.controllers;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.core.exception.TokenException;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.fnd.dto.FndInterfaceLines;
import hls.core.fnd.dto.HLSPosition;
import hls.core.fnd.dto.HlsEmployeeAssigns;
import hls.core.fnd.service.FndInterfaceLinesService;
import hls.core.fnd.service.HLSIPositionService;
import hls.core.fnd.service.IHlsEmployeeAssignsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by syj on 2017/3/20.
 */
@Controller
public class FndInterfaceLinesController extends BaseController {
    @Autowired
    private FndInterfaceLinesService fndInterfaceLinesService;


    @RequestMapping(value = "/fnd/interface/line/detail/query")
    @ResponseBody
    public ResponseData fndInterfaceLinesDetailQuery(HttpServletRequest request, FndInterfaceLines fndInterfaceLines,
                                                     @RequestParam(defaultValue = DEFAULT_PAGE) int page,
                                                     @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) int pagesize) {
        return new ResponseData(fndInterfaceLinesService.fndInterfaceLinesDetailQuery(fndInterfaceLines, page, pagesize));
    }

    @RequestMapping(value = "/fnd/interface/line/Txt/query")
    @ResponseBody
    public ResponseData fndInterfaceLinesTxtQuery(HttpServletRequest request, FndInterfaceLines fndInterfaceLines) {
        return new ResponseData(fndInterfaceLinesService.fndInterfaceLinesTxtQuery(fndInterfaceLines));
    }
}
