package hls.core.fnd.dto;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@SuppressWarnings("serial")
@ExtensionAttribute(disable = true)
@Table(name = "hls_lease_channel")
public class FndLeaseChannel extends BaseDTO {
    @Id
    @Condition(operator = LIKE)
    private String lease_channel;
    private Long company_id;
    @Condition(operator = LIKE)
    private String description;
    private String enabled_flag;
    @Transient
    private String queryCondition;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition == null ? null : queryCondition.trim();
    }

    public String getLease_channel() {
        return lease_channel;
    }

    public void setLease_channel(String lease_channel) {
        this.lease_channel = lease_channel;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEnabled_flag() {
        return enabled_flag;
    }

    public void setEnabled_flag(String enabled_flag) {
        this.enabled_flag = enabled_flag;
    }

    public Long getCompany_id() {
        return company_id;
    }

    public void setCompany_id(Long company_id) {
        this.company_id = company_id;
    }
}
