package hls.core.fnd.dto;

import com.hand.hap.core.annotation.MultiLanguage;
import com.hand.hap.core.annotation.MultiLanguageField;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import java.io.Serializable;

import javax.persistence.*;

import org.liquibase.groovy.liquibase;

/**
 * Created by hailor on 16/6/2.
 */
@ExtensionAttribute(disable=true)
@Table(name = "fnd_tax_type_code")
public class FndSysCodes  extends BaseDTO implements Serializable{
    @Id
    private String tax_type_code;
    @Id
    private Long company_id;
    
    private String description;
    
    private String enabled_flag;
    
    private String system_flag;
    
    private Double tax_type_rate;
    
    private String tax_category;

	public String getTax_type_code() {
		return tax_type_code;
	}

	public void setTax_type_code(String tax_type_code) {
		this.tax_type_code = tax_type_code;
	}

	public Long getCompany_id() {
		return company_id;
	}

	public void setCompany_id(long company_id) {
		this.company_id = company_id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getEnabled_flag() {
		return enabled_flag;
	}

	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}

	public String getSystem_flag() {
		return system_flag;
	}

	public void setSystem_flag(String system_flag) {
		this.system_flag = system_flag;
	}

	public Double getTax_type_rate() {
		return tax_type_rate;
	}

	public void setTax_type_rate(Double tax_type_rate) {
		this.tax_type_rate = tax_type_rate;
	}

	public String getTax_category() {
		return tax_category;
	}

	public void setTax_category(String tax_category) {
		this.tax_category = tax_category;
	}
    
    
	
}
