package hls.core.fnd.dto;

import javax.persistence.Id;
import javax.persistence.Table;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

/**
 * @Title: FndUomType
 * @Description: 计量单位类型 
 *
 */
@SuppressWarnings("serial")
@ExtensionAttribute(disable = true)
@Table(name="fnd_uom_type")
public class FndUomType extends BaseDTO{
	@Id
	private String uom_type;
	private String description;
	private String enabled_flag;
	private String system_flag;

	/**
	 * @return the uom_type
	 */
	public String getUom_type() {
		return uom_type;
	}
	/**
	 * @param uom_type the uom_type to set
	 */
	public void setUom_type(String uom_type) {
		this.uom_type = uom_type;
	}
	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return the enabled_flag
	 */
	public String getEnabled_flag() {
		return enabled_flag;
	}
	/**
	 * @param enabled_flag the enabled_flag to set
	 */
	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}
	/**
	 * @return the system_flag
	 */
	public String getSystem_flag() {
		return system_flag;
	}
	/**
	 * @param system_flag the system_flag to set
	 */
	public void setSystem_flag(String system_flag) {
		this.system_flag = system_flag;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "FndUomType [ uom_type=" + uom_type + ", description=" + description
				+ ", enabled_flag=" + enabled_flag + ", system_flag=" + system_flag + "]";
	}
	
}
