package hls.core.fnd.dto;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;
import java.io.Serializable;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * Created by 罗宇娟 on 2017/6/22.
 */
@ExtensionAttribute(disable=true)
@Table(name="hls_penalty_profile")
public class HlsPenaltyProfile extends BaseDTO implements Serializable{

    @Id
    private String penaltyProfile;
    private Long companyId;
    private String description;
    private String enabledFlag;
    @Transient
    private String queryCondition;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }

    public String getPenaltyProfile() {
        return penaltyProfile;
    }

    public void setPenaltyProfile(String penaltyProfile) {
        this.penaltyProfile = penaltyProfile;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag;
    }
}
