package hls.core.fnd.mapper;

import java.util.List;

import hls.core.fnd.dto.*;

import com.hand.hap.mybatis.common.Mapper;


public interface FirmDefineMapper extends Mapper<FndCompany>{

	public void deleteChannel(String lease_channel);
	
	public void updateChannel(FndCompany company);
	
	/**
	 * 查找公司信息
	 * @param fndCompany
	 * @return
	 */
	public List<FndCompany> selectList(FndCompany fndCompany);
	
	public List<FndCompany> selectLovList(FndCompany fndCompany);
	
	public HLSOrgUnit selectFndOrgUnit(Long company_id);
	
	public void insertFndOrgUnit(HLSOrgUnit hlsOrgUnit);
	
	public HLSPosition selectFndOrgRosition(Long unit);
	
	public void insertFndOrgRosition(HLSPosition hlsPosition);
	
	public HlsEmployeeAssigns selectFndEmployeeAssign(Long company_id);
	
	public void insertFndEmployeeAssign(HlsEmployeeAssigns hlsEmployeeAssigns);
	
	public HlsEmployee selectFndEmployee(Long employee_id);
}
