package hls.core.fnd.mapper;

import java.util.List;

import com.hand.hap.hr.dto.Employee;
import com.hand.hap.mybatis.common.Mapper;

import hls.core.fnd.dto.HlsEmployee;
import org.apache.ibatis.annotations.Param;

public interface HlsEmployeeMapper extends Mapper<HlsEmployee>{
	Long selectByCode(String code);
	
	public List<HlsEmployee> selectAllEmployee(HlsEmployee employee);
	
	public HlsEmployee selectEmploye(HlsEmployee employee);
	
	public List<HlsEmployee> queryParentPositionUserId(Long userId);

	HlsEmployee selectEmployeByCode(HlsEmployee ee);

	//HlsEmployee getDirector(@Param("var1") String var1);

	List<HlsEmployee> getDirector(@Param("var1") String var1);

	List<HlsEmployee> getDeptDirector(@Param("employeeCode") String employeeCode);

	HlsEmployee getEmployeeCode(@Param("userId") Long userId);

    List<HlsEmployee> queryAll(Employee employee);

	//HlsEmployee getDeptDirector(@Param("employeeCode") String employeeCode);

	HlsEmployee queryByCode(@Param("employeeCode") String employeeCode);

	List<HlsEmployee> queryAllByPosition(@Param("positionId") Long positionId);

    HlsEmployee selectEmployeeCode(@Param("judgeUserAllocationId")Long judgeUserAllocationId);

	String selectEmployeCodeById(@Param("startUserId")String startUserId);

	HlsEmployee queryInfoByCode(@Param("employeeCode") String employeeCode, @Param("companyId") Long companyId);
	List<HlsEmployee> selectByPostionCode(@Param("employeeCode") String employeeCode, @Param("companyId") Long companyId);
}
