package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.FndBaseRate;
import hls.core.fnd.dto.FndBaseRateSet;


public interface FndBaseRateService extends IBaseService<FndBaseRate>, ProxySelf<FndBaseRateService>{

	//更新
	public void update(FndBaseRate fndBaseRate);
	
	//通过外键查询
	public List<FndBaseRate> queryAllByBaseRateSet(String base_rate_set);

	public List<FndBaseRate> queryAllByBaseRateType(String baseRateType);
	
	//通过主键删除
	public void delete(List<FndBaseRate> fndBaseRate);
	
	//插入
	public void insert(FndBaseRate fndBaseRate);

	//保存
	public void save(List<FndBaseRate> fndBaseRate);
		
}
