package hls.core.fnd.service;

import java.util.Date;
import java.util.Map;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.FndCodingRuleValues;

public interface FndCodingRuleValuesService extends IBaseService<FndCodingRuleValues>, ProxySelf<FndCodingRuleValuesService>{

	String getCodeRuleValue(IRequest requestContext, String documentCategory,String documentType,String businessType,Map<String,String> params);
	
	String getCodeRuleValue(IRequest requestContext, String documentCategory,String documentType,String businessType,Date date,Map<String,String> params);
}
