package hls.core.fnd.service;

import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.FndCity;
import hls.core.fnd.dto.FndDistrict;
import hls.core.hls.dto.FndProvince;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.hand.hap.core.ProxySelf;

/**
 * Created by hailor on 16/6/2.
 */
public interface FndDistrictService extends IBaseService<FndDistrict>, ProxySelf<FndDistrictService> {
    List<FndDistrict> queryByProvinceCity(FndDistrict fndDistrict);
	List<FndDistrict> addressQuery(FndDistrict fndDistrict);
	String queryDistrictCode(String district);
	String queryDistrictCodeByPro(String district,String province);
}
