package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.HLSPosition;

/**
 * 岗位服务接口.
 * 
 * @author hailin.xu@hand-china.com
 */
public interface HLSIPositionService extends IBaseService<HLSPosition>, ProxySelf<HLSIPositionService>{

	public List<HLSPosition> selectAll(HLSPosition position);
	
    public List<HLSPosition> queryAll(IRequest requestContext,HLSPosition position, int page, int pagesize);
    
    public Long selectById(HLSPosition hlsPosition);
    
    public List<String> queryPositionName( HLSPosition position);
    
    public List<HLSPosition> queryAll(HLSPosition position);
    
    public List<HLSPosition> queryLovAll(HLSPosition hlsPosition);

	/**
	 * @param hlsPosition
	 * @return
	 */
	List<HLSPosition> selectAllHLSPosition(HLSPosition hlsPosition);


	List<HLSPosition> updatePostion(IRequest request,List<HLSPosition> hlsPositionList);
}
