package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.FndCity;
import hls.core.hls.dto.FndProvince;

public interface IFndCityService extends IBaseService<FndCity>,ProxySelf<IFndCityService>{

	public List<FndProvince> queryLov(FndProvince fndProvince);
	public List<FndCity> queryAll(FndCity fndCity);
	public void cascadingDeleteDistrict(List<FndCity> fndCity);
	public List<FndCity> addressQuery(FndCity fndCity);
	public String queryCityCode(String city);
	public String queryCityCodeByAdd(String city,String province);
	
}
