package hls.core.fnd.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.fnd.dto.FndSysCodes;
import hls.core.fnd.mapper.FndSysCodesMapper;
import hls.core.fnd.service.FndSysCodesService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class FndSysCodesServiceImpl extends BaseServiceImpl<FndSysCodes> implements FndSysCodesService {
    
	@Autowired
	private FndSysCodesMapper fnd;
	public Long getCompanyId(String employee_code) {
		
		return fnd.getCompanyId(employee_code);
	}

	public List<FndSysCodes> selectByQuery(FndSysCodes fndSysCodes){
		if(fndSysCodes.getTax_type_code() == null)
			fndSysCodes.setTax_type_code("");
		if(fndSysCodes.getDescription() == null)
			fndSysCodes.setDescription("");
		if(fndSysCodes.getTax_category() == null)
			fndSysCodes.setTax_category("");
		return fnd.selectByQuery(fndSysCodes);
	}
}
