package hls.core.fnd.service.impl;


import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsDocFileTmpParaLink;
import hls.core.fnd.mapper.HlsDocFileTmpParaLinkMapper;
import hls.core.fnd.service.HlsDocFileTmpParaLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class HlsDocFileTmpParaLinkServiceImpl extends BaseServiceImpl<HlsDocFileTmpParaLink> implements HlsDocFileTmpParaLinkService {

    @Autowired
    HlsDocFileTmpParaLinkMapper mapper;

   /* @Override
    public List<HlsDocFileTmpParaLink> selectList(HlsDocFileTmpParaLink hlsDocFileTmpParaLink) {
        return mapper.selectList(hlsDocFileTmpParaLink);
    }*/

    @Override
    public List<HlsDocFileTmpParaLink> selectList(IRequest request, HlsDocFileTmpParaLink hlsDocFileTmpParaLink, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return mapper.selectList(hlsDocFileTmpParaLink);
    }

    @Override
    public List<HlsDocFileTmpParaLink> selectListByObject(HlsDocFileTmpParaLink hlsDocFileTmpParaLink) {
        return mapper.select(hlsDocFileTmpParaLink);
    }

    @Override
    public List<HlsDocFileTmpParaLink> queryLov(String bm_description, String b_mark) {
        return mapper.queryLov(bm_description, b_mark);
    }

    @Override
    public List<HlsDocFileTmpParaLink> queryTemParLinkByParId(HlsDocFileTmpParaLink hlsDocFileTmpParaLink) {
        List<HlsDocFileTmpParaLink> list = mapper.queryTemParLinkByParId(hlsDocFileTmpParaLink);
        return list;
    }
}
