package hls.core.fnd.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsInvoiceProfileDtl;
import hls.core.fnd.mapper.HlsInvoiceProfileDtlMapper;
import hls.core.fnd.service.HlsInvoiceProfileDtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class HlsInvoiceProfileDtlServiceImpl extends BaseServiceImpl<HlsInvoiceProfileDtl> implements HlsInvoiceProfileDtlService {
    @Autowired
    HlsInvoiceProfileDtlMapper hlsInvoiceProfileDtlMapper;

    @Override
    public void deleteInvoiceProfileDtl(String invoiceProfile) {
        hlsInvoiceProfileDtlMapper.deleteInvoiceProfileDtl(invoiceProfile);
    }

}
