package hls.core.fnd.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsPenaltyProfileDtl;
import hls.core.fnd.mapper.HlsPenaltyProfileDtlMapper;
import hls.core.fnd.service.HlsPenaltyProfileDtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by 罗宇娟 on 2017/6/22.
 */
@Service
public class HlsPenaltyProfileDtlServiceImpl extends BaseServiceImpl<HlsPenaltyProfileDtl> implements HlsPenaltyProfileDtlService {
    @Autowired
    HlsPenaltyProfileDtlMapper mapper;

    @Override
    public List<HlsPenaltyProfileDtl> selectList(IRequest requestContext, HlsPenaltyProfileDtl hlsPenaltyProflieDtl) {
        return mapper.selectList(hlsPenaltyProflieDtl);
    }
}
