package hls.core.fnd.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.FndBaseRate;
import hls.core.fnd.dto.PrjMeetingJudge;
import hls.core.fnd.mapper.PrjMeetingJudgeMapper;
import hls.core.fnd.service.PrjMeetingJudgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by 罗宇娟 on 2017/5/11.
 */

@Service
@Transactional
public class PrjMeetingJudgeServiceImpl extends BaseServiceImpl<PrjMeetingJudge> implements PrjMeetingJudgeService {

    @Autowired
    private PrjMeetingJudgeMapper mapper;

    @Override
    public List<PrjMeetingJudge> selectList(IRequest iRequest, PrjMeetingJudge prjMeetingJudge, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum,pageSize);
        prjMeetingJudge.setCompany_id(iRequest.getCompanyId());
        return mapper.selectList(prjMeetingJudge);
    }

    @Override
    public void delete(IRequest iRequest, List<PrjMeetingJudge> prjMeetingJudge) {

            for(PrjMeetingJudge prjMeetingJudg:prjMeetingJudge)
            {
                mapper.deleteQueue(prjMeetingJudg.getJudge_id());
            }
            self().batchUpdate(iRequest,prjMeetingJudge);

    }
}
