package hls.core.gld.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.gld.dto.ContractFinanceIncome;

import java.util.List;

public interface IContractFinanceIncomeService extends IBaseService<ContractFinanceIncome>, ProxySelf<IContractFinanceIncomeService> {

    void contractFinanceIncome(IRequest request, Long contractId);

    List<ContractFinanceIncome> post(IRequest request,List<ContractFinanceIncome> dto);

    void createGldContract(IRequest request, Long contractId);
    /*财务首页计提清单查询*/
    List<ContractFinanceIncome> queryList(ContractFinanceIncome dto);
}