package hls.core.gld.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.gld.dto.JeHead;
import hls.core.gld.dto.JeLine;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface IJeHeadService extends IBaseService<JeHead>, ProxySelf<IJeHeadService>{
    List<JeHead> jeListQuery(Map<String, Object> map, int page, int pageSize);

    List<JeLine> jeConfirm(List<JeHead> list, IRequest request, Long companyId, Long userId);
}