package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.CostCenterOrgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.CostCenterOrg;
import hls.core.gld.service.ICostCenterOrgService;
import org.springframework.transaction.annotation.Transactional;
import com.hand.hap.core.IRequest;

import java.util.List;

@Service
@Transactional
public class CostCenterOrgServiceImpl extends BaseServiceImpl<CostCenterOrg> implements ICostCenterOrgService{
        @Autowired
        private CostCenterOrgMapper mapper;
        public List<CostCenterOrg> query(IRequest request,CostCenterOrg dto,int page,int pageSize){
                PageHelper.startPage(page,pageSize);
                return mapper.query(dto);
        }
}