package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.CostCenterMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.CostCenter;
import hls.core.gld.service.ICostCenterService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class CostCenterServiceImpl extends BaseServiceImpl<CostCenter> implements ICostCenterService{

    @Autowired
    private CostCenterMapper centerMapper;

    @Override
    public List<CostCenter> select(IRequest request, CostCenter condition, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum,pageSize);
        return centerMapper.selectCosCenterWithCompanyName(condition);
    }
}