package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.dto.HlsCusGldLonContractTrx;
import hls.core.gld.mapper.HlsCusGldLonContractTrxMapper;
import hls.core.gld.service.IGldLonContractTrxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class GldLonContractTrxServiceImpl extends BaseServiceImpl<HlsCusGldLonContractTrx> implements IGldLonContractTrxService {
    @Autowired
    private HlsCusGldLonContractTrxMapper mapper;
       public List<HlsCusGldLonContractTrx> queryWaitShareList(IRequest request,HlsCusGldLonContractTrx dto, int page, int pagesize){
           PageHelper.startPage(page, pagesize);
           return mapper.queryWaitShareList(dto);
       }
}