package hls.core.gld.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.dto.Period;
import hls.core.gld.mapper.PeriodMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.PeriodSet;
import hls.core.gld.service.IPeriodSetService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PeriodSetServiceImpl extends BaseServiceImpl<PeriodSet> implements IPeriodSetService{

    @Autowired
    private PeriodMapper periodMapper;

    @Override
    public int batchDelete(List<PeriodSet> list) {

        list.forEach(item->{
            Period period = new Period();
            period.setPeriodSetId(item.getPeriodSetId());
            periodMapper.delete(period);
        });

        return super.batchDelete(list);
    }
}