package hls.core.hls.bp.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class HlsBpMasterCreateEventHandler extends AbstractHlsBpMasterEventHandler {
    private static final String DESC_LABEL = "创建了商业伙伴：";

    @Override
    String getNoticeTitle() {
        return "商业伙伴-创建";
    }

    @Override
    String getMessage(String userDesc, String bpName, String bpCode) {
        return userDesc + DESC_LABEL + bpName + "(" + bpCode + ")";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_HLS_BP_MASTER_CREATE;
    }
}
