package hls.core.hls.bp.dto;

import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Id;
import javax.persistence.Transient;

/**
 * Created by lpc on 2017/9/25.
 */

public class HlsBpMasterRelation extends BaseDTO {
    @Id
    private Long relationBpId;
    @Id
    private Long bpId;

    private String bpRelationType;

    @Transient
    private String description;

    @Transient
    private String bpCode;

    @Transient
    private String bpName;
    @Transient
    private String personType;

    /**
     * CreateUser:Jeffery
     * CreateTime:20170503
     * Comment:query 'relationType' or 'relationTypeCode' when create new Business companion but before saving
     */
    @Transient
    private String bpClass;
    public String getBpClass() {return bpClass;}
    public void setBpClass(String bpClass) {this.bpClass = bpClass;}

    public String getPersonType() {
        return personType;
    }

    public void setPersonType(String personType) {
        this.personType = personType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getBpCode() {
        return bpCode;
    }

    public void setBpCode(String bpCode) {
        this.bpCode = bpCode;
    }

    public String getBpName() {
        return bpName;
    }

    public void setBpName(String bpName) {
        this.bpName = bpName;
    }

    public String getBpRelationType() {
        return bpRelationType;
    }

    public void setBpRelationType(String bpRelationType) {
        this.bpRelationType = bpRelationType == null ? null : bpRelationType.trim();
    }

    public Long getRelationBpId() {
        return relationBpId;
    }

    public void setRelationBpId(Long relationBpId) {
        this.relationBpId = relationBpId;
    }

    public Long getBpId() {
        return bpId;
    }

    public void setBpId(Long bpId) {
        this.bpId = bpId;
    }

}
