package hls.core.hls.bp.mapper;

import java.util.List;

import hls.core.hls.bp.dto.HlsBpMasterRelation;
import org.apache.ibatis.annotations.Param;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.hls.bp.dto.HlsCusBpMasterRelation;

public interface HlsBpMasterRelationMapper<T extends HlsCusBpMasterRelation> extends Mapper<HlsCusBpMasterRelation>{
	List<HlsCusBpMasterRelation> selectRelationType(Long bpId);
	
	List<HlsCusBpMasterRelation> selectRelationCode(Long bpId);
	
	Long queryBpId(@Param("bpCode")String bpCode,@Param("bpName")String bpName);

	List<HlsCusBpMasterRelation> queryAll(HlsCusBpMasterRelation bpMasterRelation);

	List<HlsCusBpMasterRelation> queryAllType(HlsCusBpMasterRelation bpMasterRelation);

	List<HlsCusBpMasterRelation> selectBpRelationType(HlsCusBpMasterRelation bpMasterRelation);
}
