package hls.core.hls.bp.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.hls.bp.dto.HlsCusBpMasterBankAccount;
import hls.core.hls.bp.mapper.HlsCusBpMasterBankAccountMapper;
import hls.core.hls.bp.service.HlsBpMasterBankAccountService;

@Service
@Transactional
public class HlsBpMasterBankAccountServiceImpl extends BaseServiceImpl<HlsCusBpMasterBankAccount> implements HlsBpMasterBankAccountService{

	@Autowired
	private HlsCusBpMasterBankAccountMapper mapper;
	@Override
	public List<HlsCusBpMasterBankAccount> selectAll(IRequest requestContext, HlsCusBpMasterBankAccount bpMasterBankAccount,
                                                     int page, int pagesize) {
		PageHelper.startPage(page, pagesize);
        return mapper.queryAll(bpMasterBankAccount);
	}

	@Override
	public List<HlsCusBpMasterBankAccount> debtAccountQuery(IRequest requestContext, HlsCusBpMasterBankAccount bpMasterBankAccount, int page, int pagesize) {
		return mapper.debtAccountQuery(bpMasterBankAccount);
	}

	@Override
	public void modifyBpMasterBankAccountDeptBankId(HlsCusBpMasterBankAccount bpMasterBankAccount) {
		 mapper.modifyBpMasterBankAccountDeptBankId(bpMasterBankAccount);
	}

}
