package hls.core.hls.bp.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.bp.dto.HlsCusSysAttachment;
import hls.core.hls.bp.mapper.HlsCusSysAttachmentMapper;
import hls.core.hls.bp.service.HlsSysAttachmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsSysAttachmentServiceImpl extends BaseServiceImpl<HlsCusSysAttachment> implements HlsSysAttachmentService{

    @Autowired
    private HlsCusSysAttachmentMapper hlsCusSysAttachmentMapper;

    @Override
    public List<HlsCusSysAttachment> sysAttachmentQuery(HlsCusSysAttachment hlsCusSysAttachment) {
        return hlsCusSysAttachmentMapper.sysAttachmentQuery(hlsCusSysAttachment);
    }
}
