package hls.core.hls.dto;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import java.io.Serializable;

import javax.persistence.*;

/**
 * Created by hailor on 16/6/2.
 */
@Table(name = "hls_bp_category")
@ExtensionAttribute(disable = true)
public class BusinessCategory extends BaseDTO implements Serializable {

	@Id
	@Condition(operator = LIKE)
	String bp_category;// 商业伙伴类别
	@Condition(operator = LIKE)
	String description;// 描述
	String enabled_flag;// 启用标志
	String system_flag;// 系统标志

	@Transient
	private String queryCondition;

	public String getQueryCondition() {
		return queryCondition;
	}

	public void setQueryCondition(String queryCondition) {
		this.queryCondition = queryCondition == null ? null : queryCondition.trim();
	}

	public String getBp_category() {
		return bp_category;
	}

	public void setBp_category(String bp_category) {
		this.bp_category = bp_category;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getEnabled_flag() {
		return enabled_flag;
	}

	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}

	public String getSystem_flag() {
		return system_flag;
	}

	public void setSystem_flag(String system_flag) {
		this.system_flag = system_flag;
	}

}
