package hls.core.hls.dto;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@ExtensionAttribute(disable=true)
@Table(name = "hls_document_type")
public class DocumentType extends BaseDTO{
	@Id
    private String documentCategory;
	@Id
    private String documentType;
    @Id
    private String businessType;
	@Condition
    private String description;

    private String enabledFlag;
    
    private String codingRuleType;
    @Transient
    private String queryCondition;

    @Transient
    private String businessTypeDesc;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition == null ? null : queryCondition.trim();
    }

    public String getCodingRuleType() {
		return codingRuleType;
	}

	public void setCodingRuleType(String codingRuleType) {
		this.codingRuleType = codingRuleType;
	}

	public Long getCodingRuleId() {
		return codingRuleId;
	}

	public void setCodingRuleId(Long codingRuleId) {
		this.codingRuleId = codingRuleId;
	}

	private Long codingRuleId;

    private String systemFlag;

    public String getDocumentCategory() {
        return documentCategory;
    }

    public void setDocumentCategory(String documentCategory) {
        this.documentCategory = documentCategory == null ? null : documentCategory.trim();
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType == null ? null : documentType.trim();
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType == null ? null : businessType.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag == null ? null : enabledFlag.trim();
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag == null ? null : systemFlag.trim();

    }

    public String getBusinessTypeDesc() {
        return businessTypeDesc;
    }

    public void setBusinessTypeDesc(String businessTypeDesc) {
        this.businessTypeDesc = businessTypeDesc;
    }
}