package hls.core.hls.dto;

import javax.persistence.Id;
import javax.persistence.Table;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@SuppressWarnings("serial")
@ExtensionAttribute(disable=true)
@Table(name = "fnd_province")
public class FndProvince extends BaseDTO{
	@Id
	@Condition(operator = LIKE)
    private String province;
	@Condition(operator = LIKE)
    private String description;

    private String enabledFlag;
    
 


    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province == null ? null : province.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag == null ? null : enabledFlag.trim();
    }
}