package hls.core.hls.service;

import java.util.List;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.hls.dto.DocumentCategory;

public interface DocumentCategoryService extends IBaseService<DocumentCategory>, ProxySelf<DocumentCategoryService> {
    void deleteBusinessType(String documentCategory);

    void deleteDocumentType(String documentCategory);

    void deleteDocumentStatus(String documentCategory);

    void cascadingDeleteDocumentCategory(List<DocumentCategory> documentCategory);

    public List<DocumentCategory> selectList(DocumentCategory documentCategory,int page, int pagesize);
}
