package hls.core.hls.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.hls.dto.FndProvince;

public interface FndProvinceService extends IBaseService<FndProvince>,ProxySelf<FndProvinceService>{

	public void cascadingDeleteDistrictDefine(List<FndProvince> provinceList);

	public String queryProvinceCode(String province);
	
	public String queryProvinceFirst();

	/**
	 * @param fndProvince
	 * @param page
	 * @param pagesize
	 * @param request
	 * @return
	 */
	List<FndProvince> selectAllFndProvince(FndProvince fndProvince, int page, int pagesize, HttpServletRequest request);
}
