package hls.core.hls.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.FndScoreResultDtl;

import java.util.List;

public interface IFndScoreResultDtlService extends IBaseService<FndScoreResultDtl>, ProxySelf<IFndScoreResultDtlService>{

    // 引用mybatis 处理递归
 /*   public List<FndScoreResultDtl> resultDtlChildrenList(Long scoreId);*/

    public void saveFnd(IRequest iRequest, FndScoreResultDtl fndt);

    // 获取score_template_ln_id
    public List<FndScoreResultDtl> selectscoreTemplateLnId(Long scoreTemplateHdId);

    // 获取每个评价的合计得分
    public Double selectTotalScore(FndScoreResultDtl fndScoreResultDtl);
}