package hls.core.hls.service;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.HlsDbDataSource;
import com.hand.hap.core.IRequest;

import java.util.List;

public interface IHlsDbDataSourceService extends IBaseService<HlsDbDataSource>, ProxySelf<IHlsDbDataSourceService>{

    public List<HlsDbDataSource> dataSource(HlsDbDataSource dto);
    List<HlsDbDataSource> query(IRequest request, HlsDbDataSource dto, int page, int pageSize);

    void deleteChild(List<HlsDbDataSource> list);

}