package hls.core.hls.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.dto.FndScoreTemplateHdValue;
import hls.core.hls.service.IFndScoreTemplateHdValueService;
import org.springframework.transaction.annotation.Transactional;
import hls.core.hls.mapper.FndScoreTemplateHdValueMapper;
import  java.util.List;
@Service
@Transactional

public class FndScoreTemplateHdValueServiceImpl extends BaseServiceImpl<FndScoreTemplateHdValue> implements IFndScoreTemplateHdValueService{
    @Autowired
    private  FndScoreTemplateHdValueMapper fndScoreTemplateHdValueMapper;
    public List<FndScoreTemplateHdValue> query(IRequest requestContext, FndScoreTemplateHdValue dto, int page, int pageSize){
        PageHelper.startPage(page,pageSize);
        return  fndScoreTemplateHdValueMapper.query(dto);
    }
}