package hls.core.hls.service.impl;


import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.hls.dto.HlsCashflowItem;
import hls.core.hls.mapper.HlsCfItemMapper;
import hls.core.hls.service.HlsCfItemService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class HlsCfItemServiceImpl extends BaseServiceImpl<HlsCashflowItem> implements HlsCfItemService {
    @Autowired
    private HlsCfItemMapper hm;
	
	public List<HlsCashflowItem> listAll() {
		
		return hm.ListAll();
	}

	@Override
	public List<HlsCashflowItem> listById(String cfl_type) {
		
		return hm.selectCflById(cfl_type);
	}

	@Override
	public List<HlsCashflowItem> selectList(HlsCashflowItem hlsCashflowItem) {
		return hm.selectList(hlsCashflowItem);
	}


}
