package hls.core.hls.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.mapper.HlsDbDataSourceParaMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.dto.HlsDbDataSourcePara;
import hls.core.hls.service.IHlsDbDataSourceParaService;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class HlsDbDataSourceParaServiceImpl extends BaseServiceImpl<HlsDbDataSourcePara> implements IHlsDbDataSourceParaService{
   @Autowired
   private HlsDbDataSourceParaMapper hlsDbDataSourceParaMapper;
    public List<HlsDbDataSourcePara> query(IRequest requestContext, HlsDbDataSourcePara dto, int page, int pageSize){
        PageHelper.startPage(page,pageSize);
        return hlsDbDataSourceParaMapper.query(dto);
    }
}