package hls.core.hls.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.dto.HlsSystemNotice;
import hls.core.hls.dto.HlsSystemNoticeOwner;
import hls.core.hls.mapper.HlsSystemNoticeMapper;
import hls.core.hls.mapper.HlsSystemNoticeOwnerMapper;
import hls.core.hls.service.HlsSystemNoticeOwnerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/6/5
 * Time: 18:09
 * To change this template use File | Settings | File Templates.
 */
@Service
public class HlsSystemNoticeOwnerServiceImpl extends BaseServiceImpl<HlsSystemNoticeOwner> implements HlsSystemNoticeOwnerService{
    @Autowired
    HlsSystemNoticeOwnerMapper hlsSystemNoticeOwnerMapper;
    @Autowired
    HlsSystemNoticeMapper hlsSystemNoticeMapper;

    @Override
    public List<HlsSystemNoticeOwner> selectReadedOrNot(HlsSystemNoticeOwner hlsSystemNoticeOwner) {
        return hlsSystemNoticeOwnerMapper.selectReadedOrNot(hlsSystemNoticeOwner);
    }

    @Override
    public List<HlsSystemNoticeOwner> queryOwnerNoticeById(HlsSystemNoticeOwner hlsSystemNoticeOwner) {
        return hlsSystemNoticeOwnerMapper.queryOwnerNoticeById(hlsSystemNoticeOwner);
    }

    @Override
    public List<HlsSystemNotice> setNoticeRead(IRequest iRequest, HlsSystemNotice hlsSystemNotice) {
        List<HlsSystemNotice> hlsSystemNoticeList = hlsSystemNoticeMapper.queryUserNoticeByUserId(hlsSystemNotice);
        List<HlsSystemNoticeOwner> hlsSystemNoticeOwnerList = new ArrayList<>();
        if(hlsSystemNoticeList.size()>0){
            for(int i=0;i<hlsSystemNoticeList.size();i++){
                HlsSystemNoticeOwner hlsSystemNoticeOwner = new HlsSystemNoticeOwner();
                hlsSystemNoticeOwner.setNotice_id(hlsSystemNoticeList.get(i).getNotice_id());
                hlsSystemNoticeOwner.setOwner_user_id(hlsSystemNotice.getUserId());
                hlsSystemNoticeOwner.setRead_flag("Y");
                List<HlsSystemNoticeOwner> owners = hlsSystemNoticeOwnerMapper.queryOwnerNoticeById(hlsSystemNoticeOwner);
                if(owners.size()>0){
                    hlsSystemNoticeOwner.set__status("update");
                    hlsSystemNoticeOwnerMapper.updateHlsOwner(hlsSystemNoticeOwner);
                }else {
                    hlsSystemNoticeOwner.set__status("add");
                    hlsSystemNoticeOwnerList.add(hlsSystemNoticeOwner);
                }
            }
            self().batchUpdate(iRequest,hlsSystemNoticeOwnerList);
        }
        return null;
    }
}
