package hls.core.hls.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.dto.HlsSystemNoticeReply;
import hls.core.hls.mapper.HlsSystemNoticeReplyMapper;
import hls.core.hls.service.HlsSystemNoticeReplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by syj on 2017/2/17.
 */
@Service
@Transactional
public class HlsSystemNoticeReplyServiceImpl extends BaseServiceImpl<HlsSystemNoticeReply> implements HlsSystemNoticeReplyService{
    @Autowired
    HlsSystemNoticeReplyMapper hlsSystemNoticeReplyMapper;

    @Override
    public List<HlsSystemNoticeReply> selectNoticeReplyByNoticeId(Long notice_id) {
        return hlsSystemNoticeReplyMapper.selectNoticeReplyByNoticeId(notice_id);
    }
}
