package hls.core.hls.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.mapper.HlsUserRelationshipMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.dto.HlsUserRelationship;
import hls.core.hls.service.IHlsUserRelationshipService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsUserRelationshipServiceImpl extends BaseServiceImpl<HlsUserRelationship> implements IHlsUserRelationshipService{
    @Autowired
    private HlsUserRelationshipMapper hlsUserRelationshipMapper;
    @Override
    public void uncollectByPara(HlsUserRelationship hlsUserRelationship) {
        hlsUserRelationshipMapper.uncollectByPara(hlsUserRelationship);
    }

    @Override
    public HlsUserRelationship collect(Long relationDocumentId, Long userId) {
       return hlsUserRelationshipMapper.collect(relationDocumentId, userId);
    }

    @Override
    public void uncollect(Long relationDocumentId) {
        hlsUserRelationshipMapper.uncollect(relationDocumentId);
    }

    @Override
    public List<HlsUserRelationship> queryDetailByreportId(HlsUserRelationship hlsUserRelationship) {
        return hlsUserRelationshipMapper.queryDetailByreportId(hlsUserRelationship);
    }

    @Override
    public List<HlsUserRelationship> queryCollUserByRptId(HlsUserRelationship hlsUserRelationship) {
        return hlsUserRelationshipMapper.queryCollUserByRptId(hlsUserRelationship);
    }

    @Override
    public List<HlsUserRelationship> queryDetailByreportIdAndUserId(HlsUserRelationship hlsUserRelationship) {
        return hlsUserRelationshipMapper.queryDetailByreportIdAndUserId(hlsUserRelationship);
    }
}