package hls.core.info.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.info.dto.HlsDebtDeductionBank;
import hls.core.info.dto.HlsDebtDeductionHeader;
import hls.core.info.service.HlsDebtDeductionBankService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by Administrator on 2017/4/1.
 */
@Controller
public class HlsDebtDeductionBankController extends BaseController
{
    @Autowired
    HlsDebtDeductionBankService debtDeductionBankService;

    @RequestMapping(value = "/hls/debt/bank/query")
    @ResponseBody
    public ResponseData query(final HlsDebtDeductionBank debtDeductionBank, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
                              @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
        IRequest requestContext = createRequestContext(request);
        List<HlsDebtDeductionBank> list = debtDeductionBankService.query(requestContext, debtDeductionBank, page, pagesize);
        return new ResponseData(list);
    }
}
