package hls.core.info.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.info.dto.HlsDebtDdeductionDetail;
import hls.core.info.dto.HlsDebtDeductionHeader;
import hls.core.info.mapper.HlsDebtDdeductionDetailMapper;
import hls.core.info.service.HlsDebtDdeductionDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2017/3/31.
 */
@Service
@Transactional
public class HlsDebtDdeductionDetailServiceImpl extends BaseServiceImpl<HlsDebtDdeductionDetail> implements HlsDebtDdeductionDetailService {
    @Autowired
    private HlsDebtDdeductionDetailMapper hlsDebtDdeductionDetailMapper;


    @Override
    public List<Map> selectDebtDeductionByHeaderId(HlsDebtDeductionHeader hlsDebtDeductionHeader, IRequest iRequest, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return hlsDebtDdeductionDetailMapper.selectDebtDeductionByHeaderId(hlsDebtDeductionHeader);
    }
}
