package hls.core.job.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.job.dto.JobInformation;
import org.quartz.SchedulerException;

import java.util.HashMap;
import java.util.List;

public interface IJobInformationService extends IBaseService<JobInformation>, ProxySelf<IJobInformationService>{

    List<HashMap> queryInformation(IRequest request, JobInformation information,int page,int pageSzie);

    void deleteInformationAndJob(List<JobInformation> dto) throws SchedulerException;

    void pauseJob(JobInformation dto) throws SchedulerException;

    void resumeJob(JobInformation dto) throws SchedulerException;

}