package hls.core.job.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.job.exception.JobException;
import com.hand.hap.system.service.IBaseService;
import hls.core.job.dto.HlsJobDto;
import hls.core.job.dto.JobTask;
import org.quartz.SchedulerException;

import java.util.List;

public interface ISchTaskService extends IBaseService<JobTask>, ProxySelf<ISchTaskService>{

    List<JobTask> queryTaskByLov(IRequest request, JobTask condition, int pageNum, int pageSize);

    Long saveJobInformation(HlsJobDto hlsJobDto, IRequest requestCtx);
}