package hls.core.lon.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

/**
 * Created by fjm on 2017/11/22.
 */
@Component
public class LonCreditContractCreateEventHandler extends AbstractLonCreditContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "创建了融资额度：";
    }

    @Override
    String getNoticeTitle() {
        return "融资额度-创建";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_LON_CREDIT_CONTRACT_CREATE;
    }
}
