package hls.core.lon.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.lon.dto.CreditContract;
import hls.core.lon.dto.HlsCusCreditContract;

import java.util.List;
import java.util.Map;

public interface CreditContractMapper<T extends HlsCusCreditContract> extends Mapper<HlsCusCreditContract>{
    List<HlsCusCreditContract> unitSelect(HlsCusCreditContract creditContract);
    /*合同创建维护-lov框*/
    List<HlsCusCreditContract> queryLovInfo(HlsCusCreditContract creditContract);
    /*首页查询授信机构*/
    List<HlsCusCreditContract> selectBp(HlsCusCreditContract creditContract);
    List<HlsCusCreditContract> selectBpChart(Map map);
    /*授信机构名称*/
    List<HlsCusCreditContract> selectBpName(HlsCusCreditContract creditContract);

    void deleteFromCreditLine(Long creditLineId);
    void deleteFromCreditContract(Long creditLineId);
}