package hls.core.lon.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.lon.dto.HlsCusLonContractWithdraw;
import hls.core.lon.dto.LonContractWithdraw;

import java.util.List;
import java.util.Map;

public interface LonContractWithdrawMapper<T extends HlsCusLonContractWithdraw> extends Mapper<HlsCusLonContractWithdraw>{
    List<HlsCusLonContractWithdraw> selectContractWithdraw(HlsCusLonContractWithdraw lonContractWithdraw);

    Map lonWdBoard(Long companyId);

    List<Map> lonWdLineChart(HlsCusLonContractWithdraw lonContractWithdraw);

    /*还款管理首页提款信息*/
    List<HlsCusLonContractWithdraw> selectWd(HlsCusLonContractWithdraw hlsCusLonContractWithdraw);

    /*--------融资提款综合查询--------*/
    List<HlsCusLonContractWithdraw> withdrawComprehensiveQuery(Map<String, Object> params);
}