package hls.core.lon.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.lon.dto.CreditContract;
import hls.core.lon.dto.HlsCusCreditContract;

import java.util.List;
import java.util.Map;

public interface ICreditContractService extends IBaseService<HlsCusCreditContract>, ProxySelf<ICreditContractService>{
    public void save(IRequest iRequest,HlsCusCreditContract creditContract);
    void delete(IRequest iRequest,HlsCusCreditContract creditContract);
    /*合同创建维护-lov框*/
    List<HlsCusCreditContract> queryLovInfo(HlsCusCreditContract creditContract,int pageNum,int pageSize);
    List<HlsCusCreditContract> unitSelect(HlsCusCreditContract creditContract, int page, int pageSize);
    List<HlsCusCreditContract> selectBp(HlsCusCreditContract creditContract);
    List<HlsCusCreditContract> selectBpChart(HlsCusCreditContract creditContract);
    List<HlsCusCreditContract> selectBpName(HlsCusCreditContract creditContract);
}