package hls.core.lon.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.lon.dto.HlsCusLonContractWithdraw;

import java.util.List;
import java.util.Map;

public interface ILonContractWithdrawService extends IBaseService<HlsCusLonContractWithdraw>, ProxySelf<ILonContractWithdrawService>{

    List<HlsCusLonContractWithdraw> queryContractWithdraw(IRequest request, HlsCusLonContractWithdraw lonContractWithdraw,int page,int pageSize);

    Map queryLonWdBoardData(Long companyId);

    List<Map> queryLonWdLineChartData(IRequest request, HlsCusLonContractWithdraw lonContractWithdraw);

    List<HlsCusLonContractWithdraw> selectWd(IRequest request,HlsCusLonContractWithdraw hlsCusLonContractWithdraw,int page, int pageSize);

    /**
     * 插入withdraw时,需要去获取上一条withdraw的编号
     * @param request
     * @param list
     * @return
     */
    List<HlsCusLonContractWithdraw> batchUpdate4Withdraw(IRequest request, List<HlsCusLonContractWithdraw> list);

    /**
     *
     * @param request
     * @param lonContractWithdraw
     */
    void lonContractWithdrawWorkFlowStart(IRequest request,HlsCusLonContractWithdraw lonContractWithdraw);

    /*------------融资提款综合查询---------*/
    List<HlsCusLonContractWithdraw> withdrawComprehensiveQuery(IRequest request, HlsCusLonContractWithdraw lonContractWithdraw,int page,int pageSize);

}