package hls.core.mail.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.mail.dto.MailingList;

import java.util.List;
import java.util.Map;

public interface MailingListMapper extends Mapper<MailingList>{
    List<MailingList> selectSendMailList();//查询sys_mailing_list里未发送邮件

    void updateSendMail(MailingList mailingList);//更新已发送邮件

    void updateUnsendMail(MailingList mailingList);//更新未发送邮件
}