package hls.core.prj.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class PrjProjectCancelEventHandler extends AbstractPrjProjectEventHandler {
    @Override
    String getMessage(String userDesc, String prjName, String prjNum) {
        return userDesc + "取消了租赁项目：" + prjName + "(" + prjNum + ")";
    }

    @Override
    String getNoticeTitle() {
        return "项目-取消";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_PRJ_PROJECT_CANCEL;
    }
}
