package hls.core.prj.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.prj.dto.HlsCusHlsCreditLine;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface HlsCreditLineMapper<T extends HlsCusHlsCreditLine> extends Mapper<HlsCusHlsCreditLine>{
  List<HlsCusHlsCreditLine> hlsCreditLineQueryBySource(HlsCusHlsCreditLine hlsCreditLine);

    void updateCreditLine(@Param("sourceDocumentCategory") String sourceDocumentCategory,
                          @Param("sourceDocumentId") Long sourceDocumentId,
                          @Param("userId") Long userId,
                          @Param("date") Date date);
  public List<HlsCusHlsCreditLine> selectCreditLineStatusInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine);
  public List<HlsCusHlsCreditLine> selectCreditLineInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine);
  public List<HlsCusHlsCreditLine> creditLineDetailQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);
  public List<HlsCusHlsCreditLine> hlsCreditQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);
  public List<HlsCusHlsCreditLine> hlsCreditContractQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

  public List<HlsCusHlsCreditLine> hlsCreditBpQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

  public List<HlsCusHlsCreditLine> updateCreditlineInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine);

  public List<HlsCusHlsCreditLine> creditLineIntegratedQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);
}