package hls.core.prj.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.prj.dto.HlsCusPrjProjectMeeting;

import java.util.List;
import java.util.Map;

public interface PrjProjectMeetingService extends IBaseService<HlsCusPrjProjectMeeting>, ProxySelf<PrjProjectMeetingService>{
    public HlsCusPrjProjectMeeting queryMeetingByMeetingId(HlsCusPrjProjectMeeting p);

    void save(IRequest requestCtx, Map<String, Object> maps);

    List<HlsCusPrjProjectMeeting> queryInfo(IRequest requestContext, HlsCusPrjProjectMeeting dto, int page, int pageSize);
}