package hls.core.prj.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.prj.dto.HlsCusPrjProject;
import hls.core.prj.dto.HlsCusPrjProjectTenant;

import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.Map;

public interface PrjProjectService extends IBaseService<HlsCusPrjProject>, ProxySelf<PrjProjectService>{

    List<Map> prjIntegratedQuery(IRequest iRequest, HlsCusPrjProject prjProject, int page, int pagesize);
    List<Map> prjHomePageGetProjectCount(IRequest iRequest, HlsCusPrjProject prjProject);
    List<Map> prjHomePageGetProjectStatusCount(IRequest iRequest, HlsCusPrjProject prjProject);
    List<Map> prjHomePageGetAllStatusProjectCount(IRequest iRequest, HlsCusPrjProject prjProject);

    List<HlsCusPrjProject> prjProjectDetailQuery(IRequest iRequest, HlsCusPrjProject prjProject, int page, int pagesize);

        List<HlsCusPrjProject> prjHomePageProjectInfoGrid(IRequest iRequest, HlsCusPrjProject prjProject, int page, int pagesize);


    void save(IRequest iRequest,HlsCusPrjProject prjProject) throws Exception;
    void deleteTenant(Long projectId, Long bpId);
    void deleteGuarantor(Long projectId, Long bpId);

    List<HlsCusPrjProject> selectAllTenantPrjProhect(HlsCusPrjProjectTenant prjProjectTenant, IRequest iRequest, int page, int pageSize);

    List<HlsCusPrjProject> saveNormalProjectFromCreditProject(HlsCusPrjProject prjProject, IRequest iRequest);


    List<Map> prjBpDetailQuery(IRequest iRequest, HlsCusPrjProject prjProject);

    void updatePrjProjectApproved(IRequest iRequest, HlsCusPrjProject prjProject, String approvedResult);

    void updatePrjProjectApproving(IRequest iRequest, HlsCusPrjProject prjProject);

    void PrjProjectApproving(IRequest iRequest, List<HlsCusPrjProject> projects, HttpSession session);
    public HlsCusPrjProject selectPrjById(Long projectId);
    List<HlsCusPrjProject> queryApplyRecord(Long bpId);
}