package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjProjectAttachmentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjProjectAttachment;
import hls.core.prj.service.PrjProjectAttachmentService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjProjectAttachmentServiceImpl extends BaseServiceImpl<HlsCusPrjProjectAttachment> implements PrjProjectAttachmentService{
    @Autowired
    HlsCusPrjProjectAttachmentMapper prjProjectAttachmentMapper;
    @Override
    public List<HlsCusPrjProjectAttachment> prjProjectAttachmentDetailQuery(HlsCusPrjProjectAttachment prjProjectAttachment, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return prjProjectAttachmentMapper.prjProjectAttachmentDetailQuery(prjProjectAttachment);
    }

    @Override
    public HlsCusPrjProjectAttachment signSubmit(IRequest requestContext, HlsCusPrjProjectAttachment prjProjectAttachment) {
        self().insertSelective(requestContext,prjProjectAttachment);
        return prjProjectAttachment;
    }


}