package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjProjectGuarantorMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjProjectGuarantor;
import hls.core.prj.service.PrjProjectGuarantorService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjProjectGuarantorServiceImpl extends BaseServiceImpl<HlsCusPrjProjectGuarantor> implements PrjProjectGuarantorService{

    @Autowired
    HlsCusPrjProjectGuarantorMapper prjProjectGuarantorMapper;
    @Override
    public List<HlsCusPrjProjectGuarantor> prjProjectGuarantorDetailQuery(HlsCusPrjProjectGuarantor prjProjectGuarantor, int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return prjProjectGuarantorMapper.prjProjectGuarantorDetailQuery(prjProjectGuarantor);
    }
}