package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.calc.service.HlsCalcExcelImportUtilService;
import hls.core.prj.dto.HlsCusPrjQuotation;
import hls.core.prj.mapper.HlsCusPrjQuotationMapper;
import hls.core.prj.service.PrjQuotationCashflowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.service.PrjQuotationService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjQuotationServiceImpl extends BaseServiceImpl<HlsCusPrjQuotation> implements PrjQuotationService{
    @Autowired
    private HlsCusPrjQuotationMapper prjQuotationMapper;
    @Autowired
    HlsCalcExcelImportUtilService hlsCalcExcelImportUtilService;
    @Autowired
    private PrjQuotationCashflowService prjQuotationCashflowService;
    @Override
    public List<HlsCusPrjQuotation> prjQuotationDetailQuery(HlsCusPrjQuotation prjQuotation, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return prjQuotationMapper.prjQuotationDetailQuery(prjQuotation);
    }
//    @Override
//    public HlsCusPrjQuotation saveCalcToPrjQuotation(IRequest requestContext, HlsCusPrjQuotation prjQuotation )throws Exception{
//        HlsCusPrjQuotation prjQuotationDto=(HlsCusPrjQuotation)hlsCalcExcelImportUtilService.getExcelToCalcHdTable(requestContext,prjQuotation.getSheets(),prjQuotation.getPriceList(),"prj");
//        if(prjQuotationDto.getLeaseTimes()==null){
//            throw new IllegalArgumentException("期数未取到！");
//        }
//        prjQuotationDto.setPriceList(prjQuotation.getPriceList());
//        prjQuotationDto.setSheets(prjQuotation.getSheets());
//        prjQuotationDto.setProjectId(prjQuotation.getProjectId());
//        prjQuotationDto.setSourceDocumentCategory("PRJ_PROJECT");
//        prjQuotationDto.setSourceDocumentId(prjQuotation.getProjectId());
//        //获取项目项下的报价
//        //当前项目下的只有一个报价
//        List<HlsCusPrjQuotation> prjQuotationList=prjQuotationMapper.prjQuotationDetailQuery(prjQuotationDto);
//        if(prjQuotationList.size()>0){
//            prjQuotationDto.setQuotataionId(prjQuotationList.get(0).getQuotataionId());
//        }
//        if(prjQuotationDto.getQuotataionId()==null){
//            //新插入默认为新建
//            prjQuotationDto.setStatus("NEW");
//            self().insertSelective(requestContext,prjQuotationDto);
//        }else{
//            self().updateByPrimaryKey(requestContext,prjQuotationDto);
//        }
//        //保存现金流表
//        prjQuotationCashflowService.saveCalc2PrjQuotationCashflow(requestContext,prjQuotationDto);
//        return prjQuotationDto;
//    }
}