package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjTenantHistEvolutionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjTenantHistEvolution;
import hls.core.prj.service.PrjTenantHistEvolutionService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjTenantHistEvolutionServiceImpl extends BaseServiceImpl<HlsCusPrjTenantHistEvolution> implements PrjTenantHistEvolutionService {
    @Autowired
    HlsCusPrjTenantHistEvolutionMapper prjTenantHistEvolutionMapper;

    @Override
    public List<HlsCusPrjTenantHistEvolution> prjTenantHistEvolutionDetailQuery(HlsCusPrjTenantHistEvolution prjTenantHistEvolution, int page,
                                                                                int pagesize) {
        PageHelper.startPage(page, pagesize);
        return prjTenantHistEvolutionMapper.prjTenantHistEvolutionDetailQuery(prjTenantHistEvolution);
    }
}