package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjTenantStockStructureMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjTenantStockStructure;
import hls.core.prj.service.PrjTenantStockStructureService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjTenantStockStructureServiceImpl extends BaseServiceImpl<HlsCusPrjTenantStockStructure> implements PrjTenantStockStructureService{
    @Autowired
    HlsCusPrjTenantStockStructureMapper prjTenantStockStructureMapper;

    @Override
    public List<HlsCusPrjTenantStockStructure> prjTenantStockStructureDetailQuery(HlsCusPrjTenantStockStructure prjTenantStockStructure, int page,
                                                                                  int pagesize ) {
        PageHelper.startPage(page,pagesize);
        return prjTenantStockStructureMapper.prjTenantStockStructureDetailQuery(prjTenantStockStructure);
    }
}