package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjTenantSupplierMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjTenantSupplier;
import hls.core.prj.service.PrjTenantSupplierService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjTenantSupplierServiceImpl extends BaseServiceImpl<HlsCusPrjTenantSupplier> implements PrjTenantSupplierService{

    @Autowired
    HlsCusPrjTenantSupplierMapper prjTenantSupplierMapper;
    @Override
    public List<HlsCusPrjTenantSupplier> prjTenantSupplierDetailQuery(HlsCusPrjTenantSupplier prjTenantSupplier, int page, int pagesiz) {
        PageHelper.startPage(page,pagesiz);
        return prjTenantSupplierMapper.prjTenantSupplierDetailQuery(prjTenantSupplier);
    }
}