package hls.core.rpt.job.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.rpt.job.dto.RptTempReceivables;
import hls.core.rpt.job.mapper.RptTempReceivablesMapper;
import hls.core.rpt.job.service.RptTempReceivablesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/4
 * Time: 18:20
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class RptTempReceivablesServiceImpl extends BaseServiceImpl<RptTempReceivables> implements RptTempReceivablesService {
    @Autowired
    private RptTempReceivablesMapper rptTempReceivablesMapper;
    @Override
    public List<RptTempReceivables> queryTemp(RptTempReceivables rptTempReceivables) {
        return rptTempReceivablesMapper.queryTemp(rptTempReceivables);
    }

    @Override
    public List<RptTempReceivables> queryRptData(RptTempReceivables rptTempReceivables) {
        return rptTempReceivablesMapper.queryRptData(rptTempReceivables);
    }
}
