package hls.core.rpt.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.rpt.dto.RptReportDtl;
import hls.core.rpt.mapper.RptReportDtlMapper;
import hls.core.rpt.service.RptReportDtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/7/6
 * Time: 16:08
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class RptReportDtlServiceImpl extends BaseServiceImpl<RptReportDtl> implements RptReportDtlService {
    @Autowired
    private RptReportDtlMapper rptReportDtlMapper;

    @Override
    public List<RptReportDtl> queryDtlInfoById(RptReportDtl rptReportDtl) {
        return rptReportDtlMapper.queryDtlInfoById(rptReportDtl);
    }

    @Override
    public List<RptReportDtl> queryDtlAllInfo() {
        return rptReportDtlMapper.queryDtlAllInfo();
    }

    @Override
    public List<RptReportDtl> releaseRptDtl(RptReportDtl rptReportDtl) {
        return rptReportDtlMapper.releaseRptDtl(rptReportDtl);
    }
}
