package hls.core.rpt.service.impl;

import com.hand.hap.core.IRequest;
import hls.core.rpt.dto.RptReportHd;
import hls.core.rpt.job.dto.RptTempReceivables;
import hls.core.rpt.job.service.RptTempReceivablesService;
import hls.core.rpt.service.IRptReportGetDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/4
 * Time: 11:45
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class RptReportTempData implements IRptReportGetDataService {
    @Autowired
    private RptTempReceivablesService rptTempReceivablesService;

    @Override
    public String getCode() {
        return "hls.core.rpt.service.impl.RptReportTempData";
    }

    @Override
    public void tempData(IRequest iRequest,RptReportHd rptReportHd) {
        RptTempReceivables rptTempReceivables = new RptTempReceivables();
        rptTempReceivables.setCompanyId(rptReportHd.getCompanyId());
        List<RptTempReceivables> rptTempReceivablesList = rptTempReceivablesService.queryTemp(rptTempReceivables);
        if(rptTempReceivablesList != null && rptTempReceivablesList.size()>0){
            rptTempReceivablesList.get(0).set__status("add");
            rptTempReceivablesList.get(0).setReportDtlId(rptReportHd.getReportDtlId());
            rptTempReceivablesService.batchUpdate(iRequest,rptTempReceivablesList);
        }
    }
}
