package hls.core.ruleengine.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import hls.core.ruleengine.service.IHLSRuleEngineInitService;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by gaoyang on 2017/5/22.
 */
@Controller
public class HlsRuleEngineGetResultDemo extends BaseController {
    @Autowired
    private IHLSRuleEngineInitService ihlsRuleEngineInitService;

    @RequestMapping(value = "/getRouteResult/query")
    @ResponseBody
    public String[] getResult(HttpServletRequest request, @RequestBody JSONObject jsonObject){
        IRequest requestContext = createRequestContext(request);
        String[] strArray = new String[1000];
        strArray = ihlsRuleEngineInitService.ruleEngineInit(requestContext,jsonObject);
        return strArray;
    }
}

