package hls.core.ruleengine.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.ruleengine.dto.HlsRuleEngineRoute;
import com.alibaba.fastjson.JSONArray;

import java.util.List;

public interface IHlsRuleEngineRouteService extends IBaseService<HlsRuleEngineRoute>, ProxySelf<IHlsRuleEngineRouteService>{
        List<HlsRuleEngineRoute> getEngineRouteTree(IRequest requestContext, Long ruleEngineId);
        List<HlsRuleEngineRoute> saveEngineRouteTree(IRequest requestContext,JSONArray jsonArray,JSONArray deleteJsonArray);
        void removeEngineRouteTree(IRequest requestContext,Long routeId);
}