package hls.core.ruleengine.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.ruleengine.dto.HlsCusGldJeRuleEngineExtend;
import hls.core.ruleengine.mapper.HlsCusGldJeRuleEngineExtendMapper;
import hls.core.ruleengine.service.IGldJeRuleEngineExtendService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Service
@Transactional
public class GldJeRuleEngineExtendServiceImpl extends BaseServiceImpl<HlsCusGldJeRuleEngineExtend> implements IGldJeRuleEngineExtendService{

    @Autowired
    private HlsCusGldJeRuleEngineExtendMapper ruleEngineExtendMapper;

    @Override
    public List<HlsCusGldJeRuleEngineExtend> selectWithDesc(IRequest requestContext, HlsCusGldJeRuleEngineExtend dto, int page, int pageSize) {
        PageHelper.startPage(page,pageSize);
        return ruleEngineExtendMapper.selectWithDesc(dto);
    }
}