package hls.core.svc.beans;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-12-19
 * Time: 16:33
 */
public class BusinessModel {
    public static String EXTEND_MODE_BASIC = "BASIC";

    // properties
    private String baseTable;
    private String alias;
    private String dataSourceName;
    private BusinessModel extend;
    private String extendMode;
    private String defaultOrderBy;
    private Boolean needAccessControl;
    private String accessControlMode;
    private Boolean allowFetchAll;
    private String maxPageSize;
    private String defaultDisplayField;
    private String description;
    // sub nodes
    private List<Field> fields;
    private List<PkField> pkFields;
    private List<QueryField> queryFields;

    // getter and setter

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<Field> getFields() {
        return fields;
    }

    public void setFields(List<Field> fields) {
        this.fields = fields;
    }

    public List<PkField> getPkFields() {
        return pkFields;
    }

    public void setPkFields(List<PkField> pkFields) {
        this.pkFields = pkFields;
    }

    public List<QueryField> getQueryFields() {
        return queryFields;
    }

    public void setQueryFields(List<QueryField> queryFields) {
        this.queryFields = queryFields;
    }

    public String getBaseTable() {
        return baseTable;
    }

    public void setBaseTable(String baseTable) {
        this.baseTable = baseTable;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getDataSourceName() {
        return dataSourceName;
    }

    public void setDataSourceName(String dataSourceName) {
        this.dataSourceName = dataSourceName;
    }

    public BusinessModel getExtend() {
        return extend;
    }

    public void setExtend(BusinessModel extend) {
        this.extend = extend;
    }

    public String getExtendMode() {
        return extendMode;
    }

    public void setExtendMode(String extendMode) {
        this.extendMode = extendMode;
    }

    public String getDefaultOrderBy() {
        return defaultOrderBy;
    }

    public void setDefaultOrderBy(String defaultOrderBy) {
        this.defaultOrderBy = defaultOrderBy;
    }

    public Boolean getNeedAccessControl() {
        return needAccessControl;
    }

    public void setNeedAccessControl(Boolean needAccessControl) {
        this.needAccessControl = needAccessControl;
    }

    public String getAccessControlMode() {
        return accessControlMode;
    }

    public void setAccessControlMode(String accessControlMode) {
        this.accessControlMode = accessControlMode;
    }

    public Boolean getAllowFetchAll() {
        return allowFetchAll;
    }

    public void setAllowFetchAll(Boolean allowFetchAll) {
        this.allowFetchAll = allowFetchAll;
    }

    public String getMaxPageSize() {
        return maxPageSize;
    }

    public void setMaxPageSize(String maxPageSize) {
        this.maxPageSize = maxPageSize;
    }

    public String getDefaultDisplayField() {
        return defaultDisplayField;
    }

    public void setDefaultDisplayField(String defaultDisplayField) {
        this.defaultDisplayField = defaultDisplayField;
    }
}
