package hls.core.sys.dto;

import java.io.Serializable;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@SuppressWarnings("serial")
@ExtensionAttribute(disable = true)
@Table(name = "sys_role_module")
public class SysRoleManagement extends BaseDTO implements Serializable{

	@Id
	private Long role_id;
	@Id
	private String module_code;
	private Long sequence;
	private String enabled_flag;
	@Transient
	private String module_name;
	@Transient
	private Long keyId;
	@Transient
	private String url;
	@Transient
	private String parent_menu;
	@Transient
	private String menu_code;
	@Transient
	private String menu_name;
	@Transient
	private String icon;
	@Transient
	private String module_description;
	@Transient
	private String function_type;
	@Transient
	private String width;
	@Transient
	private String height;

	@Transient
	private String open_mode;

	@Transient
	private String layoutCode;

	@Transient
	private String moduleSerialNumber;//排序编号

	@Transient
	private String sortWay;//首页模块查询排序方式 ASC/DESC

    @Transient
    private String sortBy;//按何种条件排序

    public String getSortBy() {
        return sortBy;
    }

    public void setSortBy(String sortBy) {
        this.sortBy = sortBy;
    }

    public String getModuleSerialNumber() {
		return moduleSerialNumber;
	}

	public void setModuleSerialNumber(String moduleSerialNumber) {
		this.moduleSerialNumber = moduleSerialNumber;
	}

	public String getSortWay() {
		return sortWay;
	}

	public void setSortWay(String sortWay) {
		this.sortWay = sortWay;
	}

	public String getFunction_type() {
		return function_type;
	}

	public void setFunction_type(String function_type) {
		this.function_type = function_type;
	}

	public String getWidth() {
		return width;
	}

	public void setWidth(String width) {
		this.width = width;
	}

	public String getHeight() {
		return height;
	}

	public void setHeight(String height) {
		this.height = height;
	}

	public String getModule_description() {
		return module_description;
	}

	public void setModule_description(String module_description) {
		this.module_description = module_description;
	}

	@Transient
	private String background_color;
	public Long getRole_id() {
		return role_id;
	}
	public void setRole_id(Long role_id) {
		this.role_id = role_id;
	}
	public String getBackground_color() {
		return background_color;
	}
	public void setBackground_color(String background_color) {
		this.background_color = background_color;
	}
	public String getModule_code() {
		return module_code;
	}
	public void setModule_code(String module_code) {
		this.module_code = module_code;
	}
	public Long getSequence() {
		return sequence;
	}
	public void setSequence(Long sequence) {
		this.sequence = sequence;
	}
	public String getEnabled_flag() {
		return enabled_flag;
	}
	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}
	public String getModule_name() {
		return module_name;
	}
	public void setModule_name(String module_name) {
		this.module_name = module_name;
	}
	public Long getKeyId() {
		return keyId;
	}
	public void setKeyId(Long keyId) {
		this.keyId = keyId;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getParent_menu() {
		return parent_menu;
	}
	public void setParent_menu(String parent_menu) {
		this.parent_menu = parent_menu;
	}
	public String getMenu_code() {
		return menu_code;
	}
	public void setMenu_code(String menu_code) {
		this.menu_code = menu_code;
	}
	public String getMenu_name() {
		return menu_name;
	}
	public void setMenu_name(String menu_name) {
		this.menu_name = menu_name;
	}
	public String getIcon() {
		return icon;
	}
	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getOpen_mode() {
		return open_mode;
	}

	public void setOpen_mode(String open_mode) {
		this.open_mode = open_mode;
	}
	public String getLayoutCode() {
		return layoutCode;
	}

	public void setLayoutCode(String layoutCode) {
		this.layoutCode = layoutCode;
	}
}
