package hls.core.sys.event.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import hls.core.hls.dto.HlsSystemNotice;
import org.activiti.engine.delegate.DelegateExecution;

import java.util.Map;

/**
 * Created by Administrator on 2017/4/19.
 */
public interface SysEventService<T> {
    void createEvent(IRequest iRequest, Long documentId, String documentCategory,
                     String documentType, Map<String, Object> params);

    void createEvent(IRequest iRequest, Long documentId, String documentCategory, String documentType, Map<String, Object> params, String eventCode);

    void createEvent(IRequest iRequest, Long documentId, String documentCategory, String documentType, Map<String, Object> params, String eventCode,boolean needAuthority);
    void eventSave(IRequest iRequest, Long documentId, String documentCategory,
                   String documentType, String sourceModule, String eventCode, String RelationType, Map<String, Object> params);

    void createNotice(DelegateExecution delegateExecution, String status);

    void setNoticeCache(HlsSystemNotice hlsSystemNotice);
}
