package hls.core.sys.event.service.impl;

import com.hand.hap.core.IRequest;
import hls.core.sys.event.service.SysEventCommonService;
import hls.core.sys.event.service.SysEventService;
import hls.core.sys.event.utils.SysEventCodeUtil;
import org.activiti.engine.delegate.DelegateExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * Created by gaoyang on 17/8/15.
 */
@Service
@Transactional
public class WflEventApproveServiceImpl implements SysEventCommonService {
    @Autowired
    private SysEventService sysEventService;
    @Override
    public String getDocumentCategory() {
        return null;
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_WFL_APPROVE;
    }

    @Override
    public void process(IRequest iRequest, Long documentId, String documentCategory, String documentType, Map<String, Object> params) {
        sysEventService.eventSave(iRequest,documentId,documentCategory,documentType,SysEventCodeUtil.PROPERTITY_SOURCEMODULE_WFL,SysEventCodeUtil.PROPERTY_WFL_APPROVE,SysEventCodeUtil.PROPERTITY_RELATIONTYPE_P2D,params);
    }

    @Override
    public void notice(DelegateExecution delegateExecution, String status) {

    }
}
