package hls.core.sys.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.sys.dto.HlsCusSysUserVisitHistory;

import java.util.List;

public interface ISysUserVisitHistoryService extends IBaseService<HlsCusSysUserVisitHistory>, ProxySelf<ISysUserVisitHistoryService>{

    HlsCusSysUserVisitHistory saveHistory(IRequest request,HlsCusSysUserVisitHistory sysUserVisitHistory);
    /*查询最常访问的模块*/
    List<HlsCusSysUserVisitHistory> queryMostVisitModule(IRequest request, HlsCusSysUserVisitHistory sysUserVisitHistory, int page, int pageSize);
    /*查询最近访问的单据*/
    List<HlsCusSysUserVisitHistory> queryRecentVisitDoc(IRequest request, HlsCusSysUserVisitHistory sysUserVisitHistory, int page, int pageSize);
}