package hls.core.sys.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.sys.dto.SysFunction;


public interface SysFunctionService extends IBaseService<SysFunction>,ProxySelf<SysFunctionService>{
	
	public List<SysFunction> queryAll(IRequest requestContext, SysFunction sysFunction, int page, int pagesize);
	
	void deleteById(Long id);
	
	List<SysFunction> selectByModuleCode(String moduleCode);

	List<SysFunction> queryByModuleCode(String moduleCode,String isHomePage);

	List<SysFunction> queryAllFunctionRelateRole(IRequest iRequest, SysFunction sysFunction, int page, int pageSize);

	List<SysFunction> updateFunctionRelateRole(IRequest requestContext, List<SysFunction> dto);

	List<SysFunction> widgeQuery(IRequest requestContext,Long roleId,String moduleCode);
 }
