package hls.core.vat.calculate.service.impl;

import java.util.HashMap;
import java.util.Map;
import org.springframework.stereotype.Service;
import com.hand.hap.core.IRequest;
import hls.core.vat.calculate.service.InvoiceCalculateCommon;
import hls.core.vat.dto.HlsCusAcrInvoiceHd;
@Service
public class LeaseBackAfterFreeholdServiceImpl implements InvoiceCalculateCommon{

	//直租动产
	private static final String invoiceCalculateType = "LEASEBACK_AFTER_FREEHOLD";
	
	@Override
	public String getInvoiceCalculateType() {
		return invoiceCalculateType;
	}

	@Override
	public Map<String, Object> process(IRequest iRequest, HlsCusAcrInvoiceHd acrInvoiceHd) {
		Map<String, Object> map = new HashMap<String, Object>();
		
		switch (acrInvoiceHd.getCfItem().toString()) {
		case "1":
			map.put("taxTypeRate", "");
			map.put("invoicekind", "RECEIPT");
			break;
		case "2":
			map.put("taxTypeRate", "");
			map.put("invoicekind", "RECEIPT");
			break;
		case "5":
			map.put("taxTypeRate", "");
			map.put("invoicekind", "RECEIPT");
			break;
		default:
			map.put("taxTypeRate", "0.06");
			map.put("invoicekind", "2");
			break;
		}
		
		return map;
	}
}
