package hls.core.vat.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-08-21
 * Time: 15:10
 */
@Component
public class AcrInvoiceCreateEventHandler extends AbstractAcrInvoiceEventHandler {
    @Override
    String getMessage(String invoiceNum, String bpName, String amt) {
        return "已创建发票"+invoiceNum+" : "+bpName+"￥"+amt;
    }

    @Override
    String getNoticeTitle() {
        return "销项发票-创建";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_ACR_INVOICE_HD_CREATE;
    }
}
