package hls.core.vat.dto;

import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Id;
import javax.persistence.Transient;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-09-30
 * Time: 9:57
 */
public class InvoiceAttribute extends BaseDTO {
    @Id
    private Long companyId; //公司ID

    private Double specialInvoiceLimit; //增值税专票限额

    private Double normalInvoiceLimit; //增值税普票限额

    private Double lineLimit; //最大发票行数

    private String invoiceTitle; //开票公司名称

    private String taxRegistryNum; //纳税人识别号

    private String invoiceAddress; //地址

    private String invoicePhone; //电话

    private String invoiceBank; //开户行

    private String invoiceBankAccount; //银行账号
    @Transient
    private String companyShortName;//公司简称
    @Transient
    private String companyFullName;//公司全称
    @Transient
    private String companyCode;//公司代码

    public String getCompanyShortName() {
        return companyShortName;
    }

    public void setCompanyShortName(String companyShortName) {
        this.companyShortName = companyShortName;
    }

    public String getCompanyFullName() {
        return companyFullName;
    }

    public void setCompanyFullName(String companyFullName) {
        this.companyFullName = companyFullName;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setSpecialInvoiceLimit(Double specialInvoiceLimit) {
        this.specialInvoiceLimit = specialInvoiceLimit;
    }

    public Double getSpecialInvoiceLimit() {
        return specialInvoiceLimit;
    }

    public void setNormalInvoiceLimit(Double normalInvoiceLimit) {
        this.normalInvoiceLimit = normalInvoiceLimit;
    }

    public Double getNormalInvoiceLimit() {
        return normalInvoiceLimit;
    }

    public void setLineLimit(Double lineLimit) {
        this.lineLimit = lineLimit;
    }

    public Double getLineLimit() {
        return lineLimit;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setTaxRegistryNum(String taxRegistryNum) {
        this.taxRegistryNum = taxRegistryNum;
    }

    public String getTaxRegistryNum() {
        return taxRegistryNum;
    }

    public void setInvoiceAddress(String invoiceAddress) {
        this.invoiceAddress = invoiceAddress;
    }

    public String getInvoiceAddress() {
        return invoiceAddress;
    }

    public void setInvoicePhone(String invoicePhone) {
        this.invoicePhone = invoicePhone;
    }

    public String getInvoicePhone() {
        return invoicePhone;
    }

    public void setInvoiceBank(String invoiceBank) {
        this.invoiceBank = invoiceBank;
    }

    public String getInvoiceBank() {
        return invoiceBank;
    }

    public void setInvoiceBankAccount(String invoiceBankAccount) {
        this.invoiceBankAccount = invoiceBankAccount;
    }

    public String getInvoiceBankAccount() {
        return invoiceBankAccount;
    }

}
