package hls.core.vat.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.vat.dto.HlsCusAcpInvoiceHd;

import java.util.List;
import java.util.Map;

public interface AcpInvoiceHdService extends IBaseService<HlsCusAcpInvoiceHd>,ProxySelf<AcpInvoiceHdService>{

	List<HlsCusAcpInvoiceHd> acpInvoiceQuery(Map<String, String> map);

	List<HlsCusAcpInvoiceHd> acpInvoiceScaleQuery();
	
	List<HlsCusAcpInvoiceHd> acpInvoicedTotleQuery();

	List<HlsCusAcpInvoiceHd> acpInvoicedGroupQuery(IRequest requestContext);
 }
