package hls.core.vat.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.excel.ExcelException;
import com.hand.hap.system.service.IBaseService;
import hls.core.vat.dto.HlsCusAcpInvoiceLn;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

public interface AcpInvoiceLnService extends IBaseService<HlsCusAcpInvoiceLn>,ProxySelf<AcpInvoiceLnService>{

	List<HlsCusAcpInvoiceLn> acpInvoiceLnQuery(HlsCusAcpInvoiceLn acpInvoiceLn);

    public void acpInvoiceExcelImport(IRequest iRequest, Long hdId)  throws ExcelException, SQLException;

    List<Map> selectAcpInvoiceDetail(Map map,IRequest iRequest,int page,int pagesize);

 }
