package hls.core.vat.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.csh.dto.HlsCusCshTransaction;
import hls.core.vat.dto.HlsCusAcrInvoiceLn;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface AcrInvoiceLnService extends IBaseService<HlsCusAcrInvoiceLn>,ProxySelf<AcrInvoiceLnService>{

    List<Map> leasePrincipal(HlsCusAcrInvoiceLn acrInvoiceLn, IRequest irequest, int page, int pagesize);
    List<Map> reciveAmount(HlsCusAcrInvoiceLn acrInvoiceLn, IRequest irequest, int page, int pagesize);
    List<Map> stepOne(List<Map> maps,IRequest iRequest,long companyId);
    void acrHLRecINS(List<Map> maps);

    public   List<HlsCusAcrInvoiceLn> selectAllAcrInvoiceLn(IRequest iRequest, HlsCusCshTransaction cshTransaction) throws ParseException;
 }
