package hls.core.vat.service;

import com.hand.hap.core.IRequest;
import hls.core.fnd.dto.FndInterfaceHeaders;
import org.hibernate.validator.constraints.NotEmpty;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.InputStreamReader;
import java.util.List;

public interface ITaxService {

    /**
     * 导出headerIds指定的AcrInvoiceHd信息到指定文件
     *
     * @param headerIds AcrInvoiceHd头表的id集合，不可为空
     * @return
     */
    String exportInvoice(@NotEmpty List<Long> headerIds, String fileName,HttpServletResponse httpServletResponse);

    FndInterfaceHeaders readInvoice(@NotEmpty String fileName, InputStreamReader isr, IRequest iRequest);
}
