package hls.core.vat.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.vat.mapper.HlsCusInvoiceAttributeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.vat.dto.HlsCusInvoiceAttribute;
import hls.core.vat.service.IInvoiceAttributeService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class InvoiceAttributeServiceImpl extends BaseServiceImpl<HlsCusInvoiceAttribute> implements IInvoiceAttributeService{
    @Autowired
    private HlsCusInvoiceAttributeMapper mapper;
    public List<HlsCusInvoiceAttribute> query(IRequest requestContext, HlsCusInvoiceAttribute dto, int pageSize, int page){
        PageHelper.startPage(pageSize,page);
        dto.setCompanyId(requestContext.getCompanyId());
        return mapper.query(dto);
    }
}