package com.hand.hls.web.svc;

import com.hand.hap.core.web.view.XMap;

public class ServiceBuilder {

    public static String build(XMap xmap, ServiceContext context) throws Exception {
        context = context.createCloneInstance();
        ServiceTag tag = context.getServiceTagFactory().getTag(xmap.getNamespaceURI(), xmap.getName());
        if (tag == null)
            throw new Exception("Tag <" + xmap.getName() + "> not found!");
        tag.init(xmap, context);
        return tag.execute(xmap, context);
    }
}
