package hls.core.calc.mapper;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.calc.dto.HlsPriceListConfigHd;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


public interface HlsPriceListConfigHdMapper extends Mapper<HlsPriceListConfigHd>{

	public void updateHlsPriceListConfigHd(HlsPriceListConfigHd configHd);
	
	public void insertHlsPriceListConfigHd(HlsPriceListConfigHd configHd);

	public List<HlsPriceListConfigHd> getConfigHdInfoByPriceList(HlsPriceListConfigHd hlsPriceListConfigHd);

	@Select("select concat(t1.value_code,'') value_code  from (${name})  t1 where t1.value_name=#{value_name} ")
	public String getCodeValueName(@Param("name") String name,@Param("value_name") String value_name);
}
