package hls.core.calc.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.calc.dto.HlsCalcConfig;
import hls.core.calc.dto.HlsPriceListConfigBT;

import java.util.List;

public interface HlsCalcConfigService extends IBaseService<HlsCalcConfig>,ProxySelf<HlsCalcConfigService>{
	 public List<HlsCalcConfig> queryAll(IRequest requestContext, HlsCalcConfig hcc, int page, int pagesize);
	public List<HlsCalcConfig> queryUnSheets(IRequest requestContext, HlsCalcConfig hcc, int page, int pagesize);
	 void updateSheets(String priceList,String sheets);
	public List<HlsPriceListConfigBT> btConfigQuery(String priceList);
}
