package hls.core.calc.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.calc.mapper.HlsPriceListMapper;
import hls.core.calc.service.HlsPriceListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.calc.dto.HlsPriceList;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsPriceListServiceImpl extends BaseServiceImpl<HlsPriceList> implements HlsPriceListService {
    @Autowired
    HlsPriceListMapper hlsPriceListMapper;

    @Override
    public List<HlsPriceList> hlsPriceListDetailQuery(HlsPriceList priceList) {
        return hlsPriceListMapper.hlsPriceListDetailQuery(priceList);
    }

    @Override
    public List<HlsPriceList> hlsPriceListComboBoxQuery(HlsPriceList priceList) {
        return hlsPriceListMapper.hlsPriceListComboboxQuery(priceList);
    }


}