
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractChangeGuarantorConfrimEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "担保人变更申请确认完成。";
    }

    @Override
    String getNoticeTitle() {
        return "合同变更-确认";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CONFRIM;
    }
}
