
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractEarlyTerminationConfrimEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "提前结清申请确认完成。";
    }

    @Override
    String getNoticeTitle() {
        return "提前结清-确认";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CONFRIM;
    }
}
