
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractEarlyTerminationRejectEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "提前结清申请被拒绝。";
    }

    @Override
    String getNoticeTitle() {
        return "提前结清-拒绝";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_REJECT;
    }
}
