
package hls.core.cont.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class ConContractTerminationEventHandler extends AbstractConContractEventHandler{
    @Override
    String getSuffixMsg() {
        return "已完成结清。";
    }

    @Override
    String getNoticeTitle() {
        return "合同-结清";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CON_CONTRACT_TERMINATION;
    }
}
