package hls.core.cont.controllers;

import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.dto.HlsCusConContractH;
import hls.core.cont.service.ConContractHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@Controller
public class ConContractHController extends BaseController{
	
	@Autowired
	private ConContractHService conContractHService;
	

	@RequestMapping(value = "/con/ConContractH/query")
	@ResponseBody
	public ResponseData  selectContractById(final HlsCusConContractH conContractH, final HttpServletRequest request){
		return new ResponseData(conContractHService.selectContractById(conContractH));
	}

	/*合同变更明细页面-查询合同变更前明细信息*/
	@RequestMapping(value = "/con/ConContractH/queryInfoBeforeChange")
	@ResponseBody
	public HlsCusConContractH queryInfoBeforeChange(@RequestBody(required = false) HlsCusConContractH conContractH, final HttpServletRequest request){
		return conContractHService.queryInfoBeforeChange(conContractH);
	}

}
