package hls.core.cont.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.dto.HlsCusConContractIncept;
import hls.core.cont.service.ConContractInceptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by FJM on 2017/1/9.
 */

@Controller
public class ConContractInceptController extends BaseController{
    @Autowired
    private ConContractInceptService conContractInceptService;

    @RequestMapping(value="/con/contractIncept/query")
    @ResponseBody
    public ResponseData query(final HlsCusConContractIncept conContractIncept, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
                              @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
        IRequest iRequest = createRequestContext(request);
        List<HlsCusConContractIncept> list = conContractInceptService.select(iRequest,conContractIncept,page,pagesize);
        return new ResponseData(list);
    }

    @RequestMapping(value="/con/contractIncept/submit")
    @ResponseBody
    public ResponseData submit(@RequestBody final List<HlsCusConContractIncept> conContractIncepts, final  HttpServletRequest request ){
        IRequest iRequest = createRequestContext(request);

        List<HlsCusConContractIncept> list = conContractInceptService.approving(iRequest,conContractIncepts);

        return new ResponseData(list);
    }

}
