package hls.core.cont.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.cont.dto.HlsCusConContractLeaseItemH;
import hls.core.cont.service.ConContractLeaseItemHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

@Controller
public class ConContractLeaseItemControllerH extends BaseController
{
	@Autowired
	private ConContractLeaseItemHService service;

	@RequestMapping(value = "/con/contract/LeaseItemH/detail/query")
	@ResponseBody
	public ResponseData queryDetail(final HlsCusConContractLeaseItemH contractLeaseItemh, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
									@RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
		IRequest requestContext = createRequestContext(request);
		return new ResponseData(service.selectDetail(contractLeaseItemh));
	}

}
