package hls.core.cont.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.cont.dto.ConContractSign;
import hls.core.cont.dto.HlsCusConContractGuarantorH;
import hls.core.cont.dto.HlsCusConContractSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ConContractSignMapper<T extends HlsCusConContractSign> extends Mapper<HlsCusConContractSign>{

	void updateContractStatus(@Param("contractId") Long contractId, @Param("userId") Long userId);

	List<HlsCusConContractSign> queryDetail(HlsCusConContractSign contractSign);

	public List<Map> querySignList(@Param("contractId") Long contractId);

}
