package hls.core.cont.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.cont.dto.HlsCusConContractContent;
import hls.core.cont.mapper.HlsCusConContractContentMapper;
import hls.core.cont.service.ConContractContentService;

@Service
@Transactional
public class ConContractContentServiceImpl extends BaseServiceImpl<HlsCusConContractContent> implements ConContractContentService{

	@Autowired
	private HlsCusConContractContentMapper mapper;

	@Override
	public List<HlsCusConContractContent> queryDetail(IRequest requestContext, HlsCusConContractContent conContractContent,
                                                      int page, int pagesize) {
		PageHelper.startPage(page, pagesize);
		
		return mapper.queryDetail(conContractContent);
	}
}
