package hls.core.cont.service.impl;

import hls.core.cont.dto.HlsCusConContractCashflowH;
import hls.core.cont.service.IConFloatingRangeService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;


/**
 * Created by fjm on 2017/10/25.
 */
@Service
public class ConFloatingRangeNextTimeServiceImpl implements IConFloatingRangeService {

    protected final static String RANGE_METHOD = "NEXT_TIMES";

    @Override
    public String getFloatingRangeMethod() {
        return this.RANGE_METHOD;
    }

    @Override
    public List<HlsCusConContractCashflowH> rangeCashflow(List<HlsCusConContractCashflowH> cashflows, Date rateDate) {
        return splitCashflow(cashflows, date2LocalDate(rateDate).plusDays(1));
    }

}
