package hls.core.csh.controllers;

import java.util.List;
import javax.servlet.http.HttpServletRequest;

import hls.core.csh.dto.HlsCusCshPaymentReqHd;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.csh.service.ICshPaymentReqHdService;

@Controller
public class CshPaymentReqHdControllers extends BaseController{

	@Autowired
	private ICshPaymentReqHdService paymentReqHdService;
	
	@RequestMapping(value = "/csh/payment/hd/apply/query")
	@ResponseBody
	public ResponseData queryAll(HttpServletRequest request, final HlsCusCshPaymentReqHd paymentReqHd,
			@RequestParam(defaultValue = DEFAULT_PAGE) final int page,
			@RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize){
		List<HlsCusCshPaymentReqHd>  list = paymentReqHdService.queryAll(paymentReqHd,page,pagesize);
		return new ResponseData(list);
	}
	
}
