package hls.core.csh.dto;

import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Transient;

/**
 * Created by lpc on 2017/9/30.
 */
public class CshFundStatistics extends BaseDTO {
    @Transient
    private Double totalInvestment;// 总投放金额
    @Transient
    private Double receivedAmount;//总收租金
    @Transient
    private Double bailAmount;//	-- 总保证金
    @Transient
    private Double riskExposure;// -- 风险敞口
    @Transient
    private Long overdue_times;//
    @Transient
    private Long avg_overdue_dates;
    @Transient
    private Long max_overdue_dates;
    @Transient
    private Long total_overdue_dates;

    public Long getOverdue_times() {
        return overdue_times;
    }

    public void setOverdue_times(Long overdue_times) {
        this.overdue_times = overdue_times;
    }

    public Long getAvg_overdue_dates() {
        return avg_overdue_dates;
    }

    public void setAvg_overdue_dates(Long avg_overdue_dates) {
        this.avg_overdue_dates = avg_overdue_dates;
    }

    public Long getMax_overdue_dates() {
        return max_overdue_dates;
    }

    public void setMax_overdue_dates(Long max_overdue_dates) {
        this.max_overdue_dates = max_overdue_dates;
    }

    public Long getTotal_overdue_dates() {
        return total_overdue_dates;
    }

    public void setTotal_overdue_dates(Long total_overdue_dates) {
        this.total_overdue_dates = total_overdue_dates;
    }

    public Double getTotalInvestment() {
        return totalInvestment;
    }

    public void setTotalInvestment(Double totalInvestment) {
        this.totalInvestment = totalInvestment;
    }

    public Double getReceivedAmount() {
        return receivedAmount;
    }

    public void setReceivedAmount(Double receivedAmount) {
        this.receivedAmount = receivedAmount;
    }

    public Double getBailAmount() {
        return bailAmount;
    }

    public void setBailAmount(Double bailAmount) {
        this.bailAmount = bailAmount;
    }

    public Double getRiskExposure() {
        return riskExposure;
    }

    public void setRiskExposure(Double riskExposure) {
        this.riskExposure = riskExposure;
    }

    @Override
    public String toString() {
        return "HlsCusCshFundStatistics [totalInvestment=" + totalInvestment + ", receivedAmount=" + receivedAmount
                + ", bailAmount=" + bailAmount + ", riskExposure=" + riskExposure + ", overdue_times=" + overdue_times
                + ", avg_overdue_dates=" + avg_overdue_dates + ", max_overdue_dates=" + max_overdue_dates
                + ", total_overdue_dates=" + total_overdue_dates + "]";
    }
}
