package hls.core.csh.service;

import java.util.List;
import java.util.Map;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.csh.dto.HlsCusCshBankAccount;
import hls.core.csh.dto.HlsCusCshBank;


public interface CshBankAccountService extends IBaseService<HlsCusCshBankAccount>, ProxySelf<CshBankAccountService>{

	public List<HlsCusCshBankAccount> selectAllCshBankAccount(Long bankAccountId);
	
	public List<HlsCusCshBankAccount> selectCshBankAccount(Map<String, Object> map);

	public List<HlsCusCshBankAccount> bankAccountInfoQuery(HlsCusCshBankAccount cshBankAccount);

	public void save(IRequest requestContext, HlsCusCshBankAccount cshBankAccount);

	public List<HlsCusCshBankAccount> bankAccountQuery(HlsCusCshBankAccount cshBankAccount);

	public List<HlsCusCshBank> selectCshBankLov(Map<String, Object> params);

	public List<HlsCusCshBank> bankInfoQuery(HlsCusCshBank cshBank);

	public List<HlsCusCshBank> bankInfoQuery2(Long bpId);
	/*融资合同-获取债权人相关的账户*/
	List<HlsCusCshBankAccount> queryFinanceBankAccount(HlsCusCshBankAccount cshBankAccount,int page,int pageSize);

}
