package hls.core.csh.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.csh.dto.HlsCusCshDeduction;
import hls.core.csh.dto.HlsCusCshWriteOff;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * Created by FJM on 2016/12/5.
 */
public interface CshDeductionService extends IBaseService<HlsCusCshDeduction>,ProxySelf<CshDeductionService> {
     List<HlsCusCshWriteOff>  addCshDeduction(IRequest iRequest, List<HlsCusCshWriteOff> cshwriteoff);
     List<HlsCusCshDeduction>  queryLov(HlsCusCshDeduction cshDeduction);
     List<Map> homePageDepositMgr(Map map, int page, int pageSize, IRequest iRequest);
     List<Map> homePagePoolDepositMgr(Map map, int page, int pageSize, IRequest iRequest);
     Map homePageMgrWriteOff(Map map, int page, int pageSize, IRequest iRequest) throws ParseException;
     Map homePagePoolMgrWriteOff(Map map, int page, int pageSize, IRequest iRequest) throws ParseException;
     List<Map> homePageMgr(Map map, int page, int pageSize, IRequest iRequest) throws ParseException;
     List<Map> homePagePoolMgr(Map map, int page, int pageSize, IRequest iRequest) throws ParseException;
     Map queryDepositPoolByBp(Map map,IRequest iRequest);
     Map queryDepositPoolByCon(Map map,IRequest iRequest);
}
