package hls.core.csh.service;

import com.hand.hap.core.IRequest;

import hls.core.csh.dto.HlsCusCshWriteOff;
import hls.core.csh.exception.BeyondAmountLimitException;

public interface CshTransactionCommon {
	
	String getWriteOffType();
	
	void process(IRequest iRequest,HlsCusCshWriteOff cshWriteOff) throws BeyondAmountLimitException;
	
	void reversed(IRequest requestContext, HlsCusCshWriteOff cshWriteOff) throws BeyondAmountLimitException;
}
