package hls.core.csh.service;

import java.util.List;

import javax.servlet.http.HttpSession;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.csh.dto.HlsCusCshApprovalQuantity;
import hls.core.csh.dto.HlsCusCshPaymentReqLn;


public interface ICshPaymentReqLnService extends IBaseService<HlsCusCshPaymentReqLn>,ProxySelf<ICshPaymentReqLnService>{

	public List<HlsCusCshPaymentReqLn> selectCshPaymentReqLnByHd(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> selectCshPaymentReqLnDetailByLnID(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public void updateAmountPaid(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> selectLov(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> selectLovContract(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public void updatePaymentFlag(HlsCusCshPaymentReqLn cshPaymentReqLn);
	/**
	 * @param cshPaymentReqLn
	 * @param page
	 * @param pagesize
	 * @return
	 */
	List<HlsCusCshPaymentReqLn> selectLaunchApplication(HlsCusCshPaymentReqLn cshPaymentReqLn, HttpSession session);
	/**
	 * @return
	 */
	HlsCusCshApprovalQuantity selectApprovalQuantity(HttpSession session);
	public List<HlsCusCshPaymentReqLn> queryAll(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> queryDetail(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> queryOneDetail(HlsCusCshPaymentReqLn cshPaymentReqLn);
	public List<HlsCusCshPaymentReqLn> selectCshPaymentReqLnDetailByLnID(List<String> ln_id);
	public HlsCusCshPaymentReqLn queryCshPaymentLnByPreqId(Long payment_req_ln_id);
	List<HlsCusCshPaymentReqLn> queryByHnId(HlsCusCshPaymentReqLn cshPaymentReqLn);
	List<HlsCusCshPaymentReqLn> selectCshPaymentReqLn(HlsCusCshPaymentReqLn cshPaymentReqLn);
    /*融资模块-还款维护-根据申请头ID获取相关行信息*/
    List<HlsCusCshPaymentReqLn> queryByPaymentReqId(HlsCusCshPaymentReqLn cshPaymentReqLn);


}
