package hls.core.csh.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.csh.dto.HlsCusConContractCollection;
import hls.core.csh.mapper.HlsCusCshConContractMapper;
import hls.core.csh.service.ConContractCollectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by haibin on 2017/6/5.
 */
@Service
@Transactional
public class ConContractCollectionServiceImpl extends BaseServiceImpl<HlsCusConContractCollection> implements ConContractCollectionService {
    @Autowired
    private HlsCusCshConContractMapper cshConContractMapper;

    @Override
    public List<HlsCusConContractCollection> rentRecordQuery(Long contractId , int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return cshConContractMapper.rentRecordQuery(contractId);
    }
}
