package hls.core.document.exception;

import com.hand.hap.core.exception.BaseException;

/**
 * Created by fjm on 2018/1/23.
 */
public class DocumentStatusForbidenException extends BaseException{
    /**
     * 不应该直接实例化,应该定义子类.
     *
     * @param code           异常 code,通常与模块 CODE 对应
     * @param descriptionKey 异常消息代码,系统描述中定义
     * @param parameters
     */
    protected DocumentStatusForbidenException(String code, String descriptionKey, Object[] parameters) {
        super(code, descriptionKey, parameters);
    }

    public DocumentStatusForbidenException(String code, String descriptionKey) {
        super(code, descriptionKey, new Object[]{});
    }

    public DocumentStatusForbidenException(String descriptionKey) {
        super(descriptionKey, descriptionKey, new Object[]{});
    }
}
