package hls.core.document.service;

/**
 * Created by fjm on 2018/1/18.
 */
public interface IDocumentService {

    /**
     * 根据documentCategory自定义获取url起始路径
     *
     * @param documentCategory
     * @return
     */
    default String getCustomerStartUrlPart(String documentCategory) {
        return null;
    }

    /**
     * 根据documentCategory自定义获取url起始路径
     *
     * @param documentCategory
     * @param documentId
     * @param functionUsage
     * @return
     */
    default String getCustomerMiddleUrlPart(String documentCategory, Long documentId, String functionUsage) {
        return null;
    }

    /**
     * 根据documentCategory自定义获取url起始路径
     *
     * @param documentCategory
     * @param documentId
     * @return
     */
    default String getCustomerEndUrlPart(String documentCategory, Long documentId) {
        return null;
    }

}
