package hls.core.fct.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.fct.dto.HlsCreditLineH;
import hls.core.fct.dto.HlsCusHlsCreditLineH;

import java.util.List;

public interface HlsCreditLineHMapper<T extends HlsCusHlsCreditLineH> extends Mapper<HlsCusHlsCreditLineH>{
      public Long queryCount(Long creditLineId);

      public List<HlsCreditLineH> queryVersion(Long creditLineId);

      public List<HlsCusHlsCreditLineH> queryVersionByPk(HlsCusHlsCreditLineH hlsCreditLineH);
      public List<HlsCusHlsCreditLineH> queryVersionByCrePk(HlsCusHlsCreditLineH hlsCreditLineH);

      public List<HlsCusHlsCreditLineH> queryHistoryByStatus(HlsCusHlsCreditLineH hlsCreditLineH);

      public List<HlsCusHlsCreditLineH> updateCreditLineHInfo(HlsCusHlsCreditLineH hlsCusHlsCreditLineH);

      //申请状态下查询授信信息
      List<HlsCusHlsCreditLineH> queryCreditLineH(HlsCusHlsCreditLineH hlsCreditLineH);

      //授信变更历史
      List<HlsCusHlsCreditLineH> queryCreditLineHistory(HlsCusHlsCreditLineH hlsCreditLineH);

      //获取变更序列
      Long getChangeSeq(Long creditLineId);
      //获取变更前
      List<HlsCusHlsCreditLineH> queryChangeAdvance(HlsCusHlsCreditLineH hlsCreditLineH);
      //获取变更后
      List<HlsCusHlsCreditLineH> queryChangeAfter(HlsCusHlsCreditLineH hlsCreditLineH);

}