package hls.core.fct.service;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCusFctProjectAttachment;

import java.util.List;

public interface FctProjectAttachmentService extends IBaseService<HlsCusFctProjectAttachment>, ProxySelf<FctProjectAttachmentService>{

    List<HlsCusFctProjectAttachment> fctProjectAttachmentQuery(HlsCusFctProjectAttachment fctProjectAttachment, int page, int pagesize);

    List<HlsCusFctProjectAttachment> fctContractContentQuery(HlsCusFctProjectAttachment fctProjectAttachment, int page, int pagesize);

    List<HlsCusFctProjectAttachment> fctContractContentHistoryQuery(HlsCusFctProjectAttachment fctProjectAttachment, int page, int pagesize);

    List<HlsCusFctProjectAttachment> fctContractQuery(Long contractId, int page, int pagesize);

    List<HlsCusFctProjectAttachment> fctProjectAttachmentForSignProcessQuery(HlsCusFctProjectAttachment fctProjectAttachment);

    //查询审批特有附件

    public List<HlsCusFctProjectAttachment> fctCreAttQuery(HlsCusFctProjectAttachment fctProjectAttachment);

    List<HlsCusFctProjectAttachment> fctContractManagementContentQuery(HlsCusFctProjectAttachment fctProjectAttachment, int page, int pagesize);

    //计算其他协议下属附件
    public List<HlsCusFctProjectAttachment> fctProjectAttQuery(Long sourceId);

    List<HlsCusFctProjectAttachment> riskAssessmentReportFctQuery(HlsCusFctProjectAttachment fctProjectAttachment);

}