package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCusFctProjectBasicTrx;

import java.util.List;


public interface FctProjectBasicTrxService extends IBaseService<HlsCusFctProjectBasicTrx>, ProxySelf<FctProjectBasicTrxService>{
    public List<HlsCusFctProjectBasicTrx> queryAllTrxInfo(IRequest requestContext,HlsCusFctProjectBasicTrx hlsCusFctProjectBasicTrx, int page, int pageSize);

    public List<HlsCusFctProjectBasicTrx> submitApproval(IRequest iRequest, List<HlsCusFctProjectBasicTrx> list);

    void addTrxEvent(IRequest request,HlsCusFctProjectBasicTrx hlsCusFctProjectBasicTrx);
    void updateTrxEvent(IRequest request,HlsCusFctProjectBasicTrx hlsCusFctProjectBasicTrx);

}