package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.FctProjectBp;
import hls.core.fct.dto.FctProjectBpInfo;
import hls.core.fct.dto.HlsCusFctProjectBp;

import java.util.List;

public interface FctProjectBpService extends IBaseService<HlsCusFctProjectBp>, ProxySelf<FctProjectBpService>{
    public List<FctProjectBpInfo> queryBpInfo(IRequest requestContext, List<FctProjectBp> dto,int page,int pageSize);

    List<HlsCusFctProjectBp> fctProjectBpQuery(HlsCusFctProjectBp fctProjectBp, int page, int pagesize);

    void updateProjectBp(HlsCusFctProjectBp fctProjectBp);
}