package hls.core.fct.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fct.dto.HlsCusFctProject;
import hls.core.prj.dto.HlsCusPrjProject;

import java.util.List;

/**保理立项二开逻辑
 * Created by syj on 17/11/10.
 * Modiify by xj on 18/01/09
 */
public interface HlsCusFctProjectCustomService extends IBaseService<HlsCusFctProject>, ProxySelf<HlsCusFctProjectCustomService> {
    boolean beforeSave(IRequest iRequest, HlsCusFctProject fctProject);
    HlsCusFctProject afterSave(IRequest iRequest, HlsCusFctProject fctProject);
    boolean beforeSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);
    HlsCusFctProject afterSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);



    boolean beforeContentSave(IRequest iRequest, HlsCusFctProject fctProject);
    HlsCusFctProject afterContentSave(IRequest iRequest, HlsCusFctProject fctProject);
    boolean beforeContentSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);
    HlsCusFctProject afterContentSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);


    boolean beforeSignSave(IRequest iRequest, HlsCusFctProject fctProject);
    HlsCusFctProject afterSSave(IRequest iRequest, HlsCusFctProject fctProject);
    boolean beforeSignSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);
    HlsCusFctProject afterSignSubmit(IRequest iRequest, List<HlsCusFctProject> fctProjectList);
}
