package hls.core.fct.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractBp;
import hls.core.fct.mapper.HlsCusFctContractBpMapper;
import hls.core.fct.service.FctContractBpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.xml.ws.Action;
import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractBpServiceImpl extends BaseServiceImpl<HlsCusFctContractBp> implements FctContractBpService{

    @Autowired
    private HlsCusFctContractBpMapper hlsCusFctContractBpMapper;
    @Override
    public List<HlsCusFctContractBp> fctContractBpQuery(HlsCusFctContractBp hlsCusFctContractBp,int page,int pagesize){
        PageHelper.startPage(page,pagesize);
        return hlsCusFctContractBpMapper.fctContractBpQuery(hlsCusFctContractBp);
    }

}