package hls.core.fct.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctContractWithdrawCf;
import hls.core.fct.mapper.HlsCusFctContractWithdrawCfMapper;
import hls.core.fct.service.FctContractWithdrawCfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctContractWithdrawCfServiceImpl extends BaseServiceImpl<HlsCusFctContractWithdrawCf> implements FctContractWithdrawCfService{

    @Autowired
    private HlsCusFctContractWithdrawCfMapper hlsCusFctContractWithdrawCfMapper;

    @Override
    public List<HlsCusFctContractWithdrawCf> fctContractWithdrawCfDetailQuery(IRequest request, HlsCusFctContractWithdrawCf hlsCusFctContractWithdrawCf, int page, int pageSize) {
        //PageHelper.startPage(page, pageSize);
        return hlsCusFctContractWithdrawCfMapper.fctContractWithdrawCfDetailQuery(hlsCusFctContractWithdrawCf);
    }
    @Override
    public List<HlsCusFctContractWithdrawCf> fctContractWithdrawCfQuery(IRequest request, HlsCusFctContractWithdrawCf hlsCusFctContractWithdrawCf, int page, int pageSize) {
        return hlsCusFctContractWithdrawCfMapper.fctContractWithdrawCfQuery(hlsCusFctContractWithdrawCf);
    }
}