package hls.core.fct.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fct.dto.HlsCusFctProjectConSignAprl;
import hls.core.fct.mapper.HlsCusFctProjectConSignAprlMapper;
import hls.core.fct.service.FctProjectConSignAprlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class FctProjectConSignAprlServiceImpl extends BaseServiceImpl<HlsCusFctProjectConSignAprl> implements FctProjectConSignAprlService{

    @Autowired
    HlsCusFctProjectConSignAprlMapper fctProjectConSignAprlMapper;
    @Override
    public List<HlsCusFctProjectConSignAprl> fctProjectConSignAprlDetailQuery(HlsCusFctProjectConSignAprl hlsCusFctProjectConSignAprl) {
        return fctProjectConSignAprlMapper.fctProjectConSignAprlDetailQuery(hlsCusFctProjectConSignAprl);
    }
}