package hls.core.fnd.dto;

import javax.persistence.Table;
import org.hibernate.validator.constraints.NotEmpty;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@SuppressWarnings("serial")
@ExtensionAttribute(disable=true)
@Table(name = "fnd_coding_rule_values")
public class FndCodingRuleValues extends BaseDTO{
	@NotEmpty
    private Long codingRuleId;
	@NotEmpty
    private Long year;
	@NotEmpty
    private String month;

    private Long currentValue;

    public Long getCodingRuleId() {
        return codingRuleId;
    }

    public void setCodingRuleId(Long codingRuleId) {
        this.codingRuleId = codingRuleId;
    }

    public Long getYear() {
        return year;
    }

    public void setYear(Long year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public Long getCurrentValue() {
        return currentValue;
    }

    public void setCurrentValue(Long currentValue) {
        this.currentValue = currentValue ;
    }

}