package hls.core.fnd.dto;


import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import java.io.Serializable;

import javax.persistence.*;


/**
 * Created by hailor on 16/6/2.
 */
@ExtensionAttribute(disable=true)
@Table(name = "fnd_district")
public class FndDistrict  extends BaseDTO implements Serializable{
    @Id
    private String district;
    
    private String province;
    
    private String city;
    
    private String description;
    
    private String enabled_flag;
    
    @Transient
    private String description_p;
    @Transient
    private String description_c;
    
    @Transient
	private String flag;
    
    
    
	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public String getDescription_c() {
		return description_c;
	}

	public void setDescription_c(String description_c) {
		this.description_c = description_c;
	}

	public String getDescription_p() {
		return description_p;
	}

	public void setDescription_p(String description_p) {
		this.description_p = description_p;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getEnabled_flag() {
		return enabled_flag;
	}

	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}

	
    
	
}
