package hls.core.fnd.dto;

import javax.persistence.Id;
import javax.persistence.Table;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

/**
 * @Title: FndUomCode
 * @Description: 计量单位实体类 
 *
 */
@SuppressWarnings("serial")
@ExtensionAttribute(disable = true)
@Table(name="fnd_uom_code")
public class FndUomCode extends BaseDTO{

	@Id
	private String uomCode; 
	private String uom_type; 
	private String description; 
	private String enabledFlag; 
	private String systemFlag;
	
	/**
	 * @return the uomCode
	 */
	public String getUomCode() {
		return uomCode;
	}
	/**
	 * @param uomCode the uomCode to set
	 */
	public void setUomCode(String uomCode) {
		this.uomCode = uomCode;
	}

	/**
	 * @return the uom_type
	 */
	public String getUom_type() {
		return uom_type;
	}
	/**
	 * @param uom_type the uom_type to set
	 */
	public void setUom_type(String uom_type) {
		this.uom_type = uom_type;
	}
	/**
	 * @return the enabledFlag
	 */
	public String getEnabledFlag() {
		return enabledFlag;
	}
	/**
	 * @param enabledFlag the enabledFlag to set
	 */
	public void setEnabledFlag(String enabledFlag) {
		this.enabledFlag = enabledFlag;
	}
	/**
	 * @return the systemFlag
	 */
	public String getSystemFlag() {
		return systemFlag;
	}
	/**
	 * @param systemFlag the systemFlag to set
	 */
	public void setSystemFlag(String systemFlag) {
		this.systemFlag = systemFlag;
	}
	
	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "FndUomCode [uomCode=" + uomCode + ", uom_type=" + uom_type + ", description=" + description
				+ ", enabledFlag=" + enabledFlag + ", systemFlag="
				+ systemFlag + "]";
	} 
	
}
