package hls.core.fnd.dto;

import javax.persistence.Id;
import javax.persistence.Table;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

/**
 * Created by hailor on 16/6/2.
 */

@ExtensionAttribute(disable = true)
@Table(name = "fnd_currency")
public class HLSCurrency extends BaseDTO {

	@Id
	private String currencyCode; // 币种代码
	private String currencyName;// 币种名称
	private String enabledFlag; // 启用标志
	private Long finance_precision; // 精度
	
	private String currencySymbol;// 符号

	public String getCurrencyCode() {
		return currencyCode;
	}

	public void setCurrencyCode(String currencyCode) {
		this.currencyCode = currencyCode;
	}

	public String getCurrencyName() {
		return currencyName;
	}

	public void setCurrencyName(String currencyName) {
		this.currencyName = currencyName;
	}

	public String getEnabledFlag() {
		return enabledFlag;
	}

	public void setEnabledFlag(String enabledFlag) {
		this.enabledFlag = enabledFlag;
	}



	public Long getFinance_precision() {
		return finance_precision;
	}

	public void setFinance_precision(Long finance_precision) {
		this.finance_precision = finance_precision;
	}

	

	public String getCurrencySymbol() {
		return currencySymbol;
	}

	public void setCurrencySymbol(String currencySymbol) {
		this.currencySymbol = currencySymbol;
	}

}
