/**   
* @Title: FndEmployeeRegister.java 
* @Package hls.core.fnd.dto 
* @Description: 用于首页员工注册 信息保存 
* @author zhengying 
* @date 2016年11月17日 下午1:29:08 
* @version V1.0   
*/
package hls.core.fnd.dto;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import org.hibernate.validator.constraints.NotEmpty;

public class HlsEmployeeRegister {

	    private String employeeCode; 
	    private Long companyId;
		private String name;
	    private String email;
	    private String mobil;
	    private String phone;
	    private String idType;
	    private String idCardNo;
	    private String enabledFlag;
	    
	    private Long employee_assign_id;
		private Long employee_id; 
		private Long unit_id;		
		private Long position_id;	
		private String enabled_flag;
		
		public String getEmployeeCode() {
			return employeeCode;
		}
		public void setEmployeeCode(String employeeCode) {
			this.employeeCode = employeeCode;
		}
		public Long getCompanyId() {
			return companyId;
		}
		public void setCompanyId(Long companyId) {
			this.companyId = companyId;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getEmail() {
			return email;
		}
		public void setEmail(String email) {
			this.email = email;
		}
		public String getMobil() {
			return mobil;
		}
		public void setMobil(String mobil) {
			this.mobil = mobil;
		}
		public String getPhone() {
			return phone;
		}
		public void setPhone(String phone) {
			this.phone = phone;
		}
		public String getIdType() {
			return idType;
		}
		public void setIdType(String idType) {
			this.idType = idType;
		}
		public String getIdCardNo() {
			return idCardNo;
		}
		public void setIdCardNo(String idCardNo) {
			this.idCardNo = idCardNo;
		}
		public String getEnabledFlag() {
			return enabledFlag;
		}
		public void setEnabledFlag(String enabledFlag) {
			this.enabledFlag = enabledFlag;
		}
		public Long getEmployee_assign_id() {
			return employee_assign_id;
		}
		public void setEmployee_assign_id(Long employee_assign_id) {
			this.employee_assign_id = employee_assign_id;
		}
		public Long getEmployee_id() {
			return employee_id;
		}
		public void setEmployee_id(Long employee_id) {
			this.employee_id = employee_id;
		}
		public Long getUnit_id() {
			return unit_id;
		}
		public void setUnit_id(Long unit_id) {
			this.unit_id = unit_id;
		}
		public Long getPosition_id() {
			return position_id;
		}
		public void setPosition_id(Long position_id) {
			this.position_id = position_id;
		}
		public String getEnabled_flag() {
			return enabled_flag;
		}
		public void setEnabled_flag(String enabled_flag) {
			this.enabled_flag = enabled_flag;
		}
		@Override
		public String toString() {
			return "HlsEmployeeRegister [employeeCode=" + employeeCode + ", companyId=" + companyId + ", name=" + name
					+ ", email=" + email + ", mobil=" + mobil + ", phone=" + phone + ", idType=" + idType
					+ ", idCardNo=" + idCardNo + ", enabledFlag=" + enabledFlag + ", employee_assign_id="
					+ employee_assign_id + ", employee_id=" + employee_id + ", unit_id=" + unit_id + ", position_id="
					+ position_id + ", enabled_flag=" + enabled_flag + "]";
		}

	
	
}
