package hls.core.fnd.dto;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
@ExtensionAttribute(disable=true)
@Table(name="vat_invoice_profile")
public class HlsInvoiceProfile extends BaseDTO implements Serializable{

    @Id
    private String invoiceProfile;
    private Long companyId;
    @Condition(operator = LIKE)
    private String description;
    private String enabledFlag;
    @Transient
    private String queryCondition;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }


    public String getInvoiceProfile() {
        return invoiceProfile;
    }

    public void setInvoiceProfile(String invoiceProfile) {
        this.invoiceProfile = invoiceProfile;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag;
    }
}
