package hls.core.fnd.dto;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;


@ExtensionAttribute(disable = true)
@Table(name = "vat_invoice_profile_dtl")
public class HlsInvoiceProfileDtl extends BaseDTO implements Serializable {

    @Id
    private String invoiceProfile;
    @Id
    private Long cfItem;
    @Id
    private String taxTypeCode;
    private String mergeRentalFlag;
    @Condition(operator = LIKE)
    private String taxableServiceName;
    private String invoiceKind;
    private String enabledFlag;
    private String rentalFlag;

    public String getRentalFlag() {
        return rentalFlag;
    }

    public void setRentalFlag(String rentalFlag) {
        this.rentalFlag = rentalFlag;
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag;
    }

    public String getInvoiceProfile() {
        return invoiceProfile;
    }

    public void setInvoiceProfile(String invoiceProfile) {
        this.invoiceProfile = invoiceProfile;
    }

    public String getMergeRentalFlag() {
        return mergeRentalFlag;
    }

    public void setMergeRentalFlag(String mergeRentalFlag) {
        this.mergeRentalFlag = mergeRentalFlag;
    }

    public String getTaxableServiceName() {
        return taxableServiceName;
    }

    public void setTaxableServiceName(String taxableServiceName) {
        this.taxableServiceName = taxableServiceName;
    }


    public String getTaxTypeCode() {
        return taxTypeCode;
    }

    public void setTaxTypeCode(String taxTypeCode) {
        this.taxTypeCode = taxTypeCode;
    }

    public String getInvoiceKind() {
        return invoiceKind;
    }

    public void setInvoiceKind(String invoiceKind) {
        this.invoiceKind = invoiceKind;
    }

    @Transient
    private String queryCondition;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }

    public Long getCfItem() {
        return cfItem;
    }

    public void setCfItem(Long cfItem) {
        this.cfItem = cfItem;
    }

}
