package hls.core.fnd.mapper;

import java.util.List;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.fnd.dto.HLSPosition;
import org.apache.ibatis.annotations.Param;

public interface HlsPositionMapper extends Mapper<HLSPosition> {

    List<HLSPosition> selectAll(HLSPosition position);

    List<HLSPosition> queryAll(HLSPosition position);

    Long selectById(HLSPosition hlsPosition);

    public List<String> queryPositionName(HLSPosition position);

    public List<HLSPosition> queryHLSPosition(HLSPosition position);

    public List<HLSPosition> queryLovAll(HLSPosition hlsPosition);

    public List<HLSPosition> selectAllHLSPosition(HLSPosition hlsPosition);

    HLSPosition getPositionByCode(@Param("positionCode") String positionCode);
}
