package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.FndBaseRate;
import hls.core.fnd.dto.FndBaseRateSet;
import hls.core.fnd.dto.FndDistrict;


public interface FndBaseRateSetService extends IBaseService<FndBaseRateSet>, ProxySelf<FndBaseRateSetService>{

	public void batchChildUpdate(IRequest iRequest, FndBaseRateSet fndBaseRateSet, List<FndBaseRate> fndBaseRate,List<FndBaseRateSet> datas);
	
	public List<FndBaseRateSet> queryAll();
	
	public List<FndBaseRateSet> getCount();
	
	public List<FndBaseRateSet> selectByQuery(FndBaseRateSet fndBaseRateSet,int page,int pagesize);
	//融资合同-根据基础利率类型和融资期限查询利率值
	List<FndBaseRateSet> queryForFinanceContract(FndBaseRateSet fndBaseRateSet);
}
