package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.HLSOrgUnit;


public interface HLSIOrgUnitService extends IBaseService<HLSOrgUnit>,ProxySelf<HLSIOrgUnitService>{
   
    public List<HLSOrgUnit> queryAll(IRequest requestContext, HLSOrgUnit unit, int page, int pagesize);
    
    public List<String> queryAllName(HLSOrgUnit unit);
    
    public List<HLSOrgUnit> queryLov(String lovCode);
    
    public Long selectById(HLSOrgUnit hlsOrgUnit);
    
    void deletePosition(Long unitId);
    
    public List<HLSOrgUnit> queryAll(HLSOrgUnit unit);

 }
