package hls.core.fnd.service;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fnd.dto.HlsDocumentType;

import java.util.List;

public interface HlsDocumentTypeService extends IBaseService<HlsDocumentType>, ProxySelf<HlsDocumentTypeService>{
    //查询单据类型
    public List<HlsDocumentType> queryDocumentTypeInfo(HlsDocumentType hlsDocumentType);
    //查询业务类型
    public List<HlsDocumentType> queryBusinessTypeInfo(HlsDocumentType hlsDocumentType);
}