package hls.core.fnd.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.fnd.dto.HlsFinStatementHd;
import hls.core.fnd.dto.HlsFinStatementTmpltLn;

import java.util.List;
import java.util.Map;

/**
 * Created by haibin on 2017/6/27.
 */
public interface HlsFinStatementHdService extends IBaseService<HlsFinStatementHd>,ProxySelf<HlsFinStatementHdService>{
    public List getList(HlsFinStatementTmpltLn hlsFinStatementTmpltLn, int page, int pagesize);
    public List<Map<String,String>> getClounm(HlsFinStatementTmpltLn hlsFinStatementTmpltLn);
    public boolean statementSubmit(IRequest iRequest, HlsFinStatementTmpltLn hlsFinStatementTmpltLn);
    public List<HlsFinStatementHd> hdQuery(HlsFinStatementHd hlsFinStatementHd, int page, int pagesize);
    public List<HlsFinStatementHd> hdGuaranQuery(HlsFinStatementHd hlsFinStatementHd, int page, int pagesize);

    public List<HlsFinStatementHd> hdColumnQuery(HlsFinStatementHd hlsFinStatementHd);
}
