package hls.core.fnd.service;

import java.util.List;

import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.fnd.dto.HlsEmployee;
import hls.core.fnd.dto.HlsEmployeeAssigns;

/**
 * @Title: HlsEmployeeAssignsService
 * @Description:   员工分配 
 *
 */
public interface IHlsEmployeeAssignsService extends IBaseService<HlsEmployeeAssigns>,ProxySelf<IHlsEmployeeAssignsService>{

	/**
	 * 查询已有的分配完成的信息
	 * @param employeeAssigns
	 * @return
	 */
	public List<HlsEmployeeAssigns> selectAllEmployeeAssigns(HlsEmployeeAssigns employeeAssigns);
	
	
	public Long getEmployee(HlsEmployee employee);
	
	public List<HlsEmployeeAssigns> selectFindDefault(HlsEmployeeAssigns employeeAssigns);
	
}
