package hls.core.fnd.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.mapper.FndCountryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fnd.dto.FndCountry;
import hls.core.fnd.service.IFndCountryService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Service
@Transactional(rollbackFor = Exception.class)
public class FndCountryServiceImpl extends BaseServiceImpl<FndCountry> implements IFndCountryService{

    @Autowired
    FndCountryMapper FndCountryMapper;

    public List<FndCountry> selectList(FndCountry dto, int page, int pagesize){
    PageHelper.startPage(page, pagesize);
    return FndCountryMapper.selectList(dto);
    }
}