package hls.core.fnd.service.impl;


import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.fnd.dto.FndInterfaceLines;

import hls.core.fnd.mapper.FndInterfaceLinesMapper;
import hls.core.fnd.service.FndInterfaceLinesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by syj on 2017/3/8.
 */
@Service
@Transactional
public class FndInterfaceLinesServiceImpl extends BaseServiceImpl<FndInterfaceLines> implements FndInterfaceLinesService {
    @Autowired
    FndInterfaceLinesMapper mapper;

    @Override
    public List<FndInterfaceLines> fndInterfaceLinesDetailQuery(FndInterfaceLines fndInterfaceLines,int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return mapper.fndInterfaceLinesDetailQuery(fndInterfaceLines);
    }

    @Override
    public List<FndInterfaceLines> fndInterfaceLinesTxtQuery(FndInterfaceLines fndInterfaceLines){
        return mapper.fndInterfaceLinesTxtQuery(fndInterfaceLines);
    }

}
