package hls.core.fnd.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.fnd.dto.FndUomType;
import hls.core.fnd.mapper.FndSysCodesMapper;
import hls.core.fnd.mapper.IFndUomTypeMapper;
import hls.core.fnd.service.IFndUomTypeService;

 
@Service
@Transactional
public class FndUomTypeServiceImpl extends BaseServiceImpl<FndUomType> implements IFndUomTypeService{

	@Autowired
	private IFndUomTypeMapper fndUomTypeMapper;
	
	public List<FndUomType> selectByQuery(FndUomType fndUomType)
	{
		if(fndUomType.getUom_type() == null)
			fndUomType.setUom_type("");
		if(fndUomType.getDescription() == null)
			fndUomType.setDescription("");
		if(fndUomType.getEnabled_flag() == null)
			fndUomType.setEnabled_flag("");
		if(fndUomType.getSystem_flag() == null)
			fndUomType.setSystem_flag("");
		return fndUomTypeMapper.selectByQuery(fndUomType);
	}
}
