package hls.core.fnd.service.impl;
import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.fnd.dto.HLSCurrency;
import hls.core.fnd.mapper.HLSCurrencyMapper;
import hls.core.fnd.service.HLSCurrencyService;
import hls.core.hls.dto.BusinessCategory;
import hls.core.hls.mapper.BusinessCgMapper;
import hls.core.hls.service.IBusinessCgService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class HLSCurrencyServiceImpl extends BaseServiceImpl<HLSCurrency> implements HLSCurrencyService {

	@Autowired
	HLSCurrencyMapper hlsCurrencyMapper;
/*    @Autowired
    private BusinessCgMapper businessCgMapper ;

    public List<BusinessCategory>  getAllCgService() {
    	List<BusinessCategory> list = null;
    	try {
			list=businessCgMapper.selectAllCategory();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return list;
	}*/
	public List<HLSCurrency> selectByQuery(HLSCurrency condition,int page,int pagesize)
	{
		if(condition.getCurrencyCode() == null)
			condition.setCurrencyCode("");
		if(condition.getCurrencyName() == null)
			condition.setCurrencyName("");
		if(condition.getCurrencySymbol() == null)
			condition.setCurrencySymbol("");
		PageHelper.startPage(page, pagesize);
		return hlsCurrencyMapper.selectByQuery(condition);		
	}
}
