package hls.core.fnd.service.impl;


import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsDocFileTempletPara;
import hls.core.fnd.mapper.HlsDocFileTempletParaMapper;
import hls.core.fnd.service.HlsDocFileTempletParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HlsDocFileTempletParaServiceImpl extends BaseServiceImpl<HlsDocFileTempletPara> implements HlsDocFileTempletParaService {

    @Autowired
    HlsDocFileTempletParaMapper mapper;

    @Override
    public List<HlsDocFileTempletPara> selectList(HlsDocFileTempletPara hlsDocFileTempletPara,int pageNum,int pageSize) {
        PageHelper.startPage(pageNum,pageSize);
        return mapper.selectList(hlsDocFileTempletPara);
    }
}
