package hls.core.fnd.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsDocFileTemplet;
import hls.core.fnd.mapper.HlsDocFileTempletMapper;
import hls.core.fnd.service.HlsDocFileTempletService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class HlsDocFileTempletServiceImpl extends BaseServiceImpl<HlsDocFileTemplet> implements HlsDocFileTempletService {

    @Autowired
    HlsDocFileTempletMapper mapper;

    @Override
    public List<HlsDocFileTemplet> selectList(IRequest request,HlsDocFileTemplet hlsDocFileTemplet,int page,int pageSize) {
        PageHelper.startPage(page,pageSize);
        return mapper.selectList(hlsDocFileTemplet);
    }

    @Override
    public HlsDocFileTemplet signSubmit(IRequest requestContext, HlsDocFileTemplet hlsDocFileTemplet) {
        self().insertSelective(requestContext,hlsDocFileTemplet);
        return hlsDocFileTemplet;
    }
}

