package hls.core.fnd.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.mapper.HlsDocumentTypeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.fnd.dto.HlsDocumentType;
import hls.core.fnd.service.HlsDocumentTypeService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class HlsDocumentTypeServiceImpl extends BaseServiceImpl<HlsDocumentType> implements HlsDocumentTypeService{

    @Autowired
    private HlsDocumentTypeMapper hlsDocumentTypeMapper;

    //查询单据类型
    public List<HlsDocumentType> queryDocumentTypeInfo(HlsDocumentType hlsDocumentType){
        return hlsDocumentTypeMapper.queryDocumentTypeInfo(hlsDocumentType);
    }
    //查询业务类型
    public List<HlsDocumentType> queryBusinessTypeInfo(HlsDocumentType hlsDocumentType){
        return hlsDocumentTypeMapper.queryBusinessTypeInfo(hlsDocumentType);
    }
}