package hls.core.fnd.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsFinStatementLn;
import hls.core.fnd.mapper.HlsFinStatementLnMapper;
import hls.core.fnd.service.HlsFinStatementLnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by haibin on 2017/6/30.
 */
@Service
@Transactional
public class HlsFinStatementLnServiceImpl extends BaseServiceImpl<HlsFinStatementLn> implements HlsFinStatementLnService{
    @Autowired
    private HlsFinStatementLnMapper hlsFinStatementLnMapper;
    @Override
    public List<HlsFinStatementLn> lnQuery(HlsFinStatementLn hlsFinStatementLn, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        List<HlsFinStatementLn> list=hlsFinStatementLnMapper.lnQuery(hlsFinStatementLn);
        return list;
    }
}
