package hls.core.fnd.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsFinStatementTmpltHd;
import hls.core.fnd.mapper.HlsFinStatementTmpltHdMapper;
import hls.core.fnd.service.HlsFinStatementTmpltHdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by haibin on 2017/6/21.
 */
@Service
@Transactional
public class HlsFinStatementTmpltHdServiceImpl extends BaseServiceImpl<HlsFinStatementTmpltHd> implements HlsFinStatementTmpltHdService {
    @Autowired
    private HlsFinStatementTmpltHdMapper hlsFinStatementTmpltHdMapper;
    @Override
    public List<HlsFinStatementTmpltHd> query(IRequest request, HlsFinStatementTmpltHd hlsFinStatementTmpltHd, int pageSize, int page) {
        PageHelper.startPage(page, pageSize);
        hlsFinStatementTmpltHd.setCompanyId(request.getCompanyId());
        return hlsFinStatementTmpltHdMapper.query(hlsFinStatementTmpltHd);
    }
}
