package hls.core.fnd.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsFinStatementTmpltLn;
import hls.core.fnd.mapper.HlsFinStatementTmpltLnMapper;
import hls.core.fnd.service.HlsFinStatementTmpltLnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by haibin on 2017/6/22.
 */
@Service
@Transactional
public class HlsFinStatementTmpltLnServiceImpl extends BaseServiceImpl<HlsFinStatementTmpltLn> implements HlsFinStatementTmpltLnService{

    @Autowired
    private HlsFinStatementTmpltLnMapper hlsFinStatementTmpltLnMapper;
    @Override
    public List<HlsFinStatementTmpltLn> query(IRequest request, HlsFinStatementTmpltLn hlsFinStatementTmpltLn, int pageSize, int page) {
        PageHelper.startPage(page, pageSize);
        return hlsFinStatementTmpltLnMapper.query(hlsFinStatementTmpltLn);
    }
}
