package hls.core.fnd.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.fnd.dto.HlsInvoiceProfile;
import hls.core.fnd.dto.HlsPenaltyProfile;
import hls.core.fnd.mapper.HlsInvoiceProfileMapper;
import hls.core.fnd.mapper.HlsPenaltyProfileMapper;
import hls.core.fnd.service.HlsInvoiceProfileDtlService;
import hls.core.fnd.service.HlsInvoiceProfileService;
import hls.core.fnd.service.HlsPenaltyProfileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsInvoiceProfileServiceImpl extends BaseServiceImpl<HlsInvoiceProfile> implements HlsInvoiceProfileService {

    @Autowired
    HlsInvoiceProfileDtlService hlsInvoiceProfileDtlService;

    @Override
    public boolean deleteInvoiceProfile(List<HlsInvoiceProfile> hlsInvoiceProfiles) {
        hlsInvoiceProfileDtlService.deleteInvoiceProfileDtl(hlsInvoiceProfiles.get(0).getInvoiceProfile());
        self().batchDelete(hlsInvoiceProfiles);

        return false;
    }
}
