package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.AccountSegmentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.AccountSegment;
import hls.core.gld.service.IAccountSegmentService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class AccountSegmentServiceImpl extends BaseServiceImpl<AccountSegment> implements IAccountSegmentService{
    @Autowired
    AccountSegmentMapper accountSegmentMapper;
       public List<AccountSegment> query(IRequest request, AccountSegment accountSegment, int page, int pageSize){
           PageHelper.startPage(page,pageSize);
           return accountSegmentMapper.query(accountSegment);
       }

    @Override
    public List<AccountSegment> selectJoin(IRequest request, AccountSegment accountSegment, int page, int pageSize) {
        PageHelper.startPage(page,pageSize);
        return accountSegmentMapper.selectJoin(accountSegment);
    }


}