package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.JeLineMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.JeLine;
import hls.core.gld.service.IJeLineService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service
@Transactional
public class JeLineServiceImpl extends BaseServiceImpl<JeLine> implements IJeLineService{
       @Autowired
       private JeLineMapper mapper;
        /*查询方法 分页*/
        public List<JeLine> query(Map<String, Object> map, int page, int pageSize){
            PageHelper.startPage(page,pageSize);
            return mapper.query(map);
        }
        /*查询方法 不分页*/
        public List<JeLine> queryNoPage(Map<String, Object> map){
            return mapper.query(map);
        }
        public List<JeLine> queryCompany(JeLine dto){
            return mapper.queryCompany(dto);
        }

}