package hls.core.gld.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.PeriodStatusMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.PeriodStatus;
import hls.core.gld.service.IPeriodStatusService;
import org.springframework.transaction.annotation.Transactional;

import java.util.Calendar;
import java.util.List;

@Service
@Transactional
public class PeriodStatusServiceImpl extends BaseServiceImpl<PeriodStatus> implements IPeriodStatusService{
   @Autowired
   private PeriodStatusMapper mapper;
    /*查询五个月的期间信息*/
    public List<PeriodStatus> queryFivePeriod(PeriodStatus dto){
        if(dto != null){
            Calendar cal = Calendar.getInstance();

            cal.add(Calendar.MONTH, 2);
            dto.setStartDate(cal.getTime());
            cal.add(Calendar.MONTH, -4);
            dto.setEndDate(cal.getTime());
        }
      return mapper.queryFivePeriod(dto);
    }
}