package hls.core.gld.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.gld.mapper.SetOfBooksMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.gld.dto.SetOfBooks;
import hls.core.gld.service.ISetOfBooksService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class SetOfBooksServiceImpl extends BaseServiceImpl<SetOfBooks> implements ISetOfBooksService{

    @Autowired
    private SetOfBooksMapper booksMapper;

    @Override
    public List<SetOfBooks> baseSelect(IRequest request, SetOfBooks setOfBooks, int page, int pageSize) {
        PageHelper.startPage(page,pageSize);
        return booksMapper.baseSelect(setOfBooks);
    }
}