package hls.core.hls.bp.dto;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@ExtensionAttribute(disable = true)
@Table(name = "hls_bp_master_role")
public class HlsBpMasterRole extends BaseDTO {
	@Id
    private Long bpId;
	@Id
    private String bpType;
    
	private String bpCategory;

    private String enabledFlag;
    
    @Transient
    private String typeDescription;
    
    @Transient
    private String categoryDescription;
    
	public String getTypeDescription() {
		return typeDescription;
	}

	public void setTypeDescription(String typeDescription) {
		this.typeDescription = typeDescription;
	}

	public String getCategoryDescription() {
		return categoryDescription;
	}

	public void setCategoryDescription(String categoryDescription) {
		this.categoryDescription = categoryDescription;
	}

	public Long getBpId() {
		return bpId;
	}

	public void setBpId(Long bpId) {
		this.bpId = bpId;
	}

	public String getBpType() {
		return bpType;
	}

	public void setBpType(String bpType) {
		this.bpType = bpType;
	}
	
    public String getBpCategory() {
        return bpCategory;
    }

    public void setBpCategory(String bpCategory) {
        this.bpCategory = bpCategory == null ? null : bpCategory.trim();
    }

    public String getEnabledFlag() {
        return enabledFlag;
    }

    public void setEnabledFlag(String enabledFlag) {
        this.enabledFlag = enabledFlag == null ? null : enabledFlag.trim();
    }

}