package hls.core.hls.bp.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.hls.bp.dto.HlsCusSysFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HlsSysFileMapper<T extends HlsCusSysFile> extends Mapper<HlsCusSysFile> {

    List<HlsCusSysFile> queryAll(HlsCusSysFile sysFile);

    HlsCusSysFile queryByAttachmentId(@Param("attachmentId") Long attachmentId);

    List<HlsCusSysFile> selectAllContent(@Param("sourceKey") Long sourceKey);

    List<HlsCusSysFile> selectAllConContent(@Param("sourceKey") Long sourceKey);

    List<HlsCusSysFile> queryUka(@Param("sourceKey") Long sourceKey);


    List<HlsCusSysFile> selectByAttachmentId(@Param("attachmentId") Long attachmentId);
}
