package hls.core.hls.bp.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.hls.bp.dto.HlsCusBpMasterRelation;

public interface HlsBpMasterRelationService extends IBaseService<HlsCusBpMasterRelation>,ProxySelf<HlsBpMasterRelationService>{
	List<HlsCusBpMasterRelation> selectRelationType(Long bpId);
	
	List<HlsCusBpMasterRelation> selectRelationCode(Long bpId);
	
	Long queryBpId(String bpCode,String bpName);

	List<HlsCusBpMasterRelation> queryAll(IRequest requestContext, HlsCusBpMasterRelation bpMasterRelation, int page, int pagesize);

	List<HlsCusBpMasterRelation> queryAllType(IRequest requestContext, HlsCusBpMasterRelation bpMasterRelation, int page, int pagesize);

	void batchRelationDelete(List<HlsCusBpMasterRelation> lists);

	List<HlsCusBpMasterRelation> batchRelationUpdate(IRequest requestContext, List<HlsCusBpMasterRelation> bpMasterRelations);

	List<HlsCusBpMasterRelation> selectBpRelationType(IRequest requestContext, HlsCusBpMasterRelation bpMasterRelation);
	
}
