package hls.core.hls.bp.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.bp.dto.HlsCusBpMaster;

import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.Map;

public interface HlsBpMasterService extends IBaseService<HlsCusBpMaster>,ProxySelf<HlsBpMasterService>{
	public List<HlsCusBpMaster> selectHlsBpMasterById(HlsCusBpMaster bpMaster);

	List<HlsCusBpMaster> queryById(Long bpId);
	
	List<HlsCusBpMaster> queryBpIds(IRequest requestContext, HlsCusBpMaster bpMaster, int page, int pagesize, Long companyId, Long userId);
	
	String selectBpClass(String bpClass);

	boolean validateCredit(String enterpriseUnifiedCreditCode);

	boolean validateCardNo(String idCardNo);

	List<HlsCusBpMaster> masterUpdate(IRequest requestContext, HlsCusBpMaster bpMaster, Long companyId);

	List<HlsCusBpMaster> masterUpdate2(IRequest requestContext, HlsCusBpMaster bpMaster, Long companyId);

	List<HlsCusBpMaster> selectBpCount();

	List<HlsCusBpMaster> editQuery(Long bpId);

	List<HlsCusBpMaster> masterDetailQuery(HlsCusBpMaster hlsCusBpMaster);

	List<HlsCusBpMaster> queryByCodeOrName(HlsCusBpMaster bpMaster, int page, int pagesize);
	
	List<HlsCusBpMaster> selectHlsBpMaster(HlsCusBpMaster hlsCusBpMaster);

	List<HlsCusBpMaster> homeFirstQuery(Long userId);

	List<HlsCusBpMaster> homeFirstQuery(Long userId,String bpCategory,String bpType);

	List<HlsCusBpMaster> homeThirdQuery(Long userId);

	List<HlsCusBpMaster> homeThirdQuery(Long userId,String bpCategory,String bpType);

	List<HlsCusBpMaster> homeFourQuery();

	List<HlsCusBpMaster> homeSecordQuery();

	List<HlsCusBpMaster> homeQuery(String inputValue);

	List<HlsCusBpMaster> homeQuery2(String inputValue);

	List<HlsCusBpMaster> countQuery();

	List<Map> queryRecieivedPayments(Map map, IRequest iRequest, int pagesize, int page);

	public List<HlsCusBpMaster> selectAllBpMaster(HlsCusBpMaster hlsCusBpMaster, HttpSession Session);

	public List<HlsCusBpMaster> selectGeneralBpMaster(HlsCusBpMaster hlsCusBpMaster, HttpSession session);

	List<HlsCusBpMaster> invoicPageData(HlsCusBpMaster hlsCusBpMaster, IRequest iRequest, int page, int pagesize);
	List<Map> invoicMessage(Map map);
	List<HlsCusBpMaster> getTenantBpInfo(HlsCusBpMaster bpMaster);
	List<HlsCusBpMaster> getGuarantorInfo(HlsCusBpMaster bpMaster);

	List<Map> getAllCreditCount(IRequest iRequest);

	List<HlsCusBpMaster> queryBpLov(HlsCusBpMaster bpMaster);

	List<HlsCusBpMaster> masterCreditDetailQuery(HlsCusBpMaster bpMaster);

	List<HlsCusBpMaster> queryBpByBpType(HlsCusBpMaster bpMaster);
}
