package hls.core.hls.bp.service;

import com.hand.hap.attachment.dto.Attachment;
import com.hand.hap.attachment.dto.SysFile;
import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.bp.dto.HlsCusSysFile;

import java.util.List;

public interface HlsSysFileService extends IBaseService<HlsCusSysFile>,ProxySelf<HlsSysFileService>{

	List<HlsCusSysFile> queryAll(IRequest requestContext, HlsCusSysFile sysFile, int page, int pagesize);

	void insertFileAndAttach(IRequest requestContext, Attachment attach, SysFile sysFile);

	HlsCusSysFile queryByAttachmentId(Long attachmentId);

    List<HlsCusSysFile> selectAllContent(IRequest requestContext, HlsCusSysFile sysFile, int page, int pagesize);

	List<HlsCusSysFile> selectAllConContent(IRequest requestContext, HlsCusSysFile sysFile, int page, int pagesize);

    List<HlsCusSysFile> queryUka(IRequest requestContext, HlsCusSysFile sysFile, int page, int pagesize);
	List<HlsCusSysFile>selectByAttachmentId(Long attachmentId);

}
