package hls.core.hls.bp.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hls.web.svc.components.ScriptRunner;
import com.hand.hls.web.svc.components.ScriptRunnerFactory;
import hls.core.hls.bp.dto.HlsCusBpMaster;
import hls.core.hls.bp.service.IBpMasterUpdateService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-12-15
 * Time: 8:57
 */
@Service
public class BpMasterUpdateServiceImpl implements IBpMasterUpdateService {
    @Autowired
    private NamedParameterJdbcTemplate jdbcTemplate;
    @Autowired
    private ScriptRunnerFactory scriptRunnerFactory;

    private Logger logger = LoggerFactory.getLogger(getClass());

    @Override
    public List<Map> beforeUpdate(IRequest requestContext, HlsCusBpMaster bpMaster, Long companyId) {
        ScriptRunner scriptRunner = scriptRunnerFactory.createRunner();
        scriptRunner.prepare("$request", requestContext);
        scriptRunner.prepare("$bpMaster", bpMaster);
        scriptRunner.prepare("$companyId", companyId);
        scriptRunner.prepare("$logger", logger);
        /*Object obj = scriptRunner.run("js/bpTest.js");*/
        return null;
    }

    @Override
    public List<Map> afterUpdate(IRequest requestContext, HlsCusBpMaster bpMaster, Long companyId) {
        return null;
    }
}
