package hls.core.hls.bp.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.hls.bp.dto.HlsCusBpMasterAddress;
import hls.core.hls.bp.mapper.HlsCusBpMasterAddressMapper;
import hls.core.hls.bp.service.HlsBpMasterAddressService;

@Service
@Transactional
public class HlsBpMasterAddressServiceImpl extends BaseServiceImpl<HlsCusBpMasterAddress> implements HlsBpMasterAddressService{

	@Autowired
	private HlsCusBpMasterAddressMapper mapper;
	@Override
	public List<HlsCusBpMasterAddress> selectAll(IRequest requestContext, HlsCusBpMasterAddress bpMasterAddress, int page,
                                                 int pagesize) {
		PageHelper.startPage(page, pagesize);
        return mapper.queryAll(bpMasterAddress);
	}

}
