package hls.core.hls.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.hls.dto.FndScoreResultDtl;
import hls.core.hls.service.IFndScoreResultDtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Controller
public class FndScoreResultDtlController extends BaseController {

@Autowired
private IFndScoreResultDtlService service;


  /*  @RequestMapping(value = "/fnd/score/result/dtl/query")
    @ResponseBody
    public ResponseData query(FndScoreResultDtl dto, HttpServletRequest request) {
        List<FndScoreResultDtl> listGather = new ArrayList<FndScoreResultDtl>();
       listGather = service.resultDtlChildrenList(dto.getScoreResultDtlId());
        //   listGather = service.resultDtlChildrenList(dto.getScoreResultId());
        return new ResponseData(listGather);
    }*/


    // 获取行id 用来判断指标大类的父类
    @RequestMapping(value = "/fnd/score/result/dtl/lnId")
    @ResponseBody
    public ResponseData selectscoreTemplateLnId(HttpServletRequest request, Long scoreTemplateHdId){
        List<FndScoreResultDtl>  list = service.selectscoreTemplateLnId(scoreTemplateHdId);
        return new ResponseData(list);
    }


    // 客户评级保存
    @RequestMapping(value = "/fnd/score/result/dtl/submit")
    @ResponseBody
    public ResponseData update(HttpServletRequest request, @RequestBody final FndScoreResultDtl dto){

        IRequest requestContext = createRequestContext(request);
        dto.set__status("update");
        service.saveFnd(requestContext,dto);
        return new ResponseData();
    }

    @RequestMapping(value = "/fnd/score/result/dtl/remove")
    @ResponseBody
    public ResponseData delete(HttpServletRequest request, @RequestBody List<FndScoreResultDtl> dto){
        service.batchDelete(dto);
        return new ResponseData();
    }


    // 合计
    @RequestMapping(value = "/fnd/score/result/dtl/selectTotalScore")
    @ResponseBody
    public Double selectTotalScore(FndScoreResultDtl dto){
        return  service.selectTotalScore(dto);
    }
}