package hls.core.hls.controllers;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import hls.core.hls.dto.HlsSystemEvent;
import hls.core.hls.service.HlsSystemEventService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


@Controller
public class HlsSystemEventController extends BaseController {
    @Autowired
    private HlsSystemEventService hlsSystemEventService;

    @RequestMapping(value = "/hls/system/event/contract/query")
    @ResponseBody
    public List<HlsSystemEvent> getTodoNoticeMessage(HttpServletRequest request, Long contract_id){
        IRequest requestContext = createRequestContext(request);
        return hlsSystemEventService.selectSystemEventByConId(contract_id);
    }

}
