package hls.core.hls.dto;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

@ExtensionAttribute(disable = true)
@Table(name = "hls_bp_relation")
public class BPRelation extends BaseDTO {

    @Id
    @Condition(operator = LIKE)
    private String bp_relation_type;


    public String getBp_relation_type_op() {
        return bp_relation_type_op;
    }

    public void setBp_relation_type_op(String bp_relation_type_op) {
        this.bp_relation_type_op = bp_relation_type_op;
    }

    public String getBp_relation_type() {
        return bp_relation_type;
    }

    public void setBp_relation_type(String bp_relation_type) {
        this.bp_relation_type = bp_relation_type;
    }


    private String bp_relation_type_op;
    private String bp_class;
    @Condition(operator = LIKE)
    private String description;
    private String enabled_flag;
    private String system_flag;
    @Transient
    private  String queryCondition;

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }

    public String getBp_class() {
        return bp_class;
    }

    public void setBp_class(String bp_class) {
        this.bp_class = bp_class;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEnabled_flag() {
        return enabled_flag;
    }

    public void setEnabled_flag(String enabled_flag) {
        this.enabled_flag = enabled_flag;
    }

    public String getSystem_flag() {
        return system_flag;
    }

    public void setSystem_flag(String system_flag) {
        this.system_flag = system_flag;
    }

    @Override
    public String toString() {
        return "BPRelation{" +
                "bp_relation_type='" + bp_relation_type + '\'' +
                ", bp_relation_type_op='" + bp_relation_type_op + '\'' +
                ", bp_class='" + bp_class + '\'' +
                ", description='" + description + '\'' +
                ", enabled_flag='" + enabled_flag + '\'' +
                ", system_flag='" + system_flag + '\'' +
                ", queryCondition='" + queryCondition + '\'' +
                '}';
    }
}
