package hls.core.hls.dto;

import com.hand.hap.core.annotation.MultiLanguage;
import com.hand.hap.core.annotation.MultiLanguageField;
import com.hand.hap.mybatis.annotation.Condition;
import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import java.io.Serializable;

import javax.persistence.*;

import org.liquibase.groovy.liquibase;

/**
 * Created by hailor on 16/6/2.
 */
@SuppressWarnings("serial")
@ExtensionAttribute(disable=true)
@Table(name = "hls_cashflow_item")
public class HlsCashflowItem  extends BaseDTO implements Serializable{
    @Id
    private String cf_item;
    @Id
    private String cf_type;
   
    private String fin_income_profile;
    
    private String billing_desc;
    
    private String calc_penalty;
    public String getCf_item() {
		return cf_item;
	}

	public String getFin_income_profile() {
		return fin_income_profile;
	}

	public void setFin_income_profile(String fin_income_profile) {
		this.fin_income_profile = fin_income_profile;
	}

	public String getBilling_desc() {
		return billing_desc;
	}

	public void setBilling_desc(String billing_desc) {
		this.billing_desc = billing_desc;
	}

	public String getCalc_penalty() {
		return calc_penalty;
	}

	public void setCalc_penalty(String calc_penalty) {
		this.calc_penalty = calc_penalty;
	}

	public void setCf_item(String cf_item) {
		this.cf_item = cf_item;
	}
	@Condition(operator = LIKE) 
	private String description;
    
    private String cf_direction;
    
    private String enabled_flag;
    
    private String system_flag;

	@Transient
	private String queryCondition;

	public String getQueryCondition() {
		return queryCondition;
	}

	public void setQueryCondition(String queryCondition) {
		this.queryCondition = queryCondition;
	}

	public String getCf_type() {
		return cf_type;
	}

	public void setCf_type(String cf_type) {
		this.cf_type = cf_type;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getCf_direction() {
		return cf_direction;
	}

	public void setCf_direction(String cf_direction) {
		this.cf_direction = cf_direction;
	}

	public String getEnabled_flag() {
		return enabled_flag;
	}

	public void setEnabled_flag(String enabled_flag) {
		this.enabled_flag = enabled_flag;
	}

	public String getSystem_flag() {
		return system_flag;
	}

	public void setSystem_flag(String system_flag) {
		this.system_flag = system_flag;
	}

	
}
