package hls.core.hls.dto;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;
import org.hibernate.validator.constraints.NotEmpty;

import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/5/31
 * Time: 14:54
 * To change this template use File | Settings | File Templates.
 */
@ExtensionAttribute(disable=true)
@Table(name = "hls_doc_relationship")
public class HlsDocRelationship extends BaseDTO {
    @NotEmpty
    private String document_category;
    private Long document_id;
    private String relation_type;
    private String releation_document_category;
    private Long releation_document_id;
    private String source_module;
    private String source_event;
    private String source_document_category;
    private Long source_document_id;
    private Long source_user_id;

    public String getDocument_category() {
        return document_category;
    }

    public void setDocument_category(String document_category) {
        this.document_category = document_category;
    }

    public Long getDocument_id() {
        return document_id;
    }

    public void setDocument_id(Long document_id) {
        this.document_id = document_id;
    }

    public String getRelation_type() {
        return relation_type;
    }

    public void setRelation_type(String relation_type) {
        this.relation_type = relation_type;
    }

    public String getReleation_document_category() {
        return releation_document_category;
    }

    public void setReleation_document_category(String releation_document_category) {
        this.releation_document_category = releation_document_category;
    }

    public Long getReleation_document_id() {
        return releation_document_id;
    }

    public void setReleation_document_id(Long releation_document_id) {
        this.releation_document_id = releation_document_id;
    }

    public String getSource_module() {
        return source_module;
    }

    public void setSource_module(String source_module) {
        this.source_module = source_module;
    }

    public String getSource_event() {
        return source_event;
    }

    public void setSource_event(String source_event) {
        this.source_event = source_event;
    }

    public String getSource_document_category() {
        return source_document_category;
    }

    public void setSource_document_category(String source_document_category) {
        this.source_document_category = source_document_category;
    }

    public Long getSource_document_id() {
        return source_document_id;
    }

    public void setSource_document_id(Long source_document_id) {
        this.source_document_id = source_document_id;
    }

    public Long getSource_user_id() {
        return source_user_id;
    }

    public void setSource_user_id(Long source_user_id) {
        this.source_user_id = source_user_id;
    }
}
