package hls.core.hls.mapper;



import java.util.List;

import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.hls.dto.HlsCashflowItem;



/**
 * Created by hailor on 16/6/2.
 */
public interface HlsCfItemMapper extends Mapper<HlsCashflowItem> {

	@Select("select * from hls_cashflow_item")
	@ResultMap("cfl")
	public List<HlsCashflowItem> ListAll();
	
	@Select(" select * from hls_cashflow_item where cf_type=#{cf_type}")
	@Results({
		@Result(id=true,property="cf_item",column="cf_item",javaType=String.class),
		@Result(property="cf_type",column="cf_type",javaType=String.class),
		@Result(property="fin_income_profile",column="fin_income_profile",javaType=String.class),
		@Result(property="calc_penalty",column="account",javaType=String.class),
		@Result(property="billing_desc",column="billing_desc",javaType=String.class),
		@Result(property="cf_direction",column="cf_direction",javaType=String.class),
		@Result(property="enabled_flag",column="enabled_flag",javaType=String.class),
		@Result(property="system_flag",column="system_flag",javaType=String.class),
		@Result(property="description",column="description",javaType=String.class)
	})
    public List<HlsCashflowItem> selectCflById(String cf_type);

	public List<HlsCashflowItem> selectList(HlsCashflowItem hlsCashflowItem);


}
