package hls.core.hls.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.hls.dto.HlsSystemNotice;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface HlsSystemNoticeMapper extends Mapper<HlsSystemNotice>
{
	public List<HlsSystemNotice> selectUserAllDoc(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectThreeNoticeAndTodo(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectUserNotice(Long user_id);
	public List<HlsSystemNotice> selectUserBoxNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectFiveDaysNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectSendNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getNoticeMessage(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getNoticeCountAndRadio(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getTodoNoticeMessage();
	public List<HlsSystemNotice> selectConNotice(HlsSystemNotice hlsSystemNotice);
	List<HlsSystemNotice> selectLonNotice(HlsSystemNotice hlsSystemNotice);//融资合同事件
	List<HlsSystemNotice> selectLonWithdrawNotice(HlsSystemNotice hlsSystemNotice);//融资合同提款事件
	public List<HlsSystemNotice> selectNoticeById(Long notice_id);
	public List<HlsSystemNotice> selectNoticeTypeInfo(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getTotalNoticeCount();
	public List<HlsSystemNotice> selectPrjNotice(Long companyId);
	public List<HlsSystemNotice> queryNoticeByTodoAndDocId(Long source_document_id);
	public List<HlsSystemNotice> queyAllInfoByBpId(Long source_document_id);
	public List<HlsSystemNotice> queryByDocAndId(HlsSystemNotice hlsSystemNotice);
	public List<Map> queryPrjByid(@Param("contractId") String contractId, @Param("projectId") String projectId);
	public List<HlsSystemNotice> selectDocumentNotice(HlsSystemNotice hlsSystemNotice);
	List<HlsSystemNotice> queryUserNoticeByUserId(HlsSystemNotice hlsSystemNotice);
}