package hls.core.hls.office.controllers;

import com.hand.hap.system.controllers.BaseController;
import hls.core.hls.office.service.IHlsEditOfficeOnlineService;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileUploadException;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;
import org.apache.commons.fileupload.servlet.ServletFileUpload;
import org.apache.commons.io.FileUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.util.Iterator;
import java.util.List;

/**
 * Created by gaoyang on 17/10/25.
 */
@Controller
public class HlsEditOfficeOnlineController extends BaseController {

    private Logger logger = LoggerFactory.getLogger(getClass());

    @Autowired
    private IHlsEditOfficeOnlineService iHlsEditOfficeOnlineService;

    @RequestMapping(value = "/office/open", method = RequestMethod.GET)
    public void openServerFile(HttpServletRequest request, HttpServletResponse response, @RequestParam String fileName, @RequestParam String filePath) {
        iHlsEditOfficeOnlineService.openServerFile(createRequestContext(request), filePath, response);
    }

    @RequestMapping(value = "/office/save")
    public void saveServerFile(HttpServletRequest request,HttpServletResponse response, @RequestParam String fileName, @RequestParam String filePath) {
        iHlsEditOfficeOnlineService.saveServerFile(createRequestContext(request), request, filePath);
    }
}
