package hls.core.hls.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.HlsDocAuthority;
import hls.core.hls.dto.HlsSystemEvent;
import hls.core.hls.dto.HlsSystemNotice;
import hls.core.hls.dto.HlsUserRelationship;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by gaoyang on 2017-2-6.
 */
public interface HlsSystemEventService extends IBaseService<HlsSystemEvent>,ProxySelf<HlsSystemEventService> {
   public void batchSave(IRequest iRequest, List<HlsSystemEvent> hse, List<HlsDocAuthority> hda, List<HlsUserRelationship> hur, List<HlsSystemNotice> hsn);
   public List<HlsSystemEvent> selectSystemEventByConId(long contractId);

   public List<HlsSystemEvent> selectBpMasterByConId(long bpId);
}
