package hls.core.hls.service;


import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.HlsSystemNotice;

import javax.servlet.http.HttpSession;
import java.util.List;


public interface HlsSystemNoticeService extends IBaseService<HlsSystemNotice>,ProxySelf<HlsSystemNoticeService>{

	public List<HlsSystemNotice> selectUserAllDoc(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectThreeNoticeAndTodo(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectUserNotice(Long user_id);
	public List<HlsSystemNotice> selectUserBoxNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectFiveDaysNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectSendNotice(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getNoticeMessage(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getNoticeCountAndRadio(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> getTodoNoticeMessage();
	public List<HlsSystemNotice> selectConNotice(HlsSystemNotice hlsSystemNotice ,int page,int pageSize);

	List<HlsSystemNotice> selectLonNotice(HlsSystemNotice hlsSystemNotice, int page, int pageSize);//融资合同动态查询

	List<HlsSystemNotice> selectLonWithdrawNotice(HlsSystemNotice hlsSystemNotice, int page, int pageSize);

	public List<HlsSystemNotice> selectNoticeById(Long notice_id);
	void updateById(IRequest requestContext,Long notice_id);
	public List<HlsSystemNotice> selectNoticeTypeInfo(HlsSystemNotice hlsSystemNotice, HttpSession session);
	public List<HlsSystemNotice> getTotalNoticeCount();
	public List<HlsSystemNotice> selectPrjNotice(IRequest iRequest,int page ,int pageSize);
	public List<HlsSystemNotice> queryNoticeByTodoAndDocId(Long source_document_id);
	public List<HlsSystemNotice> queyAllInfoByBpId(Long source_document_id);
	public List<HlsSystemNotice> queryByDocAndId(HlsSystemNotice hlsSystemNotice);
	public List<HlsSystemNotice> selectFctProjectCreditNotice(HlsSystemNotice hlsSystemNotice,int page ,int pageSize);
	public List<HlsSystemNotice> selectFctProjectSignNotice(HlsSystemNotice hlsSystemNotice,int page ,int pageSize);
	public List<HlsSystemNotice> selectFctContractManagerNotice(HlsSystemNotice hlsSystemNotice,int page ,int pageSize);
    public List<HlsSystemNotice> selectFctNotice(HlsSystemNotice hlsSystemNotice,int page ,int pageSize);

}

