package hls.core.hls.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.FndScoreTemplateLn;

import java.util.List;

public interface IFndScoreTemplateLnService extends IBaseService<FndScoreTemplateLn>, ProxySelf<IFndScoreTemplateLnService>{

    List<FndScoreTemplateLn> selectLevelOne(IRequest requestContext,FndScoreTemplateLn dto,int page,int pageSize);

    void deleteChild(List<FndScoreTemplateLn> fndScoreTemplateLns);

    // 嵌套查询
    List<FndScoreTemplateLn> queryScoreTemplateLn(FndScoreTemplateLn fndScoreTemplateLn);

    List<FndScoreTemplateLn> selectLnRoot(Long scoreTemplateHdId);
}