package hls.core.hls.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.dto.ResponseData;
import com.hand.hap.system.service.IBaseService;
import hls.core.hls.dto.HlsDbDataSource;
import hls.core.hls.dto.HlsDbDataSourceColumn;
import java.util.List;

public interface IHlsDbDataSourceColumnService extends IBaseService<HlsDbDataSourceColumn>, ProxySelf<IHlsDbDataSourceColumnService>{
    List<HlsDbDataSourceColumn> query(IRequest requestContext,HlsDbDataSourceColumn dto,int page,int pageSize);

    ResponseData generateColumns(IRequest requestContext,HlsDbDataSource dataSource);
}