package hls.core.hls.service.impl;

import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.hls.dto.BPRelation;
import hls.core.hls.service.BPRelationService;
import hls.core.hls.mapper.BPRelationMapper;
import java.util.List;


@Service
public class BPRelationServiceImp extends BaseServiceImpl<BPRelation> implements BPRelationService {
    @Autowired
    BPRelationMapper bPRelationMapper;

    @Override
    public List<BPRelation> selectList(BPRelation bPRelation,int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return bPRelationMapper.selectList(bPRelation);
    }
}
