package hls.core.hls.service.impl;

import hls.core.hls.mapper.BusinessTyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.hls.dto.BusinessType;
import hls.core.hls.dto.BusinessTypeWork;
import hls.core.hls.service.IBusinessTyService;

import java.util.List;

@Service
@Transactional
public class BusinessTyServiceImpl extends BaseServiceImpl<BusinessTypeWork> implements IBusinessTyService  {
    @Autowired
    BusinessTyMapper businessTyMapper;

    @Override
    public List<BusinessTypeWork> selectList(BusinessTypeWork businessTypeWork) {
        return businessTyMapper.selectList(businessTypeWork);
    }
}
