package hls.core.hls.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.mapper.FndScoreResultMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.dto.FndScoreResult;
import hls.core.hls.service.IFndScoreResultService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class FndScoreResultServiceImpl extends BaseServiceImpl<FndScoreResult> implements IFndScoreResultService{


    @Autowired
    FndScoreResultMapper mapper;

    @Override
    public List<FndScoreResult> queryFndScoreResult(Long Id) {

        return mapper.queryFndScoreResult(Id);
    }
}