package hls.core.hls.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.mapper.FndScoreTempletTypeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.dto.FndScoreTempletType;
import hls.core.hls.service.IFndScoreTempletTypeService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class FndScoreTempletTypeServiceImpl extends BaseServiceImpl<FndScoreTempletType> implements IFndScoreTempletTypeService{

    @Autowired
    private FndScoreTempletTypeMapper fndScoreTempletTypeMapper;

    @Override
    public List<FndScoreTempletType> query(IRequest request, FndScoreTempletType dto, int page, int pageSize) {
        PageHelper.startPage(page,pageSize);
        return fndScoreTempletTypeMapper.query(dto);
    }
}