package hls.core.hls.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.hls.dto.HlsCusHlsCreditLineTrxMaster;
import hls.core.hls.mapper.HlsCusHlsCreditLineTrxMasterMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.hls.service.IHlsCreditLineTrxMasterService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class HlsCreditLineTrxMasterServiceImpl extends BaseServiceImpl<HlsCusHlsCreditLineTrxMaster> implements IHlsCreditLineTrxMasterService{

    @Autowired
    private HlsCusHlsCreditLineTrxMasterMapper creditLineTrxMasterMapper;

    @Override
    public List<HlsCusHlsCreditLineTrxMaster> selectList(HlsCusHlsCreditLineTrxMaster creditLineTrxMaster, int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return creditLineTrxMasterMapper.selectList(creditLineTrxMaster);
    }
}