package hls.core.info.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.info.dto.HlsDebtDeductionHeader;
import hls.core.info.service.HlsDebtDdeductionDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by Administrator on 2017/3/31.
 */
@Controller
public class HlsDebtDdeductionDetailController extends BaseController {

    @Autowired
    private HlsDebtDdeductionDetailService service;

    @RequestMapping(value = "/hls/debt/deduction/query")
    @ResponseBody
    public ResponseData hlsDebtDedcutionDetailQuery(final HlsDebtDeductionHeader debtDeductionHeader, @RequestParam(defaultValue = DEFAULT_PAGE) final int page,
                                                    @RequestParam(defaultValue = DEFAULT_PAGE_SIZE) final int pagesize, final HttpServletRequest request){
        IRequest requestContext = createRequestContext(request);

        return new ResponseData(service.selectDebtDeductionByHeaderId(debtDeductionHeader,requestContext,page,pagesize));
    }


}
