package hls.core.info.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.info.dto.HlsDebtDdeductionDetail;
import hls.core.info.dto.HlsDebtDeductionBank;
import hls.core.info.mapper.HlsDebtDeductionBankMapper;
import hls.core.info.service.HlsDebtDdeductionDetailService;
import hls.core.info.service.HlsDebtDeductionBankService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by Administrator on 2017/4/1.
 */
@Service
@Transactional
public class HlsDebtDeductionBankServiceImpl extends BaseServiceImpl<HlsDebtDeductionBank> implements HlsDebtDeductionBankService {
    @Autowired
    HlsDebtDeductionBankMapper debtDeductionBankMapper;
    @Override
    public List<HlsDebtDeductionBank> query(IRequest requestContext, HlsDebtDeductionBank debtDeductionBank, int page, int pagesize) {
        return debtDeductionBankMapper.query(debtDeductionBank);
    }
}
