package hls.core.info.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.info.dto.HlsDebtDeductionHeader;
import hls.core.info.mapper.HlsDebtDeductionHeaderMapper;
import hls.core.info.service.HlsDebtDeductionHeaderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2017/3/31.
 */
@Service
@Transactional
public class HlsDebtDeductionHeaderServiceImpl extends BaseServiceImpl<HlsDebtDeductionHeader> implements HlsDebtDeductionHeaderService{
    @Autowired
    private HlsDebtDeductionHeaderMapper debtDeductionHeaderMapper;
    @Override
    public List<HlsDebtDeductionHeader> query(IRequest requestContext, Map map, int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return debtDeductionHeaderMapper.query(map);
    }

    @Override
    public List<HlsDebtDeductionHeader> selectDebetDeductionHeadData(IRequest requestContext, HlsDebtDeductionHeader debtDeductionHeader, int page, int pagesize) {
        return debtDeductionHeaderMapper.selectDebetDeductionHeadData(debtDeductionHeader);
    }
}
