package hls.core.job.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.job.mapper.SchTaskAuthorizeMapper;
import hls.core.job.service.ISchTaskAuthorizeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.job.dto.JobTaskAuthorize;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class SchTaskAuthorizeServiceImpl extends BaseServiceImpl<JobTaskAuthorize> implements ISchTaskAuthorizeService {

    @Autowired
    private SchTaskAuthorizeMapper schTaskAuthorizeMapper;

    @Override
    public List<JobTaskAuthorize> select(IRequest request, JobTaskAuthorize condition, int pageNum, int pageSize) {

        PageHelper.startPage(pageNum,pageSize);
        return schTaskAuthorizeMapper.selectAuthorzieDetail(condition);
    }
}