package hls.core.lon.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.lon.dto.HlsCusLonContractAttachment;
import hls.core.lon.mapper.HlsCusLonContractAttachmentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.lon.service.ILonContractAttachmentService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class LonContractAttachmentServiceImpl extends BaseServiceImpl<HlsCusLonContractAttachment> implements ILonContractAttachmentService{

    @Autowired
    private HlsCusLonContractAttachmentMapper lonContractAttachmentMapper;

    @Override
    public List<HlsCusLonContractAttachment> selectLonConAttachment(IRequest request, HlsCusLonContractAttachment lonContractAttachment, int page, int pageSize) {
        PageHelper.startPage(page,pageSize);
        return lonContractAttachmentMapper.selectLonConAttachment(lonContractAttachment);
    }
}