package hls.core.mq.util;

import org.apache.commons.codec.binary.Base64;
import java.io.UnsupportedEncodingException;

public class Base64Utils {

    /**
     * @param base64Code
     * @return
     */
    public static byte[] decode(String base64Code) throws Exception {
        try {
            return Base64.decodeBase64(base64Code.getBytes("utf-8"));
        } catch (UnsupportedEncodingException e) {
        }
        return null;
    }

    /**
     * 二进制数据编码为BASE64字符串
     *
     * @param bytes
     * @return
     * @throws Exception
     */
    public static String encode(byte[] bytes) {
        try {
            return new String(Base64.encodeBase64(bytes),"utf-8");
        } catch (UnsupportedEncodingException e) {
        }
        return null;
    }

}