package hls.core.prj.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class PrjProjectApproveEventHandler extends AbstractPrjProjectEventHandler {
    @Override
    String getMessage(String userDesc, String prjName, String prjNum) {
        return "租赁项目：" + prjName + "(" + prjNum + ")" + " 已审批通过。";
    }

    @Override
    String getNoticeTitle() {
        return "项目-申请通过";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_PRJ_PROJECT_APPROVE;
    }
}
