package hls.core.prj.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

@Component
public class PrjProjectRejectEventHandler extends AbstractPrjProjectEventHandler {
    @Override
    String getMessage(String userDesc, String prjName, String prjNum) {
        return "租赁项目：" + prjName + "(" + prjNum + ")" + " 被审批拒绝。";
    }

    @Override
    String getNoticeTitle() {
        return "项目-申请拒绝";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_PRJ_PROJECT_REJECT;
    }
}
