package hls.core.prj.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.prj.dto.HlsCusPrjProject;
import hls.core.prj.dto.HlsCusPrjProjectTenant;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface PrjProjectMapper<T extends HlsCusPrjProject> extends Mapper<HlsCusPrjProject>{

    List<Map> prjIntegratedQuery(HlsCusPrjProject prjProject);

    List<Map> prjHomePageGetProjectCount(HlsCusPrjProject prjProject);

    List<Map> prjHomePageGetProjectStatusCount(HlsCusPrjProject prjProject);

    List<Map> prjHomePageGetAllStatusProjectCount(HlsCusPrjProject prjProject);

    List<HlsCusPrjProject> prjProjectDetailQuery(HlsCusPrjProject prjProject);

    List<HlsCusPrjProject> prjHomePageProjectInfoGrid(HlsCusPrjProject prjProject);

    public List<HlsCusPrjProject> selectAllTenantPrjProhect(HlsCusPrjProjectTenant prjProjectTenant);

    List<Map> prjBpDetailQuery(HlsCusPrjProject prjProject);
    public  List<HlsCusPrjProject> prj230bGetCreditLineProject(HlsCusPrjProject prjProject);

    public void updatePrjProjectStatus(@Param("projectId")Long projectId,@Param("projectStatus") String projectStatus,@Param("userId")Long userId, @Param("date")Date date);
    public HlsCusPrjProject selectPrjById(Long projectId);

    List<HlsCusPrjProject> queryApplyRecord(Long bpId);
}