package hls.core.prj.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.prj.dto.HlsCusPrjProjectMeetingJudge;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Created by lpc on 2017/11/7.
 */
public interface PrjProjectMeetingJudgeMapper <T extends HlsCusPrjProjectMeetingJudge> extends Mapper<HlsCusPrjProjectMeetingJudge>{
    List<HlsCusPrjProjectMeetingJudge> queryAllJudge();
    void deleteByMeetId(Long projectMeetingId);
    List<HlsCusPrjProjectMeetingJudge> queryPrjProjectMeetingJudgeByProjectMeetingId(HlsCusPrjProjectMeetingJudge p);

    HlsCusPrjProjectMeetingJudge queryApprovedResult(@Param("projectId")Long projectId);

    List<HlsCusPrjProjectMeetingJudge> queryDetail(@Param("projectId")Long projectId);

    List<HlsCusPrjProjectMeetingJudge> queryUser(@Param("projectId")Long projectId);
    List<HlsCusPrjProjectMeetingJudge> queryJudgeByJudgeId(HlsCusPrjProjectMeetingJudge p);
    void updateMeetingResult(@Param("projectId")Long projectId, @Param("result")String result,
                             @Param("date")Date date, @Param("userId")Long userId, @Param("comments")String comments);
}
