package hls.core.prj.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.prj.dto.HlsCusHlsCreditLine;

import javax.servlet.http.HttpSession;
import java.text.ParseException;
import java.util.List;

public interface HlsCreditLineService extends IBaseService<HlsCusHlsCreditLine>, ProxySelf<HlsCreditLineService>{

    void updateCreditLine(HlsCusHlsCreditLine creditLine, Long userId);
    //综合授信统计图
    public List<HlsCusHlsCreditLine>
    selectCreditLineStatusInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine,int page,int pageSize,HttpSession session) throws ParseException;

    public List<HlsCusHlsCreditLine> selectCreditLineInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine,int page,int pageSize) throws ParseException;

    List<HlsCusHlsCreditLine> creditLineDetailQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

    List<HlsCusHlsCreditLine> hlsCreditContractQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

    List<HlsCusHlsCreditLine> hlsCreditQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

    List<HlsCusHlsCreditLine> hlsCreditBpQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine);

    /*提交审批*/
    public List<HlsCusHlsCreditLine> submitApproval(IRequest iRequest, List<HlsCusHlsCreditLine> cusHlsCreditLineList);
    //新增综合授信事件
    public void addCreditEvent(IRequest iRequest,HlsCusHlsCreditLine hlsCusHlsCreditLine);
    //更新综合授信事件
    public void updateCreditEvent(IRequest iRequest,HlsCusHlsCreditLine hlsCusHlsCreditLine);
    //授信变更完成以后更新综合授信信息
    public List<HlsCusHlsCreditLine> updateCreditlineInfo(HlsCusHlsCreditLine hlsCusHlsCreditLine);
    //授信综合查询信息
    public List<HlsCusHlsCreditLine> creditLineIntegratedQuery(HlsCusHlsCreditLine hlsCusHlsCreditLine,int page,int pageSize);


}