package hls.core.prj.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.prj.dto.HlsCusPrjProjectMeetingJudge;

import java.util.List;

public interface PrjProjectMeetingJudgeService extends IBaseService<HlsCusPrjProjectMeetingJudge>, ProxySelf<PrjProjectMeetingJudgeService>{
    void deleteByMeetId(Long projectMeetingId);

    List<HlsCusPrjProjectMeetingJudge> queryAllJudge();

    List<HlsCusPrjProjectMeetingJudge> queryJudgeByJudgeId(HlsCusPrjProjectMeetingJudge p);

    HlsCusPrjProjectMeetingJudge queryApprovedResult(IRequest requestContext, Long projectId);

    List<HlsCusPrjProjectMeetingJudge> queryDetail(IRequest requestContext, Long projectId, int page, int pageSize);

    List<HlsCusPrjProjectMeetingJudge> queryUser(IRequest requestContext, Long projectId, int page, int pageSize);
}