package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjProjectLeaseItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjProjectLeaseItem;
import hls.core.prj.service.PrjProjectLeaseItemService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjProjectLeaseItemServiceImpl extends BaseServiceImpl<HlsCusPrjProjectLeaseItem> implements PrjProjectLeaseItemService{

    @Autowired
    HlsCusPrjProjectLeaseItemMapper prjProjectLeaseItemMapper;
    @Override
    public List<HlsCusPrjProjectLeaseItem> prjProjectLeaseItemDetailQuery(HlsCusPrjProjectLeaseItem prjProjectLeaseItem, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return prjProjectLeaseItemMapper.prjProjectLeaseItemDetailQuery(prjProjectLeaseItem);
    }
}