package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjProjectMortgageMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjProjectMortgage;
import hls.core.prj.service.PrjProjectMortgageService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjProjectMortgageServiceImpl extends BaseServiceImpl<HlsCusPrjProjectMortgage> implements PrjProjectMortgageService{

    @Autowired
    HlsCusPrjProjectMortgageMapper prjProjectMortgageMapper;
    @Override
    public List<HlsCusPrjProjectMortgage> prjProjectMortgageMapperDetailQuery(HlsCusPrjProjectMortgage prjProjectMortgage, int page, int pagesize ) {
        PageHelper.startPage(page,pagesize);
        return prjProjectMortgageMapper.prjProjectMortgageMapperDetailQuery(prjProjectMortgage);
    }
}