package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjProjectTenantMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjProjectTenant;
import hls.core.prj.service.PrjProjectTenantService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjProjectTenantServiceImpl extends BaseServiceImpl<HlsCusPrjProjectTenant> implements PrjProjectTenantService {

    @Autowired
    HlsCusPrjProjectTenantMapper prjProjectTenantMapper;


    @Override
    public List<HlsCusPrjProjectTenant> prjProjectTenantDetailInfo(HlsCusPrjProjectTenant prjProjectTenant, int page, int pagesize) {
        PageHelper.startPage(page, pagesize);
        return prjProjectTenantMapper.prjProjectTenantDetailInfo(prjProjectTenant);
    }
}