package hls.core.prj.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.dto.HlsCusPrjQuotationDetails;
import hls.core.prj.mapper.HlsCusPrjQuotationDetailsMapper;
import hls.core.prj.service.PrjQuotationDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/6/15
 * Time: 16:12
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class PrjQuotationDetailsServiceImpl extends BaseServiceImpl<HlsCusPrjQuotationDetails> implements PrjQuotationDetailsService {
    @Autowired
    private HlsCusPrjQuotationDetailsMapper prjQuotationDetailsMapper;

    @Override
    public List<HlsCusPrjQuotationDetails> queryDetailsById(HlsCusPrjQuotationDetails prjQuotationDetails) {
        return prjQuotationDetailsMapper.queryDetailsById(prjQuotationDetails);
    }
}
