package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjTenantSalesCustomerMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjTenantSalesCustomer;
import hls.core.prj.service.PrjTenantSalesCustomerService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjTenantSalesCustomerServiceImpl extends BaseServiceImpl<HlsCusPrjTenantSalesCustomer> implements PrjTenantSalesCustomerService{

    @Autowired
    HlsCusPrjTenantSalesCustomerMapper prjTenantSalesCustomerMapper;
    @Override
    public List<HlsCusPrjTenantSalesCustomer> prjTenantSalesCustomerDetailQuery(HlsCusPrjTenantSalesCustomer prjTenantSalesCustomer, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return prjTenantSalesCustomerMapper.prjTenantSalesCustomerDetailQuery(prjTenantSalesCustomer);
    }
}