package hls.core.prj.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.prj.mapper.HlsCusPrjTenantStockHoldingMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.prj.dto.HlsCusPrjTenantStockHolding;
import hls.core.prj.service.PrjTenantStockHoldingService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PrjTenantStockHoldingServiceImpl extends BaseServiceImpl<HlsCusPrjTenantStockHolding> implements PrjTenantStockHoldingService{

    @Autowired
    HlsCusPrjTenantStockHoldingMapper prjTenantStockHoldingMapper;
    @Override
    public List<HlsCusPrjTenantStockHolding> prjTenantStockHoldingDetailQuery(HlsCusPrjTenantStockHolding prjTenantStockHolding, int page, int pagesize) {
        PageHelper.startPage(page,pagesize);
        return prjTenantStockHoldingMapper.prjTenantStockHoldingDetailQuery(prjTenantStockHolding);
    }
}