package hls.core.reportform.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.reportform.mapper.AttrMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.reportform.dto.Attr;
import hls.core.reportform.service.IAttrService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class AttrServiceImpl extends BaseServiceImpl<Attr> implements IAttrService{
    @Autowired
    private AttrMapper attrMapper;

    @Override
    public List<Attr> queryById(long id) {
        return attrMapper.queryById(id);
    }
}