package hls.core.reportform.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.reportform.mapper.ReportformMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.reportform.dto.Reportform;
import hls.core.reportform.service.IReportformService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class ReportformServiceImpl extends BaseServiceImpl<Reportform> implements IReportformService{

    @Autowired
    private ReportformMapper reportformMapper;

    public List<Reportform> queryById(long id){
        return reportformMapper.queryById(id);
    }
}