package hls.core.rpt.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.rpt.dto.RptReportAuthority;
import hls.core.rpt.dto.RptReportHd;
import hls.core.rpt.service.RptReportAuthorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/8
 * Time: 20:14
 * To change this template use File | Settings | File Templates.
 */
@Controller
public class RptReportAuthorityController  extends BaseController {
    @Autowired
    private RptReportAuthorityService rptReportAuthorityService;

    @RequestMapping(value = "/rpt/query/rpt/author/byId")
    @ResponseBody
    public ResponseData queryRptHdById(RptReportAuthority rptReportAuthority, HttpServletRequest request) {
        List<RptReportAuthority> list = rptReportAuthorityService.queryByReportId(rptReportAuthority);
        return new ResponseData(list);
    }
}
