package hls.core.rpt.controllers;

import com.github.pagehelper.PageHelper;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.rpt.dto.RptReportHd;
import hls.core.rpt.dto.RptReportKeyword;
import hls.core.rpt.service.RptReportKeywordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/10
 * Time: 10:49
 * To change this template use File | Settings | File Templates.
 */
@Controller
public class RptReportKeywordController extends BaseController {
    @Autowired
    private RptReportKeywordService rptReportKeywordService;

    @RequestMapping(value = "/get/four/key/word")
    @ResponseBody
    public ResponseData queryFourKeys(RptReportKeyword rptReportKeyword, HttpServletRequest request) {
        List<RptReportKeyword> listKey = rptReportKeywordService.queryFourKeys();
        return new ResponseData(listKey);
    }
}
