package hls.core.rpt.job.controllers;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;
import hls.core.rpt.dto.RptReportHd;
import hls.core.rpt.job.dto.RptTempReceivables;
import hls.core.rpt.job.service.RptTempReceivablesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/8/7
 * Time: 10:37
 * To change this template use File | Settings | File Templates.
 */
@Controller
public class RptTempReceivablesController extends BaseController {
    @Autowired
    private RptTempReceivablesService rptTempReceivablesService;

    /*
 * 查询我的推送
 * */
    @RequestMapping(value = "/get/rpt/temp/fund")
    @ResponseBody
    public ResponseData queryByUserId(RptTempReceivables rptTempReceivables, HttpServletRequest request) {
        List<RptTempReceivables> list = rptTempReceivablesService.queryRptData(rptTempReceivables);
        return new ResponseData(list);
    }
}
