package hls.core.rpt.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.hls.dto.HlsUserRelationship;
import hls.core.rpt.dto.RptReportHd;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/7/6
 * Time: 15:11
 * To change this template use File | Settings | File Templates.
 */
public interface RptReportHdMapper extends Mapper<RptReportHd> {
    public List<RptReportHd> queryPushByUserId(RptReportHd rptReportHd);
    public List<RptReportHd> queryCollectByUserId(RptReportHd rptReportHd);
    public List<RptReportHd> querySubscribe(RptReportHd rptReportHd);
    public List<RptReportHd> queryBySubscribe(Long userId);
    public List<RptReportHd> queryByGrade(Long userId);
    public List<RptReportHd> queryAllByDate(Long userId);
    public List<RptReportHd> selectAllInfo(String userId,String reportId);
    public void deleteByReportId(HlsUserRelationship hlsUserRelationship);
    public List<RptReportHd> queryRptReportHdInfoById(RptReportHd rptReportHd);
    public List<RptReportHd> queryRptIdByTime(RptReportHd rptReportHd);
    public List<RptReportHd> queryByNameAndCode(RptReportHd rptReportHd);
}
