package hls.core.rpt.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.rpt.dto.RptReportAuthority;
import hls.core.rpt.mapper.RptReportAuthorityMapper;
import hls.core.rpt.service.RptReportAuthorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/7/6
 * Time: 16:05
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class RptReportAuthorityServiceImpl extends BaseServiceImpl<RptReportAuthority> implements RptReportAuthorityService{
    @Autowired
    private RptReportAuthorityMapper rptReportAuthorityMapper;
    @Override
    public List<RptReportAuthority> queryAuthorityInfoById(RptReportAuthority rptReportAuthority) {
        return rptReportAuthorityMapper.queryAuthorityInfoById(rptReportAuthority);
    }

    @Override
    public List<RptReportAuthority> queryByReportId(RptReportAuthority rptReportAuthority) {
        return rptReportAuthorityMapper.queryByReportId(rptReportAuthority);
    }
}
