package hls.core.rpt.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.rpt.dto.RptReportGrade;
import hls.core.rpt.mapper.RptReportGradeMapper;
import hls.core.rpt.service.RptReportGradeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/7/6
 * Time: 16:12
 * To change this template use File | Settings | File Templates.
 */
@Service
@Transactional
public class RptReportGradeServiceImpl extends BaseServiceImpl<RptReportGrade> implements RptReportGradeService{
    @Autowired
    private RptReportGradeMapper rptReportGradeMapper;
    @Override
    public void updateGrade(RptReportGrade rptReportGrade) {
        rptReportGradeMapper.updateGrade(rptReportGrade);
    }

    @Override
    public List<RptReportGrade> queryAllComment(RptReportGrade rptReportGrade) {
        return rptReportGradeMapper.queryAllComment(rptReportGrade);
    }
}
