package hls.core.rpt.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.rpt.dto.RptReportHd;
import hls.core.rpt.dto.RptReportKeyword;
import hls.core.rpt.mapper.RptReportKeywordMapper;
import hls.core.rpt.service.RptReportHdService;
import hls.core.rpt.service.RptReportKeywordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Jeffery
 * Date: 2017/7/31
 * Time: 19:25
 * To change this template use File | Settings | File Templates.
 *
 */
@Service
@Transactional
public class RptReportKeywordServiceImpl extends BaseServiceImpl<RptReportKeyword> implements RptReportKeywordService {
    @Autowired
    private RptReportKeywordMapper rptReportKeywordMapper;
    @Override
    public List<RptReportKeyword> queryFourKeys() {
        return rptReportKeywordMapper.queryFourKeys();
    }

    @Override
    public List<RptReportKeyword> queryByKeyAndId(RptReportKeyword rptReportKeyword) {
        return rptReportKeywordMapper.queryByKeyAndId(rptReportKeyword);
    }
}
