package hls.core.ruleengine.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;
import hls.core.ruleengine.dto.HlsRuleEngine;

import java.util.List;
import java.util.Map;

public interface IHlsRuleEngineService extends IBaseService<HlsRuleEngine>, ProxySelf<IHlsRuleEngineService>{
    List<Map<String,Object>> getHlsRuleEngine(IRequest iRequest,Map param);

    HlsRuleEngine queryByType(String type);

    List<HlsRuleEngine> selectInfo(IRequest requestContext, HlsRuleEngine dto, int page, int pageSize);
}