package hls.core.ruleengine.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.ruleengine.mapper.HlsRuleEngineConditionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.ruleengine.dto.HlsRuleEngineCondition;
import hls.core.ruleengine.service.IHlsRuleEngineConditionService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsRuleEngineConditionServiceImpl extends BaseServiceImpl<HlsRuleEngineCondition> implements IHlsRuleEngineConditionService{

    @Autowired
    private HlsRuleEngineConditionMapper hlsRuleEngineConditionMapper;

    @Override
    public List<HlsRuleEngineCondition> selectRouteCondition(Long routeId) {
        List<HlsRuleEngineCondition> list =  hlsRuleEngineConditionMapper.selectRuleEngineConditionByRouteId(routeId);
        return list;
    }
}