package hls.core.ruleengine.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.ruleengine.mapper.HlsRuleEngineDataMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.ruleengine.dto.HlsRuleEngineData;
import hls.core.ruleengine.service.IHlsRuleEngineDataService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsRuleEngineDataServiceImpl extends BaseServiceImpl<HlsRuleEngineData> implements IHlsRuleEngineDataService{

    @Autowired
    private HlsRuleEngineDataMapper hlsRuleEngineDataMapper;

    @Override
    public List<HlsRuleEngineData> selectDataByEngineId(Long ruleEngineId) {
        return hlsRuleEngineDataMapper.selectDataByEngineId(ruleEngineId);
    }
}