package hls.core.ruleengine.service.impl;

import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.ruleengine.mapper.HlsRuleEngineRouteResultMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.ruleengine.dto.HlsRuleEngineRouteResult;
import hls.core.ruleengine.service.IHlsRuleEngineRouteResultService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class HlsRuleEngineRouteResultServiceImpl extends BaseServiceImpl<HlsRuleEngineRouteResult> implements IHlsRuleEngineRouteResultService{

    @Autowired
    private HlsRuleEngineRouteResultMapper hlsRuleEngineRouteResultMapper;

    @Override
    public List<HlsRuleEngineRouteResult> selectRouteResultByRouteId(Long routeId) {
        return hlsRuleEngineRouteResultMapper.selectRouteResultByRouteId(routeId);
    }
}