package hls.core.ruleengine.service.impl;

import com.github.pagehelper.PageHelper;
import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.ruleengine.mapper.RuleEngineTypeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import hls.core.ruleengine.dto.RuleEngineType;
import hls.core.ruleengine.service.IRuleEngineTypeService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class RuleEngineTypeServiceImpl extends BaseServiceImpl<RuleEngineType> implements IRuleEngineTypeService{

    @Autowired
    private RuleEngineTypeMapper ruleEngineTypeMapper;

    @Override
    public List<RuleEngineType> engineTypeQuery(IRequest requestContext, RuleEngineType dto, int page, int pageSize) {

        PageHelper.startPage(page, pageSize);

        return ruleEngineTypeMapper.engineTypeQuery(dto);
    }
}