package hls.core.svc.beans;

import hls.core.svc.components.ModelExecutor;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-12-27
 * Time: 16:24
 */
public class ModelQuery implements IModelExecute {
    private String model;
    private String rootPath;
    private String recordName;
    private String defaultWhereClause;
    private String queryOrderBy;
    private String sourcePath;
    private Boolean fetchAll;
    private Boolean autoCount;


    public String getSourcePath() {
        return sourcePath;
    }

    public void setSourcePath(String sourcePath) {
        this.sourcePath = sourcePath;
    }


    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getRootPath() {
        return rootPath;
    }

    public void setRootPath(String rootPath) {
        this.rootPath = rootPath;
    }

    public String getRecordName() {
        return recordName;
    }

    public void setRecordName(String recordName) {
        this.recordName = recordName;
    }

    public String getDefaultWhereClause() {
        return defaultWhereClause;
    }

    public void setDefaultWhereClause(String defaultWhereClause) {
        this.defaultWhereClause = defaultWhereClause;
    }

    public String getQueryOrderBy() {
        return queryOrderBy;
    }

    public void setQueryOrderBy(String queryOrderBy) {
        this.queryOrderBy = queryOrderBy;
    }

    public Boolean getFetchAll() {
        return fetchAll;
    }

    public void setFetchAll(Boolean fetchAll) {
        this.fetchAll = fetchAll;
    }

    public Boolean getAutoCount() {
        return autoCount;
    }

    public void setAutoCount(Boolean autoCount) {
        this.autoCount = autoCount;
    }

    @Override
    public Object execute(ModelExecutor modelExecutor) {
        try {
            return modelExecutor.query(this);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
