package hls.core.svc.beans;

import hls.core.svc.components.ModelExecutor;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-12-27
 * Time: 16:24
 */
public class ModelUpdate implements IModelExecute{
    private String model;
    private Boolean updatePassedFieldOnly;
    private String sourcePath;

    public String getSourcePath() {
        return sourcePath;
    }

    public void setSourcePath(String sourcePath) {
        this.sourcePath = sourcePath;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public Boolean getUpdatePassedFieldOnly() {
        return updatePassedFieldOnly;
    }

    public void setUpdatePassedFieldOnly(Boolean updatePassedFieldOnly) {
        this.updatePassedFieldOnly = updatePassedFieldOnly;
    }

    @Override
    public Object execute(ModelExecutor modelExecutor) {
        try {
            return modelExecutor.update(this);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
