package hls.core.svc.service;

import org.springframework.jdbc.core.RowCallbackHandler;
import org.springframework.jdbc.core.namedparam.SqlParameterSource;

import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-12-21
 * Time: 11:11
 */
public interface BmService {
    List<Map<String, Object>> executeQuery(String sql, Map<String, Object> params);

    void executeQuery(String sql, Map<String, Object> params, RowCallbackHandler rowCallbackHandler);

    Map<String, Object> executeUpdate(String sql, Map<String, Object> params);

    List<Map<String, Object>> batchUpdate(String sql, List<Map<String, Object>> params);

    Map<String, Object> executeUpdate(String sql, SqlParameterSource parameterSource);

    Map<String, Object> insert(String sql, Map<String, Object> params);

    List<Map<String, Object>> batchInsert(String sql, List<Map<String, Object>> params);

    int executeDelete(String sql, Map<String, Object> params);
}
