package hls.core.sys.controllers;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.controllers.BaseController;
import com.hand.hap.system.dto.ResponseData;

import hls.core.sys.dto.SysFunctionCustomer;
import hls.core.sys.service.SysFunctionCustomerService;

@Controller()
public class SysFunctionCustomerController extends BaseController {

	@Autowired
	private SysFunctionCustomerService SfcsService;


	@RequestMapping(value = "/sysFunctionCustomer/query")
	@ResponseBody
	public ResponseData query(HttpServletRequest request, SysFunctionCustomer sfc) {

	     IRequest iRequest = createRequestContext(request);
	        List<SysFunctionCustomer> datas = SfcsService.queryAll(iRequest, sfc);
	        return new ResponseData(datas);
	}

}
