package hls.core.sys.event.utils;

/**
 * Created by gaoyang on 17/8/15.
 */
public class SysEventCodeUtil {
    /**
     * eventCode
     */
    public static final String PROPERTY_WFL_TO_DO = "WFL.TO_DO";
    public static final String PROPERTY_WFL_APPROVE = "WFL.APPROVE";
    public static final String PROPERTY_WFL_START = "WFL.START";
    public static final String PROPERTY_WFL_FINISH = "WFL.FINISH";
    public static final String PROPERTY_WFL_CARBONCOPY = "WFL.CARBONCOPY";

    public static final String PROPERTY_HLS_BP_MASTER_CREATE = "HLS_BP_MASTER.CREATE";
    public static final String PROPERTY_HLS_BP_MASTER_MODIFY = "HLS_BP_MASTER.MODIFY";
    public static final String PROPERTY_HLS_BP_MASTER_DELETE = "HLS_BP_MASTER.DELETE";
    public static final String PROPERTY_HLS_BP_MASTER_COLLECT = "HLS_BP_MASTER.COLLECT";
    public static final String PROPERTY_HLS_BP_MASTER_UNCOLLECT = "HLS_BP_MASTER.UNCOLLECT";

    public static final String PROPERTY_PRJ_PROJECT_CREATE = "PRJ_PROJECT.CREATE";
    public static final String PROPERTY_PRJ_PROJECT_MODIFY = "PRJ_PROJECT.MODIFY";
    public static final String PROPERTY_PRJ_PROJECT_SUBMIT = "PRJ_PROJECT.SUBMIT";
    public static final String PROPERTY_PRJ_PROJECT_APPROVE = "PRJ_PROJECT.APPROVE";
    public static final String PROPERTY_PRJ_PROJECT_REJECT = "PRJ_PROJECT.REJECT";
    public static final String PROPERTY_PRJ_PROJECT_CANCEL = "PRJ_PROJECT.CANCEL";

    public static final String PROPERTY_CON_CONTRACT_CREATE = "CON_CONTRACT.CREATE";
    public static final String PROPERTY_CON_CONTRACT_SIGN = "CON_CONTRACT.SIGN";
    public static final String PROPERTY_CON_CONTRACT_INCEPT = "CON_CONTRACT.INCEPT";
    public static final String PROPERTY_CON_CONTRACT_TERMINATION = "CON_CONTRACT.TERMINATION";
    public static final String PROPERTY_CON_CONTRACT_CANCEL = "CON_CONTRACT.CANCEL";

    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_TENANT_CREATE = "CON_CONTRACT_CHANGE_REQ.CHANGE_TENANT.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_TENANT_CONFRIM = "CON_CONTRACT_CHANGE_REQ.CHANGE_TENANT.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_TENANT_CANCEL = "CON_CONTRACT_CHANGE_REQ.CHANGE_TENANT.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_TENANT_REJECT = "CON_CONTRACT_CHANGE_REQ.CHANGE_TENANT.REJECT";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CASHFLOW_CREATE = "CON_CONTRACT_CHANGE_REQ.CHANGE_CASHFLOW.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CASHFLOW_CONFRIM = "CON_CONTRACT_CHANGE_REQ.CHANGE_CASHFLOW.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CASHFLOW_CANCEL = "CON_CONTRACT_CHANGE_REQ.CHANGE_CASHFLOW.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CASHFLOW_REJECT = "CON_CONTRACT_CHANGE_REQ.CHANGE_CASHFLOW.REJECT";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CREATE = "CON_CONTRACT_CHANGE_REQ.CHANGE_GUARANTOR.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CONFRIM = "CON_CONTRACT_CHANGE_REQ.CHANGE_GUARANTOR.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_CANCEL = "CON_CONTRACT_CHANGE_REQ.CHANGE_GUARANTOR.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_GUARANTOR_REJECT = "CON_CONTRACT_CHANGE_REQ.CHANGE_GUARANTOR.REJECT";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_LEASE_ITEM_CREATE = "CON_CONTRACT_CHANGE_REQ.CHANGE_LEASE_ITEM.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_LEASE_ITEM_CONFRIM = "CON_CONTRACT_CHANGE_REQ.CHANGE_LEASE_ITEM.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_LEASE_ITEM_CANCEL = "CON_CONTRACT_CHANGE_REQ.CHANGE_LEASE_ITEM.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_LEASE_ITEM_REJECT = "CON_CONTRACT_CHANGE_REQ.CHANGE_LEASE_ITEM.REJECT";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CONTRACT_TEXT_CREATE = "CON_CONTRACT_CHANGE_REQ.CHANGE_CONTRACT_TEXT.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CONTRACT_TEXT_CONFRIM = "CON_CONTRACT_CHANGE_REQ.CHANGE_CONTRACT_TEXT.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CONTRACT_TEXT_CANCEL = "CON_CONTRACT_CHANGE_REQ.CHANGE_CONTRACT_TEXT.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_CHANGE_CONTRACT_TEXT_REJECT = "CON_CONTRACT_CHANGE_REQ.CHANGE_CONTRACT_TEXT.REJECT";

    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CREATE = "CON_CONTRACT_CHANGE_REQ.EARLY_TERMINATION.CREATE";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CONFRIM = "CON_CONTRACT_CHANGE_REQ.EARLY_TERMINATION.CONFRIM";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_CANCEL = "CON_CONTRACT_CHANGE_REQ.EARLY_TERMINATION.CANCEL";
    public static final String PROPERTY_CON_CONTRACT_CHANGE_REQ_EARLY_TERMINATION_REJECT = "CON_CONTRACT_CHANGE_REQ.EARLY_TERMINATION.REJECT";

    public static final String PROPERTY_CSH_PAYMENT_REQ_CREATE = "CSH_PAYMENT_REQ.CREATE";
    public static final String PROPERTY_CSH_PAYMENT_REQ_CONFIRM = "CSH_PAYMENT_REQ.CONFIRM";
    public static final String PROPERTY_CSH_PAYMENT_REQ_CANCEL = "CSH_PAYMENT_REQ.CANCEL";
    public static final String PROPERTY_CSH_PAYMENT_REQ_REJECT = "CSH_PAYMENT_REQ.REJECT";

    public static final String PROPERTY_CSH_TRANSACTION_RECEIPT = "CSH_TRANSACTION.RECEIPT";
    public static final String PROPERTY_CSH_TRANSACTION_PAYMENT = "CSH_TRANSACTION.PAYMENT";

    public static final String PROPERTY_CSH_WRITE_OFF_RECEIPT_CREDIT = "CSH_WRITE_OFF.RECEIPT_CREDIT";
    public static final String PROPERTY_CSH_WRITE_OFF_PAYMENT_DEBT = "CSH_WRITE_OFF.PAYMENT_DEBT";
    public static final String PROPERTY_CSH_WRITE_OFF_RECEIPT_ADVANCE_RECEIPT = "CSH_WRITE_OFF.RECEIPT_ADVANCE_RECEIPT";
    public static final String PROPERTY_CSH_WRITE_OFF_ADVANCE_RECEIPT_CREDIT = "CSH_WRITE_OFF.ADVANCE_RECEIPT_CREDIT";
    public static final String PROPERTY_CSH_WRITE_OFF_REFUND = "CSH_WRITE_OFF.REFUND";
    public static final String PROPERTY_CSH_WRITE_OFF_PAYMENT_PREPAYMENT = "CSH_WRITE_OFF.PAYMENT_PREPAYMENT";
    public static final String PROPERTY_CSH_WRITE_OFF_PREPAYMENT_DEBT = "CSH_WRITE_OFF.PREPAYMENT_DEBT";
    public static final String PROPERTY_CSH_WRITE_OFF_RECEIPT_DEPOSIT = "CSH_WRITE_OFF.RECEIPT_DEPOSIT";
    public static final String PROPERTY_CSH_WRITE_OFF_RECEIPT_DEPOSIT_POOL = "CSH_WRITE_OFF.RECEIPT_DEPOSIT_POOL";
    public static final String PROPERTY_CSH_WRITE_OFF_DEPOSIT_CREDIT = "CSH_WRITE_OFF.DEPOSIT_CREDIT";
    public static final String PROPERTY_CSH_WRITE_OFF_DEPOSIT_POOL_CREDIT = "CSH_WRITE_OFF.DEPOSIT_POOL_CREDIT";
    public static final String PROPERTY_CSH_WRITE_OFF_LON_PAYMENT_DEBT = "CSH_WRITE_OFF.LON_PAYMENT_DEBT";
    public static final String PROPERTY_CSH_WRITE_OFF_LON_RECEIPT_CREDIT = "CSH_WRITE_OFF.LON_RECEIPT_CREDIT";

    public static final String PROPERTY_CSH_WRITE_OFF_FCT_PAYMENT_DEBT = "CSH_WRITE_OFF.FCT_PAYMENT_DEBT";

    public static final String PROPERTY_ACR_INVOICE_HD_CREATE = "ACR_INVOICE_HD.CREATE";
    public static final String PROPERTY_ACR_INVOICE_HD_CONFIRM = "ACR_INVOICE_HD.CONFIRM";
    public static final String PROPERTY_ACR_INVOICE_HD_DELETE = "ACR_INVOICE_HD.DELETE";
    public static final String PROPERTY_ACR_INVOICE_HD_REVERSE = "ACR_INVOICE_HD.REVERSE";
    public static final String PROPERTY_ACP_INVOICE_HD_CREATE = "ACP_INVOICE_HD.CREATE";
    public static final String PROPERTY_ACP_INVOICE_HD_CONFIRM = "ACP_INVOICE_HD.CONFIRM";
    public static final String PROPERTY_ACP_INVOICE_HD_DELETE = "ACP_INVOICE_HD.DELETE";
    public static final String PROPERTY_ACP_INVOICE_HD_REVERSE = "ACP_INVOICE_HD.REVERSE";

    public static final String PROPERTY_RPT_REPORT_DTL_RUNNING = "RPT.REPORT_DTL_RUNNING";

    /**
     * 融资
     */
    public static final String PROPERTY_LON_CREDIT_CONTRACT_CREATE = "LON_CREDIT_CONTRACT.CREATE";
    public static final String PROPERTY_LON_CONTRACT_CREATE = "LON_CONTRACT.CREATE";
    public static final String PROPERTY_LON_CONTRACT_WITHDRAW_CREATE = "LON_CONTRACT_WITHDRAW.CREATE";
    public static final String PROPERTY_LON_CONTRACT_REPAYMENT_CREATE = "LON_CONTRACT_REPAYMENT.CREATE";


    /**
     * RELATIONTYPE
     */
    public static final String PROPERTITY_RELATIONTYPE_D2D = "D2D";
    public static final String PROPERTITY_RELATIONTYPE_P2D = "P2D";
    public static final String PROPERTITY_RELATIONTYPE_P2P = "P2P";

    /**
     * SOURCEMODULE
     */
    public static final String PROPERTITY_SOURCEMODULE_WFL = "WFL";
    public static final String PROPERTITY_SOURCEMODULE_CON = "CON";
    public static final String PROPERTITY_SOURCEMODULE_FND3 = "FND3";
    public static final String PROPERTITY_SOURCEMODULE_PRJ = "PRJ";
    public static final String PROPERTITY_SOURCEMODULE_RPT = "RPT";
    public static final String PROPERTITY_SOURCEMODULE_CSH = "CSH";
    public static final String PROPERTITY_SOURCEMODULE_ACR = "ACR";
    public static final String PROPERTITY_SOURCEMODULE_LON = "LON";

    /**
     * 保理
     */
    public static final String PROPERTY_FCT_CONTRACT_CREATE = "FCT_CONTRACT.CREATE";
}
