package hls.core.sys.mapper;

import java.util.List;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.sys.dto.SysFunction;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

public interface SysFunctionMapper extends Mapper<SysFunction> {
	public List<SysFunction> queryAll(SysFunction sysFunction);

	List<SysFunction> widgeQuery(@Param("roleId") Long roleId, @Param("moduleCode") String moduleCode);

	void deleteById(Long functionId);
	
	List<SysFunction> selectByModuleCode(String moduleCode);
	
	public List<SysFunction> queryByModuleCode(@Param("moduleCode") String moduleCode, @Param("isHomePage")String isHomePage);

	List<SysFunction> queryAllFunctionRelateRole(SysFunction sysFunction);

}
