package hls.core.sys.mapper;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import hls.core.sys.dto.SysRoleManagement;
import org.apache.ibatis.annotations.Param;

import com.hand.hap.mybatis.common.Mapper;

public interface SysRoleManagementMapper extends Mapper<SysRoleManagement> {
	List<SysRoleManagement> queryAll(SysRoleManagement sysRoleManagement);
	List<SysRoleManagement> queryLov(@Param("m_name") String m_name, @Param("m_code") String m_code);
	List<SysRoleManagement> querySysRoleModule(SysRoleManagement sysRoleManagement);
	List<Map> querySysUserLayout(Map objectObjectHashMap);
	void sysRoleCopy(SysRoleManagement sysRoleManagement);
	Long selectRoleId(String role_code);
	void deleteSysrole(Long selectRoleId);
}
