package hls.core.sys.mapper;

import com.hand.hap.mybatis.common.Mapper;

import hls.core.hls.dto.HlsSystemNotice;
import hls.core.sys.dto.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysUserMapper extends Mapper<SysUser> {
	void deleteByKey(Long userId);
	public List<SysUser> selectUserFriends(SysUser user);
	public List<HlsSystemNotice> selectAllPerson(SysUser user);
	void deleteChildByUserId(Long userId);
	public SysUser selectUserById(Long userId);
	public List<SysUser> selectList(SysUser sysUser);
	public SysUser selectUserPositionById(Long userId);
    SysUser queryUserByCode(@Param("code") String code);

	List<SysUser> userQuery(SysUser sysUser);
}
