package hls.core.sys.service;

import java.net.URL;
import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.sys.dto.SysModule;


public interface SysModuleService extends IBaseService<SysModule>,ProxySelf<SysModuleService>{
   
    public List<SysModule> queryAll(SysModule sm);
    
    public List<String> queryAllName();
    
    public Long selectById(String name);

    public  List<SysModule> getHomePageIdByUrlName(SysModule sm);

    List<SysModule> queryLov(String url, String name);
    
    Long queryResourceId(String name);
    
    void deleteFunction(String code);
    
 }
