package hls.core.sys.service;

import com.hand.hap.system.service.IBaseService;

import hls.core.sys.dto.SysRoleManagement;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;

/**
 * Created by hailor on 16/6/2.
 */
public interface SysRoleManagementService extends IBaseService<SysRoleManagement>,
		ProxySelf<SysRoleManagementService> {
	List<SysRoleManagement> queryAll(IRequest request, SysRoleManagement sysRoleManagement, int pageNum, int pageSize);

	List<SysRoleManagement> queryLov(String m_name, String m_code);

	Long selectRoleId(String role_code);

	/**
	 * 查询当前角色的菜单.
	 * 
	 * @param request
	 *            上下文请求
	 * @return 返回当前角色的菜单集合
	 */
	List<SysRoleManagement> selectRoleModules(IRequest request,SysRoleManagement sysRoleManagement);

	void deleteSysrole(Long selectRoleId);
}
