package hls.core.sys.service;

import java.util.List;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.hls.dto.HlsSystemNotice;
import hls.core.sys.dto.SysUser;
import hls.core.sys.dto.SysUserAllocation;

public interface SysUserService extends IBaseService<SysUser>, ProxySelf<SysUserService> {
	List<SysUser> selectEdit(Long id);
	public List<SysUser> selectUserFriends(SysUser user);
	public List<HlsSystemNotice> selectAllPerson(SysUser user);
	void batchChildUpdate(IRequest iRequest,SysUser sysUser ,List<SysUserAllocation> allocations);
	public SysUser selectUserById(Long userId);
	void batchDeleteByKey(List<SysUser> list);
	public SysUser selectUserPositionById(Long userId);
	void deleteChildByUserId(Long userId);

	public List<SysUser> selectList(SysUser sysUser);

	List<SysUser> userQuery(IRequest iRequest,SysUser sysUser,int page,int pageSize);

	SysUser queryUserByCode(String code);
}
