package hls.core.sys.service.impl;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.IRequestListener;
import hls.core.hls.request.HlsServiceRequest;
import hls.core.sys.dto.SysUserAllocation;
import org.springframework.web.context.request.RequestContextListener;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * Created by gaoyang on 2017-2-23.
 */
public class HlsRequestListener implements IRequestListener {

    @Override
    public IRequest newInstance() {
        return new HlsServiceRequest();
    }

    @Override
    public void afterInitialize(HttpServletRequest httpServletRequest, IRequest iRequest) {
        HttpSession sa = httpServletRequest.getSession(false);
        if (sa != null) {
            iRequest.setCompanyId((Long) (sa.getAttribute(SysUserAllocation.FIELD_COMPANY_ID)));
        }
    }
}
