package hls.core.sys.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hand.hap.core.IRequest;
import com.hand.hap.system.service.impl.BaseServiceImpl;

import hls.core.sys.dto.SysFunctionCustomer;
import hls.core.sys.mapper.SysFunctionCustomerMapper;
import hls.core.sys.service.SysFunctionCustomerService;

@Service
@Transactional
public class SysFunctionCustomerServiceImpl extends BaseServiceImpl<SysFunctionCustomer> implements SysFunctionCustomerService {

    @Autowired
    SysFunctionCustomerMapper mapper;


	@Override
	public List<SysFunctionCustomer> queryAll(IRequest requestContext, SysFunctionCustomer sfc) {
		return mapper.queryAll(sfc);
	}
  
}
