package hls.core.user.service.impl;


import com.hand.hap.system.service.impl.BaseServiceImpl;
import hls.core.user.dto.LoginUserInfo;
import hls.core.user.mapper.LoginUserInfoMapper;
import hls.core.user.service.LoginUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sun.rmi.runtime.Log;

import java.util.List;


@Service
@Transactional
public class LoginUserInfoServiceImpl extends BaseServiceImpl<LoginUserInfo>
        implements LoginUserInfoService {

    @Autowired
    private LoginUserInfoMapper mapper;

   public List<LoginUserInfo> queryUserInfo(String employeeCode){
       return mapper.queryUserInfo(employeeCode);
   }

    public List<LoginUserInfo> queryUserInfoByEmpId(LoginUserInfo dto){
       return mapper.queryUserInfoByEmpId(dto);
    }

}
