package hls.core.vat.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.vat.dto.AcrReceiptHd;
import hls.core.vat.dto.HlsCusAcrInvoiceHd;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-09-30
 * Time: 10:39
 */
public interface AcrInvoiceHdMapper<T extends HlsCusAcrInvoiceHd>  extends Mapper<HlsCusAcrInvoiceHd> {
    List<HlsCusAcrInvoiceHd> queryAcrHdFromConCash(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> queryAcrHdFromCon(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> queryAcrHdFromCfItem(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceDetailQuery(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceStatusQuery(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceReversedQuery(HlsCusAcrInvoiceHd acrInvoiceHd);

    int stepTwo(Map map);

    List<HlsCusAcrInvoiceHd> invoicehdDetailQuery(Map<String, Object> params);

    List<AcrReceiptHd> invoicehdReceiptQuery(Map<String, Object> params);

    List<HlsCusAcrInvoiceHd> vat000hQuerybillingAmountRadio(HlsCusAcrInvoiceHd acrInvoiceHd);

    int acrHeadRecive(Map map);

    List<HlsCusAcrInvoiceHd> queryAcrHdFromBp(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> acr220aAcrInvoiceHdQuery (HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HashMap> acrInvoiceDetail(HlsCusAcrInvoiceHd acrInvoiceHd);

    public List<HlsCusAcrInvoiceHd> selectAllReceipt(HlsCusAcrInvoiceHd acrInvoiceHd);

    List<HlsCusAcrInvoiceHd> selectCanInvoiceCashFlow(HlsCusAcrInvoiceHd acrInvoiceHd);

}
