package hls.core.vat.mapper;

import com.hand.hap.mybatis.common.Mapper;
import hls.core.csh.dto.HlsCusCshConContract;
import hls.core.vat.dto.HlsCusAcrInvoiceLn;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-09-30
 * Time: 10:42
 */
public interface AcrInvoiceLnMapper<T extends HlsCusAcrInvoiceLn> extends Mapper<HlsCusAcrInvoiceLn> {
    List<Map> leasePrincipal(HlsCusAcrInvoiceLn acrInvoiceLn);
    List<Map> reciveAmount(HlsCusAcrInvoiceLn acrInvoiceLn);
    List<HlsCusAcrInvoiceLn> queryAcrLnFromCon(Map<String, Object> cashflowIds);
    List<Map> stepOne(List list);
    List<Map> stepThree(Map map);
    int  stepFour(Map map);
    void  acrLineRecive(Map map);
    List<HlsCusAcrInvoiceLn> queryAcrLnFromConCash(@Param("cashflowId")Long cashflowId);
    List<HlsCusAcrInvoiceLn> selectAllAcrInvoiceLn(HlsCusCshConContract cshConContract);
    List<HlsCusAcrInvoiceLn> queryAcrLnFromCashFlow(Map<String, Object> cashflowIds);
    List<HlsCusAcrInvoiceLn> queryAcrLnFromCfItem(Map<String, Object> cashflowIds);
}
