package hls.core.vat.service;

import com.alibaba.fastjson.JSONObject;
import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.service.IBaseService;

import hls.core.csh.dto.HlsCusConContractCashflow;
import hls.core.csh.exception.BeyondAmountLimitException;
import hls.core.fnd.dto.FndInterfaceLines;
import hls.core.vat.dto.AcrReceiptHd;
import hls.core.vat.dto.HlsCusAcrInvoiceHd;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface AcrInvoiceHdService extends IBaseService<HlsCusAcrInvoiceHd>,ProxySelf<AcrInvoiceHdService>{

	List<HlsCusAcrInvoiceHd> invoicehdDetailQuery(Map<String, String> map);

	List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceDetailQuery(IRequest requestContext , HlsCusAcrInvoiceHd acrInvoiceHd,int page, int pagesize);

	List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceStatusQuery(HlsCusAcrInvoiceHd acrInvoiceHd);

	List<HlsCusAcrInvoiceHd> vatInfIndexInvoiceReversedQuery(HlsCusAcrInvoiceHd acrInvoiceHd);

	List<AcrReceiptHd> invoicehdReceiptQuery(Map<String, String> map);
    List<HlsCusAcrInvoiceHd> vat000hQuerybillingAmountRadio(HlsCusAcrInvoiceHd acrInvoiceHd);
//	List<HlsCusAcrInvoiceHd> queryAcr(HlsCusAcrInvoiceHd acrInvoiceHd, IRequest iRequest, int page, int pagesize);

	List<HlsCusAcrInvoiceHd> batchSubmit(IRequest requestContext, JSONObject jsonObject, Long companyId, Long userId) throws BeyondAmountLimitException;
	List<HlsCusAcrInvoiceHd> acr220aAcrInvoiceHdQuery(HlsCusAcrInvoiceHd acrInvoiceHd, IRequest iRequest, int page, int pagesize);

    List<HlsCusAcrInvoiceHd> selectAllReceipt(HlsCusAcrInvoiceHd acrInvoiceHd, IRequest iRequest, int page, int pagesize);

    List<HashMap> acrInvoiceDetail(HlsCusAcrInvoiceHd acrInvoiceHd, IRequest iRequest);

	void updateContractBillingStatus(HlsCusConContractCashflow cashflow);

	List<HlsCusAcrInvoiceHd> queryAcrInfo(HlsCusAcrInvoiceHd acrInvoiceHd, IRequest iRequest);

    List<HlsCusAcrInvoiceHd> vatInfByIdInvoiceReversed(IRequest iRequest, HlsCusAcrInvoiceHd acrInvoiceHd);

    void acrIndexTxtMerge(IRequest iRequest,FndInterfaceLines fndInterfaceLines);
	}
