package hls.core.wfl.components;

import hls.core.sys.event.utils.SysEventCodeUtil;
import org.springframework.stereotype.Component;

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-08-21
 * Time: 19:49
 */
@Component
public class PaymentReqCreateEventHandler extends AbstractPaymentReqEventHandler {
    @Override
    String getMessage(String source, String contractName, String contractNum, String currency, String amount) {
        return source + "：" + contractName + "(" + contractNum + ") 申请付款 " + currency + amount + " 。";
    }

    @Override
    String getNoticeTitle() {
        return "付款申请-创建";
    }

    @Override
    public String getEventCode() {
        return SysEventCodeUtil.PROPERTY_CSH_PAYMENT_REQ_CREATE;
    }
}
